/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'ar' ]: { dictionary, getPluralForm } } = {"ar":{"dictionary":{"Special characters":"أحرف خاصة","All":"الكل","Arrows":"أسهم","Currency":"عملة","Latin":"لاتيني","Mathematical":"رياضي","Text":"نص","leftwards simple arrow":"سهم بسيط يشير إلى اليسار","rightwards simple arrow":"سهم بسيط يشير إلى اليمين","upwards simple arrow":"سهم بسيط يشير إلى الأعلى","downwards simple arrow":"سهم بسيط يشير إلى الأسفل","leftwards double arrow":"سهم مزدوج متجه يساراً","rightwards double arrow":"سهم مزدوج متجه يميناً","upwards double arrow":"سهم مزدوج متجه لأعلى","downwards double arrow":"سهم مزدوج متجه لأسفل","leftwards dashed arrow":"سهم متقطع متجه يساراً","rightwards dashed arrow":"سهم متقطع متجه يميناً","upwards dashed arrow":"سهم متقطع متجه لأعلى","downwards dashed arrow":"سهم متقطع متجه لأسفل","leftwards arrow to bar":"سهم يشير إلى خط جهة اليسار","rightwards arrow to bar":"سهم يشير إلى خط جهة اليمين","upwards arrow to bar":"سهم لأعلى يشير إلى خط","downwards arrow to bar":"سهم لأسفل يشير إلى خط","up down arrow with base":"سهم بالاتجاهين أعلى وأسفل، له قاعدة","back with leftwards arrow above":"\"عودة\" أعلاها سهم يتجه يساراً","end with leftwards arrow above":"\"النهاية\" أعلاها سهم يتجه يساراً","on with exclamation mark with left right arrow above":"\"يعمل\" وعلامة تعجب، أعلاهما سهم باتجاهين يميناً ويساراً","soon with rightwards arrow above":"\"قريباً\" أعلاها سهم يتجه يميناً","top with upwards arrow above":"\"إلى القمة\" أعلاها سهم لأعلى","Dollar sign":"رمز الدولار","Euro sign":"رمز اليورو","Yen sign":"رمز الين","Pound sign":"رمز الجنيه","Cent sign":"رمز السنت","Euro-currency sign":"رمز عملة اليورو","Colon sign":"رمز الكولون","Cruzeiro sign":"رمز الكروزيرو","French franc sign":"رمز الفرانك الفرنسي","Lira sign":"رمز الليرة","Currency sign":"رمز العملة","Bitcoin sign":"رمز البيتكوين","Mill sign":"رمز المليم","Naira sign":"رمز النيرة","Peseta sign":"رمز البيزيتا","Rupee sign":"رمز الروبية","Won sign":"رمز الوون","New sheqel sign":"رمز الشيكل الجديد","Dong sign":"رمز الدونغ","Kip sign":"رمز الكيب","Tugrik sign":"رمز التوغروغ","Drachma sign":"رمز الدراخما","German penny sign":"رمز البنس الألماني","Peso sign":"رمز البيزو","Guarani sign":"رمز الغواراني","Austral sign":"رمز الأسترال","Hryvnia sign":"رمز الهريفنا","Cedi sign":"رمز السيدي","Livre tournois sign":"رمز الليفر تورنوز","Spesmilo sign":"رمز السبسميلو","Tenge sign":"رمز التينغ","Indian rupee sign":"رمز الروبية الهندية","Turkish lira sign":"رمز الليرة التركية","Nordic mark sign":"رمز المارك الاسكندنافي","Manat sign":"رمز المانات","Ruble sign":"رمز الروبيل","Latin capital letter a with macron":"حرف a لاتيني كبير مع علامة تشكيل ماكرون","Latin small letter a with macron":"حرف a لاتيني صغير مع علامة تشكيل ماكرون","Latin capital letter a with breve":"حرف a لاتيني كبير مع علامة تشكيل بريف","Latin small letter a with breve":"حرف a لاتيني صغير مع علامة تشكيل بريف","Latin capital letter a with ogonek":"حرف a لاتيني كبير مع علامة تشكيل خطاف","Latin small letter a with ogonek":"حرف a لاتيني صغير مع علامة تشكيل خطاف","Latin capital letter c with acute":"حرف c لاتيني كبير مع علامة تشكيل النبرة الحادة","Latin small letter c with acute":"حرف c لاتيني صغير مع علامة تشكيل النبرة الحادة","Latin capital letter c with circumflex":"حرف c لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter c with circumflex":"حرف c لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter c with dot above":"حرف c لاتيني كبير مع نقطة أعلاه","Latin small letter c with dot above":"حرف c لاتيني صغير مع نقطة أعلاه","Latin capital letter c with caron":"حرف c لاتيني كبير مع علامة تشكيل كارون","Latin small letter c with caron":"حرف c لاتيني صغير مع علامة تشكيل كارون","Latin capital letter d with caron":"حرف d لاتيني كبير مع علامة تشكيل كارون","Latin small letter d with caron":"حرف d لاتيني صغير مع علامة تشكيل كارون","Latin capital letter d with stroke":"حرف d لاتيني كبير مع علامة شطب","Latin small letter d with stroke":"حرف d لاتيني صغير مع علامة شطب","Latin capital letter e with macron":"حرف e لاتيني كبير مع علامة تشكيل ماكرون","Latin small letter e with macron":"حرف e لاتيني صغير مع علامة تشكيل ماكرون","Latin capital letter e with breve":"حرف e لاتيني كبير مع علامة تشكيل بريف","Latin small letter e with breve":"حرف e لاتيني صغير مع علامة تشكيل بريف","Latin capital letter e with dot above":"حرف e لاتيني كبير مع نقطة أعلاه","Latin small letter e with dot above":"حرف e لاتيني صغير مع نقطة أعلاه","Latin capital letter e with ogonek":"حرف e لاتيني كبير مع علامة تشكيل خطاف","Latin small letter e with ogonek":"حرف e لاتيني صغير مع علامة تشكيل خطاف","Latin capital letter e with caron":"حرف e لاتيني كبير مع علامة تشكيل كارون","Latin small letter e with caron":"حرف e لاتيني صغير مع علامة تشكيل كارون","Latin capital letter g with circumflex":"حرف g لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter g with circumflex":"حرف g لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter g with breve":"حرف g لاتيني كبير مع علامة تشكيل بريف","Latin small letter g with breve":"حرف g لاتيني صغير مع علامة تشكيل بريف","Latin capital letter g with dot above":"حرف g لاتيني كبير مع نقطة أعلاه","Latin small letter g with dot above":"حرف g لاتيني صغير مع نقطة أعلاه","Latin capital letter g with cedilla":"حرف g لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter g with cedilla":"حرف g لاتيني صغير مع علامة تشكيل السيديلة","Latin capital letter h with circumflex":"حرف h لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter h with circumflex":"حرف h لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter h with stroke":"حرف h لاتيني كبير مع علامة شطب","Latin small letter h with stroke":"حرف h لاتيني صغير مع علامة شطب","Latin capital letter i with tilde":"حرف i لاتيني كبير مع علامة المد","Latin small letter i with tilde":"حرف i لاتيني صغير مع علامة المد","Latin capital letter i with macron":"حرف i لاتيني كبير مع علامة تشكيل ماكرون","Latin small letter i with macron":"حرف i لاتيني صغير مع علامة تشكيل ماكرون","Latin capital letter i with breve":"حرف i لاتيني كبير مع علامة تشكيل بريف","Latin small letter i with breve":"حرف i لاتيني صغير مع علامة تشكيل بريف","Latin capital letter i with ogonek":"حرف i لاتيني كبير مع علامة تشكيل خطاف","Latin small letter i with ogonek":"حرف i لاتيني صغير مع علامة تشكيل خطاف","Latin capital letter i with dot above":"حرف i لاتيني كبير مع نقطة أعلاه","Latin small letter dotless i":"حرف i لاتيني صغير بدون نقطة","Latin capital ligature ij":"حرف ij لاتيني مُركَّب كبير","Latin small ligature ij":"حرف ij لاتيني مُركَّب صغير","Latin capital letter j with circumflex":"حرف j لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter j with circumflex":"حرف j لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter k with cedilla":"حرف k لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter k with cedilla":"حرف k لاتيني صغير مع علامة تشكيل السيديلة","Latin small letter kra":"حرف kra لاتيني صغير","Latin capital letter l with acute":"حرف l لاتيني كبير مع علامة تشكيل النبرة الحادة","Latin small letter l with acute":"حرف l لاتيني صغير مع علامة تشكيل النبرة الحادة","Latin capital letter l with cedilla":"حرف l لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter l with cedilla":"حرف l لاتيني صغير مع علامة تشكيل السيديلة","Latin capital letter l with caron":"حرف l لاتيني كبير مع علامة تشكيل كارون","Latin small letter l with caron":"حرف l لاتيني صغير مع علامة تشكيل كارون","Latin capital letter l with middle dot":"حرف l لاتيني كبير مع نقطة عند الوسط","Latin small letter l with middle dot":"حرف l لاتيني صغير مع نقطة عند الوسط","Latin capital letter l with stroke":"حرف l لاتيني كبير مع علامة شطب","Latin small letter l with stroke":"حرف l لاتيني صغير مع علامة شطب","Latin capital letter n with acute":"حرف n لاتيني كبير مع علامة تشكيل النبرة الحادة","Latin small letter n with acute":"حرف n لاتيني صغير مع علامة تشكيل النبرة الحادة","Latin capital letter n with cedilla":"حرف n لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter n with cedilla":"حرف n لاتيني صغير مع علامة تشكيل السيديلة","Latin capital letter n with caron":"حرف n لاتيني كبير مع علامة تشكيل كارون","Latin small letter n with caron":"حرف n لاتيني صغير مع علامة تشكيل كارون","Latin small letter n preceded by apostrophe":"حرف n لاتيني صغير مسبوقة بعلامة فاصلة عليا","Latin capital letter eng":"حرف eng لاتيني كبير","Latin small letter eng":"حرف eng لاتيني صغير","Latin capital letter o with macron":"حرف o لاتيني كبير مع علامة تشكيل ماكرون","Latin small letter o with macron":"حرف o لاتيني صغير مع علامة تشكيل ماكرون","Latin capital letter o with breve":"حرف o لاتيني كبير مع علامة تشكيل بريف","Latin small letter o with breve":"حرف o لاتيني صغير مع علامة تشكيل بريف","Latin capital letter o with double acute":"حرف o لاتيني كبير مع علامة تشكيل النبرة الحادة المزدوجة","Latin small letter o with double acute":"حرف o لاتيني صغير مع علامة تشكيل النبرة الحادة المزدوجة","Latin capital ligature oe":"حرف oe لاتيني مُركَّب كبير","Latin small ligature oe":"حرف oe لاتيني مُركَّب صغير","Latin capital letter r with acute":"حرف r لاتيني كبير مع علامة تشكيل النبرة الحادة","Latin small letter r with acute":"حرف r لاتيني صغير مع علامة تشكيل النبرة الحادة\n","Latin capital letter r with cedilla":"حرف r لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter r with cedilla":"حرف r لاتيني صغير مع علامة تشكيل السيديلة","Latin capital letter r with caron":"حرف r لاتيني كبير مع علامة تشكيل كارون","Latin small letter r with caron":"حرف r لاتيني صغير مع علامة تشكيل كارون","Latin capital letter s with acute":"حرف s لاتيني كبير مع علامة تشكيل النبرة الحادة","Latin small letter s with acute":"حرف s لاتيني صغير مع علامة تشكيل النبرة الحادة","Latin capital letter s with circumflex":"حرف s لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter s with circumflex":"حرف s لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter s with cedilla":"حرف s لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter s with cedilla":"حرف s لاتيني صغير مع علامة تشكيل السيديلة","Latin capital letter s with caron":"حرف s لاتيني كبير مع علامة تشكيل كارون","Latin small letter s with caron":"حرف s لاتيني صغير مع علامة تشكيل كارون","Latin capital letter t with cedilla":"حرف t لاتيني كبير مع علامة تشكيل السيديلة","Latin small letter t with cedilla":"حرف t لاتيني صغير مع علامة تشكيل السيديلة","Latin capital letter t with caron":"حرف t لاتيني كبير مع علامة تشكيل كارون","Latin small letter t with caron":"حرف t لاتيني صغير مع علامة تشكيل كارون","Latin capital letter t with stroke":"حرف t لاتيني كبير مع علامة شطب","Latin small letter t with stroke":"حرف t لاتيني صغير مع علامة شطب","Latin capital letter u with tilde":"حرف u لاتيني كبير مع علامة المد","Latin small letter u with tilde":"حرف u لاتيني صغير مع علامة المد","Latin capital letter u with macron":"حرف u لاتيني كبير مع علامة تشكيل ماكرون","Latin small letter u with macron":"حرف u لاتيني صغير مع علامة تشكيل ماكرون","Latin capital letter u with breve":"حرف u لاتيني كبير مع علامة تشكيل بريف","Latin small letter u with breve":"حرف u لاتيني صغير مع علامة تشكيل بريف","Latin capital letter u with ring above":"حرف u لاتيني كبير مع حلقة أعلاه","Latin small letter u with ring above":"حرف u لاتيني صغير مع حلقة أعلاه","Latin capital letter u with double acute":"حرف u لاتيني كبير مع علامة تشكيل النبرة الحادة المزدوجة","Latin small letter u with double acute":"حرف u لاتيني صغير مع علامة تشكيل النبرة الحادة المزدوجة","Latin capital letter u with ogonek":"حرف u لاتيني كبير مع علامة تشكيل خطاف","Latin small letter u with ogonek":"حرف u لاتيني صغير مع علامة تشكيل خطاف","Latin capital letter w with circumflex":"حرف w لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter w with circumflex":"حرف w لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter y with circumflex":"حرف y لاتيني كبير مع علامة تشكيل ثنية محيطة","Latin small letter y with circumflex":"حرف y لاتيني صغير مع علامة تشكيل ثنية محيطة","Latin capital letter y with diaeresis":"حرف y لاتيني كبير مع نقطتين أعلاه","Latin capital letter z with acute":"حرف z لاتيني كبير مع علامة تشكيل النبرة الحادة","Latin small letter z with acute":"حرف z لاتيني صغير مع علامة تشكيل النبرة الحادة","Latin capital letter z with dot above":"حرف z لاتيني كبير مع نقطة أعلاه","Latin small letter z with dot above":"حرف z لاتيني صغير مع نقطة أعلاه","Latin capital letter z with caron":"حرف z لاتيني كبير مع علامة تشكيل كارون","Latin small letter z with caron":"حرف z لاتيني صغير مع علامة تشكيل كارون","Latin small letter long s":"حرف \"s طويل\" لاتيني صغير","Less-than sign":"علامة أقل من","Greater-than sign":"علامة أكبر من","Less-than or equal to":"أقل من أو يساوي","Greater-than or equal to":"أكبر من أو يساوي","En dash":"شرطة قصيرة","Em dash":"شرطة طويلة","Macron":"علامة التشكيل ماكرون","Overline":"خط أعلى الحرف","Degree sign":"علامة الدرجة","Minus sign":"علامة الطرح","Plus-minus sign":"علامة الطرح والجمع","Division sign":"علامة القسمة","Fraction slash":"شرطة الكسر","Multiplication sign":"علامة الضرب","Latin small letter f with hook":"حرف f لاتيني صغير مع علامة الخطاف","Integral":"علامة التكامل","N-ary summation":"جمع مصفوفة N","Infinity":"علامة ما لا نهاية","Square root":"الجذر التربيعي","Tilde operator":"علامة دلتا","Approximately equal to":"يساوي تقريباً","Almost equal to":"يساوي على الأرجح","Not equal to":"لا يساوي","Identical to":"مطابق لـ","Element of":"ينتمي إلى","Not an element of":"لا ينتمي إلى","Contains as member":"يحتوي كعضو","N-ary product":"حاصل مصفوفة N","Logical and":"and المنطقية","Logical or":"or المنطقية","Not sign":"علامة Not المنطقية","Intersection":"تقاطع","Union":"اتحاد","Partial differential":"التفاضلية الجزئية","For all":"علامة للكل","There exists":"علامة يوجد بها","Empty set":"مجموعة فارغة","Nabla":"رمز نبلة","Asterisk operator":"علامة الضرب (النجمة)","Proportional to":"يتناسب مع","Angle":"علامة الزاوية","Vulgar fraction one quarter":"الكسر الاعتيادي ربع","Vulgar fraction one half":"الكسر الاعتيادي نصف","Vulgar fraction three quarters":"الكسر الاعتيادي ثلاثة أرباع","Single left-pointing angle quotation mark":"علامة تنصيص أحادية، رمز الزاوية، تشير جهة اليسار","Single right-pointing angle quotation mark":"علامة تنصيص أحادية، رمز الزاوية، تشير جهة اليمين","Left-pointing double angle quotation mark":"علامة تنصيص مزدوجة، رمز الزاوية، تشير جهة اليسار","Right-pointing double angle quotation mark":"علامة تنصيص مزدوجة، رمز الزاوية، تشير جهة اليمين","Left single quotation mark":"علامة تنصيص أحادية، تشير جهة اليسار","Right single quotation mark":"علامة تنصيص أحادية، تشير جهة اليمين","Left double quotation mark":"علامة تنصيص مزدوجة، تشير جهة اليسار","Right double quotation mark":"علامة تنصيص مزدوجة، تشير جهة اليمين","Single low-9 quotation mark":"علامة تنصيص 9 منخفضة، أحادية","Double low-9 quotation mark":"علامة تنصيص 9 منخفضة، مزدوجة","Inverted exclamation mark":"علامة تعجّب مقلوبة","Inverted question mark":"علامة استفهام مقلوبة","Two dot leader":"سابقة من نقطتان","Horizontal ellipsis":"علامة القطع الأفقي","Double dagger":"رمز الخنجر المزدوج","Per mille sign":"علامة \"لكل ميل\"","Per ten thousand sign":"علامة \"لكل 10 آلاف\"","Double exclamation mark":"علامة تعجّب مزدوجة","Question exclamation mark":"علامة استفهام مزدوجة","Exclamation question mark":"علامة استفهام مع علامة تعجب","Double question mark":"علامة استفهام مزدوجة","Copyright sign":"علامة \"حق التأليف والنشر\"","Registered sign":"علامة \"مسجل\"","Trade mark sign":"رمز العلامة التجارية","Section sign":"علامة القطاع","Paragraph sign":"علامة الفقرة","Reversed paragraph sign":"علامة الفقرة مقلوبة","Character categories":"فئات الأحرف"},getPluralForm(n){return n==0 ? 0 : n==1 ? 1 : n==2 ? 2 : n%100>=3 && n%100<=10 ? 3 : n%100>=11 && n%100<=99 ? 4 : 5;}}};
e[ 'ar' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'ar' ].dictionary = Object.assign( e[ 'ar' ].dictionary, dictionary );
e[ 'ar' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
