/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'bn' ]: { dictionary, getPluralForm } } = {"bn":{"dictionary":{"Special characters":"বিশেষ অক্ষর","All":"সকল","Arrows":"তীর","Currency":"মুদ্রা","Latin":"ল্যাটিন","Mathematical":"গাণিতিক","Text":"পাঠ্য","leftwards simple arrow":"বাম দিকে সরল তীর","rightwards simple arrow":"ডানমুখী সরল তীর","upwards simple arrow":"উপরের দিকে সরল তীর","downwards simple arrow":"নিচের দিকে সরল তীর","leftwards double arrow":"বামমুখী দ্বৈত তীর","rightwards double arrow":"ডানমুখী দ্বৈত তীর","upwards double arrow":"উর্ধ্বমুখী দ্বৈত তীর","downwards double arrow":"নিম্নমুখী দ্বৈত তীর","leftwards dashed arrow":"বামমুখী ড্যাশড তীর","rightwards dashed arrow":"ডানমুখী ড্যাশড তীর","upwards dashed arrow":"উর্ধ্বমুখী ড্যাশড তীর","downwards dashed arrow":"নিম্নমুখী ড্যাশড তীর","leftwards arrow to bar":"বামমুখী তীরের বার","rightwards arrow to bar":"ডানমুখী তীরের বার","upwards arrow to bar":"উর্ধ্বমুখী তীরের বার","downwards arrow to bar":"নিম্নমুখী তীরের বার","up down arrow with base":"বেসসহ উপরে নিচের তীর","back with leftwards arrow above":"ব্যাক এর উপরে বামমুখী তীর","end with leftwards arrow above":"এন্ড এর উপরে বামমুখী তীর","on with exclamation mark with left right arrow above":"বিস্ময়বোধকসহ অন এর  উপরে বাম ডান তীর","soon with rightwards arrow above":"শীঘ্রই এর উপরে ডানমুখী তীর","top with upwards arrow above":"টপ লেখাসহ উপরে উর্ধ্বমুখী তীর","Dollar sign":"ডলারের চিহ্ন","Euro sign":"ইউরো চিহ্ন","Yen sign":"ইয়েন চিহ্ন","Pound sign":"পাউন্ড চিহ্ন","Cent sign":"সেন্ট চিহ্ন","Euro-currency sign":"ইউরো-মুদ্রার চিহ্ন","Colon sign":"কোলন চিহ্ন","Cruzeiro sign":"ত্রুুজেইরো চিহ্ন","French franc sign":"ফরাসি ফ্রাঙ্ক চিহ্ন","Lira sign":"লিরার চিহ্ন","Currency sign":"মুদ্রার চিহ্ন","Bitcoin sign":"বিটকয়েনের চিহ্ন","Mill sign":"মিল চিহ্ন","Naira sign":"নাইরা চিহ্ন","Peseta sign":"পেসেটা চিহ্ন","Rupee sign":"রুপির চিহ্ন","Won sign":"ওন চিহ্ন","New sheqel sign":"নিউ শেকেল চিহ্ন","Dong sign":"ডং চিহ্ন","Kip sign":"কিপ চিহ্ন","Tugrik sign":"তুগ্রিক চিহ্ন","Drachma sign":"ড্রাকমা চিহ্ন","German penny sign":"জার্মান পেনি চিহ্ন","Peso sign":"পেসো চিহ্ন","Guarani sign":"গুয়ারানি চিহ্ন","Austral sign":"অস্ট্রাল চিহ্ন","Hryvnia sign":"হিরভনিয়া চিহ্ন","Cedi sign":"সেডি চিহ্ন","Livre tournois sign":"লিভরে টুরনোইস চিহ্ন","Spesmilo sign":"স্পেসমিলো চিহ্ন","Tenge sign":"টেঞ্জ চিহ্ন","Indian rupee sign":"ভারতীয় রুপির চিহ্ন","Turkish lira sign":"তুর্কি লিরা সাইন ","Nordic mark sign":"নর্ডিক মার্ক চিহ্ন","Manat sign":"মানাত চিহ্ন","Ruble sign":"রুবল চিহ্ন","Latin capital letter a with macron":"ম্যাক্রোন সহ ল্যাটিন বড় হাতের অক্ষর a","Latin small letter a with macron":"ম্যাক্রোন সহ ল্যাটিন ছোট হাতের অক্ষর a","Latin capital letter a with breve":"ব্রেভ সহ ল্যাটিন বড় হাতের অক্ষর a","Latin small letter a with breve":"ব্রেভ সহ ল্যাটিন ছোট হাতের অক্ষর a","Latin capital letter a with ogonek":"ওগোনেক সহ ল্যাটিন বড় হাতের অক্ষর a","Latin small letter a with ogonek":"ওগোনেক সহ ল্যাটিন ছোট হাতের অক্ষর a","Latin capital letter c with acute":"অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর c","Latin small letter c with acute":"অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর c","Latin capital letter c with circumflex":"সারকামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর c","Latin small letter c with circumflex":"সারকামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর c","Latin capital letter c with dot above":"উপরে বিন্দু সহ ল্যাটিন বড় হাতের অক্ষর c","Latin small letter c with dot above":"উপরে বিন্দু সহ ল্যাটিন ছোট হাতের অক্ষর c","Latin capital letter c with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর c","Latin small letter c with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর c","Latin capital letter d with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর d","Latin small letter d with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর d","Latin capital letter d with stroke":"স্ট্রোক সহ ল্যাটিন বড় হাতের অক্ষর d","Latin small letter d with stroke":"স্ট্রোক সহ ল্যাটিন ছোট হাতের অক্ষর d","Latin capital letter e with macron":"ম্যাক্রোন সহ ল্যাটিন বড় হাতের অক্ষর e","Latin small letter e with macron":"ম্যাক্রোন সহ ল্যাটিন ছোট হাতের অক্ষর e","Latin capital letter e with breve":"ব্রেভ সহ ল্যাটিন বড় হাতের অক্ষর e","Latin small letter e with breve":"ব্রেভ সহ ল্যাটিন ছোট হাতের অক্ষর e","Latin capital letter e with dot above":"উপরে বিন্দু সহ ল্যাটিন বড় হাতের অক্ষর e","Latin small letter e with dot above":"উপরে বিন্দু সহ ল্যাটিন ছোট হাতের অক্ষর e","Latin capital letter e with ogonek":"ওগোনেক সহ ল্যাটিন বড় হাতের অক্ষর e","Latin small letter e with ogonek":"ওগোনেক সহ ল্যাটিন ছোট হাতের অক্ষর e","Latin capital letter e with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর e","Latin small letter e with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর e","Latin capital letter g with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর g","Latin small letter g with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর g","Latin capital letter g with breve":"ব্রেভ সহ ল্যাটিন বড় হাতের অক্ষর g","Latin small letter g with breve":"ব্রেভ সহ ল্যাটিন ছোট হাতের অক্ষর g","Latin capital letter g with dot above":"উপরে বিন্দু সহ ল্যাটিন বড় হাতের অক্ষর g","Latin small letter g with dot above":"উপরে বিন্দু সহ ল্যাটিন ছোট হাতের অক্ষর g","Latin capital letter g with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর g","Latin small letter g with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর g","Latin capital letter h with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর h","Latin small letter h with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর h","Latin capital letter h with stroke":"স্ট্রোক সহ ল্যাটিন বড় হাতের অক্ষর h","Latin small letter h with stroke":"স্ট্রোক সহ ল্যাটিন ছোট হাতের অক্ষর h","Latin capital letter i with tilde":"টিল্ড সহ ল্যাটিন বড় হাতের অক্ষর i","Latin small letter i with tilde":"টিল্ড সহ ল্যাটিন ছোট হাতের অক্ষর i","Latin capital letter i with macron":"ম্যাক্রোন সহ ল্যাটিন বড় হাতের অক্ষর i","Latin small letter i with macron":"ম্যাক্রোন সহ ল্যাটিন ছোট হাতের অক্ষর i","Latin capital letter i with breve":"ব্রেভ সহ ল্যাটিন বড় হাতের অক্ষর i","Latin small letter i with breve":"ব্রেভ সহ ল্যাটিন ছোট হাতের অক্ষর i","Latin capital letter i with ogonek":"ওগোনেক সহ ল্যাটিন বড় হাতের অক্ষর i","Latin small letter i with ogonek":"ওগোনেক সহ ল্যাটিন ছোট হাতের অক্ষর i","Latin capital letter i with dot above":"উপরে বিন্দু সহ ল্যাটিন বড় হাতের অক্ষর i","Latin small letter dotless i":"ল্যাটিন ছোট হাতের অক্ষর বিন্দুবিহীন i","Latin capital ligature ij":"ল্যাটিন বড় হাতের লিগেচার ij","Latin small ligature ij":"ল্যাটিন ছোট হাতের লিগেচার ij","Latin capital letter j with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর j","Latin small letter j with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর j","Latin capital letter k with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর k","Latin small letter k with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর k","Latin small letter kra":"ল্যাটিন ছোট হাতের অক্ষর kra","Latin capital letter l with acute":"অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর l","Latin small letter l with acute":"অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর l","Latin capital letter l with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর l","Latin small letter l with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর l","Latin capital letter l with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর l","Latin small letter l with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর l","Latin capital letter l with middle dot":"মধ্যবিন্দু সহ ল্যাটিন বড় হাতের অক্ষর l","Latin small letter l with middle dot":"মধ্যবিন্দু সহ ল্যাটিন ছোট হাতের অক্ষর l","Latin capital letter l with stroke":"স্ট্রোক সহ ল্যাটিন বড় হাতের অক্ষর l","Latin small letter l with stroke":"স্ট্রোক সহ ল্যাটিন ছোট হাতের অক্ষর l","Latin capital letter n with acute":"অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর n","Latin small letter n with acute":"অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর n","Latin capital letter n with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর n","Latin small letter n with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর n","Latin capital letter n with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর n","Latin small letter n with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর n","Latin small letter n preceded by apostrophe":"ল্যাটিন ছোট হাতের অক্ষর n এর পূর্বে apostrophe","Latin capital letter eng":"ল্যাটিন বড় হাতের অক্ষর eng","Latin small letter eng":"ল্যাটিন ছোট হাতের অক্ষর eng","Latin capital letter o with macron":"ম্যাক্রোন সহ ল্যাটিন বড় হাতের অক্ষর o","Latin small letter o with macron":"ম্যাক্রোন সহ ল্যাটিন ছোট হাতের অক্ষর o","Latin capital letter o with breve":"ব্রেভ সহ ল্যাটিন বড় হাতের অক্ষর o","Latin small letter o with breve":"ব্রেভ সহ ল্যাটিন ছোট হাতের অক্ষর o","Latin capital letter o with double acute":"দ্বৈত অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর o","Latin small letter o with double acute":"দ্বৈত অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর o","Latin capital ligature oe":"ল্যাটিন বড় হাতের লিগ্যাচার oe","Latin small ligature oe":"ল্যাটিন ছোট হাতের লিগ্যাচার oe","Latin capital letter r with acute":"অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর r","Latin small letter r with acute":"অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর r","Latin capital letter r with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর r","Latin small letter r with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর r","Latin capital letter r with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর r","Latin small letter r with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর r","Latin capital letter s with acute":"অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর s","Latin small letter s with acute":"অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর s","Latin capital letter s with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর s","Latin small letter s with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর s","Latin capital letter s with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর s","Latin small letter s with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর s","Latin capital letter s with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর s","Latin small letter s with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর s","Latin capital letter t with cedilla":"সেডিলা সহ ল্যাটিন বড় হাতের অক্ষর t","Latin small letter t with cedilla":"সেডিলা সহ ল্যাটিন ছোট হাতের অক্ষর t","Latin capital letter t with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর t","Latin small letter t with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর t","Latin capital letter t with stroke":"স্ট্রোক সহ ল্যাটিন বড় হাতের অক্ষর t","Latin small letter t with stroke":"স্ট্রোক সহ ল্যাটিন ছোট হাতের অক্ষর t","Latin capital letter u with tilde":"টিল্ড সহ ল্যাটিন বড় হাতের অক্ষর u","Latin small letter u with tilde":"টিল্ড সহ ল্যাটিন ছোট হাতের অক্ষর u","Latin capital letter u with macron":"ম্যাক্রোন সহ ল্যাটিন বড় হাতের অক্ষর u","Latin small letter u with macron":"ম্যাক্রোন সহ ল্যাটিন ছোট হাতের অক্ষর u","Latin capital letter u with breve":"ব্রেভ সহ ল্যাটিন বড় হাতের অক্ষর u","Latin small letter u with breve":"ব্রেভ সহ ল্যাটিন ছোট হাতের অক্ষর u","Latin capital letter u with ring above":"উপরে রিং সহ ল্যাটিন বড় হাতের অক্ষর u","Latin small letter u with ring above":"উপরে রিং সহ ল্যাটিন ছোট হাতের অক্ষর u","Latin capital letter u with double acute":"দ্বৈত অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর u","Latin small letter u with double acute":"দ্বৈত অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর u","Latin capital letter u with ogonek":"ওগোনেক সহ ল্যাটিন বড় হাতের অক্ষর u","Latin small letter u with ogonek":"ওগোনেক সহ ল্যাটিন ছোট হাতের অক্ষর u","Latin capital letter w with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর w","Latin small letter w with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর w","Latin capital letter y with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন বড় হাতের অক্ষর y","Latin small letter y with circumflex":"সার্কামফ্লেক্স সহ ল্যাটিন ছোট হাতের অক্ষর y","Latin capital letter y with diaeresis":"ডায়েরেসিস সহ ল্যাটিন বড় হাতের অক্ষর y","Latin capital letter z with acute":"অ্যাকিউট সহ ল্যাটিন বড় হাতের অক্ষর z","Latin small letter z with acute":"অ্যাকিউট সহ ল্যাটিন ছোট হাতের অক্ষর z","Latin capital letter z with dot above":"উপরে বিন্দু সহ ল্যাটিন বড় হাতের অক্ষর z","Latin small letter z with dot above":"উপরে বিন্দু সহ ল্যাটিন ছোট হাতের অক্ষর z","Latin capital letter z with caron":"ক্যারন সহ ল্যাটিন বড় হাতের অক্ষর z","Latin small letter z with caron":"ক্যারন সহ ল্যাটিন ছোট হাতের অক্ষর z","Latin small letter long s":"ল্যাটিন ছোট হাতের অক্ষর দীর্ঘ s","Less-than sign":"এর চেয়ে কম চিহ্ন","Greater-than sign":"এর চেয়ে বেশি চিহ্ন","Less-than or equal to":"এর চেয়ে কম বা সমান চিহ্ন","Greater-than or equal to":"এর চেয়ে বেশি বা সমান চিহ্ন","En dash":"En ড্যাশ","Em dash":"Em ড্যাশ","Macron":"ম্যাক্রন","Overline":"ওভারলাইন","Degree sign":"ডিগ্রি চিহ্ন","Minus sign":"বিয়োগ চিহ্ন","Plus-minus sign":"যোগ-বিয়োগ চিহ্ন","Division sign":"ভাগ চিহ্ন","Fraction slash":"ভগ্নাংশ স্ল্যাশ","Multiplication sign":"গুণ চিহ্ন","Latin small letter f with hook":"হুক সহ ল্যাটিন ছোট হাতের অক্ষর f","Integral":"ইন্টিগ্রাল","N-ary summation":"N-ary সমষ্টি","Infinity":"অসীম","Square root":"বর্গমূল","Tilde operator":"টিল্ড অপারেটর","Approximately equal to":"প্রায় সমান","Almost equal to":"প্রায় সমান","Not equal to":"সমান নয়","Identical to":"এর অনুরূপ","Element of":"এর উপাদান","Not an element of":"এর একটি উপাদান নয়","Contains as member":"সদস্য হিসেবে রয়েছে","N-ary product":"N-ary গুণফল","Logical and":"লজিক্যাল এন্ড ","Logical or":"লজিক্যাল অর","Not sign":"নট চিহ্ন","Intersection":"ছেদ","Union":"সংযোগ","Partial differential":"আংশিক ডিফারেনশিয়াল","For all":"সবার জন্য","There exists":"অস্তিত্ব আছে","Empty set":"ফাঁকা সেট","Nabla":"ন্যাবলা","Asterisk operator":"অস্ট্রিক অপারেটর","Proportional to":"সমানুপাতিক","Angle":"কোণ","Vulgar fraction one quarter":"ভালগার ভগ্নাংশ এক চতুর্থাংশ","Vulgar fraction one half":"ভালগার ভগ্নাংশ একের অর্ধেক","Vulgar fraction three quarters":"ভালগার ভগ্নাংশ তিন চতুর্থাংশ","Single left-pointing angle quotation mark":"একক বাম-নির্দেশক কোণ উদ্ধৃতি চিহ্ন","Single right-pointing angle quotation mark":"একক ডান-নির্দেশক কোণ উদ্ধৃতি চিহ্ন","Left-pointing double angle quotation mark":"বাম-নির্দেশক দ্বৈত কোণ উদ্ধৃতি চিহ্ন","Right-pointing double angle quotation mark":"ডান-নির্দেশক দ্বৈত কোণ উদ্ধৃতি চিহ্ন","Left single quotation mark":"বাম একক উদ্ধৃতি চিহ্ন","Right single quotation mark":"ডান একক উদ্ধৃতি চিহ্ন","Left double quotation mark":"বাম দ্বৈত উদ্ধৃতি চিহ্ন","Right double quotation mark":"ডান দ্বৈত উদ্ধৃতি চিহ্ন","Single low-9 quotation mark":"একক লো-9 উদ্ধৃতি চিহ্ন","Double low-9 quotation mark":"দ্বৈত লো-9 উদ্ধৃতি চিহ্ন","Inverted exclamation mark":"ইনভার্টেড বিস্ময়বোধক চিহ্ন","Inverted question mark":"ইনভার্টেড প্রশ্ন চিহ্ন","Two dot leader":"দুই বিন্দু লিডার","Horizontal ellipsis":"অনুভূমিক উপবৃত্তাকার","Double dagger":"ডাবল ড্যাগার","Per mille sign":"প্রতি মাইল চিহ্ন","Per ten thousand sign":"প্রতি দশ হাজার চিহ্ন","Double exclamation mark":"দ্বৈত বিস্ময়বোধক চিহ্ন","Question exclamation mark":"প্রশ্ন বিস্ময়বোধক চিহ্ন","Exclamation question mark":"বিস্ময়বোধক প্রশ্ন চিহ্ন","Double question mark":"দ্বৈত প্রশ্ন চিহ্ন","Copyright sign":"কপিরাইট চিহ্ন","Registered sign":"নিবন্ধিত চিহ্ন","Trade mark sign":"ট্রেড মার্ক সাইন","Section sign":"সেকশন চিহ্ন","Paragraph sign":"প্যারাগ্রাফ চিহ্ন","Reversed paragraph sign":"বিপরীত প্যারাগ্রাফ চিহ্ন","Character categories":"অক্ষরের শ্রেণীবিভাগসমূহ"},getPluralForm(n){return (n != 1);}}};
e[ 'bn' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'bn' ].dictionary = Object.assign( e[ 'bn' ].dictionary, dictionary );
e[ 'bn' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
