/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'de' ]: { dictionary, getPluralForm } } = {"de":{"dictionary":{"Special characters":"Sonderzeichen","All":"Alle","Arrows":"Pfeile","Currency":"Währung","Latin":"Lateinisch","Mathematical":"Mathematisch","Text":"Text","leftwards simple arrow":"einfacher Linkspfeil","rightwards simple arrow":"einfacher Rechtspfeil","upwards simple arrow":"einfacher Aufwärtspfeil","downwards simple arrow":"einfacher Abwärtspfeil","leftwards double arrow":"Doppelpfeil nach links","rightwards double arrow":"Doppelpfeil nach rechts","upwards double arrow":"Doppelpfeil nach oben","downwards double arrow":"Doppelpfeil nach unten","leftwards dashed arrow":"Gestrichelter Pfeil nach links","rightwards dashed arrow":"Gestrichelter Pfeil nach rechts","upwards dashed arrow":"Gestrichelter Pfeil nach oben","downwards dashed arrow":"Gestrichelter Pfeil nach unten","leftwards arrow to bar":"Pfeil nach links zum Querstrich","rightwards arrow to bar":"Pfeil nach rechts zum Querstrich","upwards arrow to bar":"Pfeil nach oben zum Querstrich","downwards arrow to bar":"Pfeil nach unten zum Querstrich","up down arrow with base":"Unterstrichener Pfeil nach oben und unten","back with leftwards arrow above":"„Back“ darüber Pfeil nach links","end with leftwards arrow above":"„End“ darüber Pfeil nach links","on with exclamation mark with left right arrow above":"„On“ mit Ausrufezeichen darüber Pfeil nach links und rechts","soon with rightwards arrow above":"„Soon“ darüber Pfeil nach rechts","top with upwards arrow above":"„Top“ darüber Pfeil nach oben","Dollar sign":"Dollar-Zeichen","Euro sign":"Euro-Zeichen","Yen sign":"Yen-Zeichen","Pound sign":"Pfund-Zeichen","Cent sign":"Cent-Zeichen","Euro-currency sign":"Euro-Währungszeichen","Colon sign":"Colón-Zeichen","Cruzeiro sign":"Cruzeiro-Zeichen","French franc sign":"Französischer Franc-Zeichen","Lira sign":"Lira-Zeichen","Currency sign":"Währungssymbol","Bitcoin sign":"Bitcoin-Zeichen","Mill sign":"Mill-Zeichen","Naira sign":"Naira-Zeichen","Peseta sign":"Peseta-Zeichen","Rupee sign":"Rupie-Zeichen","Won sign":"Won-Zeichen","New sheqel sign":"Schekel-Zeichen","Dong sign":"Đồng-Zeichen","Kip sign":"Kip-Zeichen","Tugrik sign":"Tugrik-Zeichen","Drachma sign":"Drachme-Zeichen","German penny sign":"Pfennig-Zeichen","Peso sign":"Philippinischer Peso-Zeichen","Guarani sign":"Guaraní-Zeichen","Austral sign":"Austral-Zeichen","Hryvnia sign":"Hrywnja-Zeichen","Cedi sign":"Cedi-Zeichen","Livre tournois sign":"Livre tournois-Zeichen","Spesmilo sign":"Spesmilo-Zeichen","Tenge sign":"Tenge-Zeichen","Indian rupee sign":"Indische Rupie-Zeichen","Turkish lira sign":"Türkische Lira-Zeichen","Nordic mark sign":"Nordische Mark-Zeichen","Manat sign":"Manat-Zeichen","Ruble sign":"Rubel-Zeichen","Latin capital letter a with macron":"Lateinischer Großbuchstabe a mit Makron","Latin small letter a with macron":"Lateinischer Kleinbuchstabe a mit Makron","Latin capital letter a with breve":"Lateinischer Großbuchstabe a mit Breve","Latin small letter a with breve":"Lateinischer Kleinbuchstabe a mit Breve","Latin capital letter a with ogonek":"Lateinischer Großbuchstabe a mit Ogonek","Latin small letter a with ogonek":"Lateinischer Kleinbuchstabe a mit Ogonek","Latin capital letter c with acute":"Lateinischer Großbuchstabe c mit Akut","Latin small letter c with acute":"Lateinischer Kleinbuchstabe c mit Akut","Latin capital letter c with circumflex":"Lateinischer Großbuchstabe c mit Zirkumflex","Latin small letter c with circumflex":"Lateinischer Kleinbuchstabe c mit Zirkumflex","Latin capital letter c with dot above":"Lateinischer Großbuchstabe c mit Punkt darüber","Latin small letter c with dot above":"Lateinischer Kleinbuchstabe c mit Punkt darüber","Latin capital letter c with caron":"Lateinischer Großbuchstabe c mit Hatschek","Latin small letter c with caron":"Lateinischer Kleinbuchstabe c mit Hatschek","Latin capital letter d with caron":"Lateinischer Großbuchstabe d mit Hatschek","Latin small letter d with caron":"Lateinischer Kleinbuchstabe d mit Hatschek","Latin capital letter d with stroke":"Lateinischer Großbuchstabe d mit Querstrich","Latin small letter d with stroke":"Lateinischer Kleinbuchstabe d mit Querstrich","Latin capital letter e with macron":"Lateinischer Großbuchstabe e mit Makron","Latin small letter e with macron":"Lateinischer Kleinbuchstabe e mit Makron","Latin capital letter e with breve":"Lateinischer Großbuchstabe e mit Breve","Latin small letter e with breve":"Lateinischer Kleinbuchstabe e mit Breve","Latin capital letter e with dot above":"Lateinischer Großbuchstabe e mit Punkt darüber","Latin small letter e with dot above":"Lateinischer Kleinbuchstabe e mit Punkt darüber","Latin capital letter e with ogonek":"Lateinischer Großbuchstabe e mit Ogonek","Latin small letter e with ogonek":"Lateinischer Kleinbuchstabe e mit Ogonek","Latin capital letter e with caron":"Lateinischer Großbuchstabe e mit Hatschek","Latin small letter e with caron":"Lateinischer Kleinbuchstabe e mit Hatschek","Latin capital letter g with circumflex":"Lateinischer Großbuchstabe g mit Zirkumflex","Latin small letter g with circumflex":"Lateinischer Kleinbuchstabe g mit Zirkumflex","Latin capital letter g with breve":"Lateinischer Großbuchstabe g mit Breve","Latin small letter g with breve":"Lateinischer Kleinbuchstabe g mit Breve","Latin capital letter g with dot above":"Lateinischer Großbuchstabe g mit Punkt darüber","Latin small letter g with dot above":"Lateinischer Kleinbuchstabe g mit Punkt darüber","Latin capital letter g with cedilla":"Lateinischer Großbuchstabe g mit Cedille","Latin small letter g with cedilla":"Lateinischer Kleinbuchstabe g mit Cedille","Latin capital letter h with circumflex":"Lateinischer Großbuchstabe h mit Zirkumflex","Latin small letter h with circumflex":"Lateinischer Kleinbuchstabe h mit Zirkumflex","Latin capital letter h with stroke":"Lateinischer Großbuchstabe h mit Querstrich","Latin small letter h with stroke":"Lateinischer Kleinbuchstabe h mit Querstrich","Latin capital letter i with tilde":"Lateinischer Großbuchstabe i mit Tilde","Latin small letter i with tilde":"Lateinischer Kleinbuchstabe i mit Tilde","Latin capital letter i with macron":"Lateinischer Großbuchstabe i mit Makron","Latin small letter i with macron":"Lateinischer Kleinbuchstabe i mit Makron","Latin capital letter i with breve":"Lateinischer Großbuchstabe i mit Breve","Latin small letter i with breve":"Lateinischer Kleinbuchstabe i mit Breve","Latin capital letter i with ogonek":"Lateinischer Großbuchstabe i mit Ogonek","Latin small letter i with ogonek":"Lateinischer Kleinbuchstabe i mit Ogonek","Latin capital letter i with dot above":"Lateinischer Großbuchstabe i mit Punkt darüber","Latin small letter dotless i":"Lateinischer Kleinbuchstabe i ohne Punkt","Latin capital ligature ij":"Große lateinische Ligatur ij","Latin small ligature ij":"Kleine lateinische Ligatur ij","Latin capital letter j with circumflex":"Lateinischer Großbuchstabe j mit Zirkumflex","Latin small letter j with circumflex":"Lateinischer Kleinbuchstabe j mit Zirkumflex","Latin capital letter k with cedilla":"Lateinischer Großbuchstabe k mit Cedille","Latin small letter k with cedilla":"Lateinischer Kleinbuchstabe k mit Cedille","Latin small letter kra":"Lateinischer Kleinbuchstabe Kra","Latin capital letter l with acute":"Lateinischer Großbuchstabe l mit Akut","Latin small letter l with acute":"Lateinischer Kleinbuchstabe l mit Akut","Latin capital letter l with cedilla":"Lateinischer Großbuchstabe l mit Cedille","Latin small letter l with cedilla":"Lateinischer Kleinbuchstabe l mit Cedille","Latin capital letter l with caron":"Lateinischer Großbuchstabe l mit Hatschek","Latin small letter l with caron":"Lateinischer Kleinbuchstabe l mit Hatschek","Latin capital letter l with middle dot":"Lateinischer Großbuchstabe l mit Mittelpunkt","Latin small letter l with middle dot":"Lateinischer Kleinbuchstabe l mit Mittelpunkt","Latin capital letter l with stroke":"Lateinischer Großbuchstabe l mit Querstrich","Latin small letter l with stroke":"Lateinischer Kleinbuchstabe l mit Querstrich","Latin capital letter n with acute":"Lateinischer Großbuchstabe n mit Akut","Latin small letter n with acute":"Lateinischer Kleinbuchstabe n mit Akut","Latin capital letter n with cedilla":"Lateinischer Großbuchstabe n mit Cedille","Latin small letter n with cedilla":"Lateinischer Kleinbuchstabe n mit Cedille","Latin capital letter n with caron":"Lateinischer Großbuchstabe n mit Hatschek","Latin small letter n with caron":"Lateinischer Kleinbuchstabe n mit Hatschek","Latin small letter n preceded by apostrophe":"Lateinischer Kleinbuchstabe n mit vorangestelltem Apostroph","Latin capital letter eng":"Lateinischer Großbuchstabe Eng","Latin small letter eng":"Lateinischer Kleinbuchstabe Eng","Latin capital letter o with macron":"Lateinischer Großbuchstabe o mit Makron","Latin small letter o with macron":"Lateinischer Kleinbuchstabe o mit Makron","Latin capital letter o with breve":"Lateinischer Großbuchstabe o mit Breve","Latin small letter o with breve":"Lateinischer Kleinbuchstabe o mit Breve","Latin capital letter o with double acute":"Lateinischer Großbuchstabe o mit doppeltem Akut","Latin small letter o with double acute":"Lateinischer Kleinbuchstabe o mit doppeltem Akut","Latin capital ligature oe":"Große lateinische Ligatur oe","Latin small ligature oe":"Kleine lateinische Ligatur oe","Latin capital letter r with acute":"Lateinischer Großbuchstabe r mit Akut","Latin small letter r with acute":"Lateinischer Kleinbuchstabe r mit Akut","Latin capital letter r with cedilla":"Lateinischer Großbuchstabe r mit Cedille","Latin small letter r with cedilla":"Lateinischer Kleinbuchstabe r mit Cedille","Latin capital letter r with caron":"Lateinischer Großbuchstabe r mit Hatschek","Latin small letter r with caron":"Lateinischer Kleinbuchstabe r mit Hatschek","Latin capital letter s with acute":"Lateinischer Großbuchstabe s mit Akut","Latin small letter s with acute":"Lateinischer Kleinbuchstabe s mit Akut","Latin capital letter s with circumflex":"Lateinischer Großbuchstabe s mit Zirkumflex","Latin small letter s with circumflex":"Lateinischer Kleinbuchstabe s mit Zirkumflex","Latin capital letter s with cedilla":"Lateinischer Großbuchstabe s mit Cedille","Latin small letter s with cedilla":"Lateinischer Kleinbuchstabe s mit Cedille","Latin capital letter s with caron":"Lateinischer Großbuchstabe s mit Hatschek","Latin small letter s with caron":"Lateinischer Kleinbuchstabe s mit Hatschek","Latin capital letter t with cedilla":"Lateinischer Großbuchstabe t mit Cedille","Latin small letter t with cedilla":"Lateinischer Kleinbuchstabe t mit Cedille","Latin capital letter t with caron":"Lateinischer Großbuchstabe t mit Hatschek","Latin small letter t with caron":"Lateinischer Kleinbuchstabe t mit Hatschek","Latin capital letter t with stroke":"Lateinischer Großbuchstabe t mit Querstrich","Latin small letter t with stroke":"Lateinischer Kleinbuchstabe t mit Querstrich","Latin capital letter u with tilde":"Lateinischer Großbuchstabe u mit Tilde","Latin small letter u with tilde":"Lateinischer Kleinbuchstabe u mit Tilde","Latin capital letter u with macron":"Lateinischer Großbuchstabe u mit Makron","Latin small letter u with macron":"Lateinischer Kleinbuchstabe u mit Makron","Latin capital letter u with breve":"Lateinischer Großbuchstabe u mit Breve","Latin small letter u with breve":"Lateinischer Kleinbuchstabe u mit Breve","Latin capital letter u with ring above":"Lateinischer Großbuchstabe u mit Kroužek darüber","Latin small letter u with ring above":"Lateinischer Kleinbuchstabe u mit Kroužek darüber","Latin capital letter u with double acute":"Lateinischer Großbuchstabe u mit doppeltem Akut","Latin small letter u with double acute":"Lateinischer Kleinbuchstabe u mit doppeltem Akut","Latin capital letter u with ogonek":"Lateinischer Großbuchstabe u mit Ogonek","Latin small letter u with ogonek":"Lateinischer Kleinbuchstabe u mit Ogonek","Latin capital letter w with circumflex":"Lateinischer Großbuchstabe w mit Zirkumflex","Latin small letter w with circumflex":"Lateinischer Kleinbuchstabe w mit Zirkumflex","Latin capital letter y with circumflex":"Lateinischer Großbuchstabe y mit Zirkumflex","Latin small letter y with circumflex":"Lateinischer Kleinbuchstabe y mit Zirkumflex","Latin capital letter y with diaeresis":"Lateinischer Großbuchstabe y mit Trema","Latin capital letter z with acute":"Lateinischer Großbuchstabe z mit Akut","Latin small letter z with acute":"Lateinischer Kleinbuchstabe z mit Akut","Latin capital letter z with dot above":"Lateinischer Großbuchstabe z mit Punkt darüber","Latin small letter z with dot above":"Lateinischer Kleinbuchstabe z mit Punkt darüber","Latin capital letter z with caron":"Lateinischer Großbuchstabe z mit Hatschek","Latin small letter z with caron":"Lateinischer Kleinbuchstabe z mit Hatschek","Latin small letter long s":"Lateinischer Kleinbuchstabe langes s","Less-than sign":"Kleiner-als-Zeichen","Greater-than sign":"Größer-als-Zeichen","Less-than or equal to":"Kleiner als oder gleich","Greater-than or equal to":"Größer als oder gleich","En dash":"Halbgeviertstrich","Em dash":"Geviertstrich","Macron":"Makron","Overline":"Überstrich","Degree sign":"Grad-Zeichen","Minus sign":"Minus-Zeichen","Plus-minus sign":"Plus-Minus-Zeichen","Division sign":"Geteilt-Zeichen","Fraction slash":"Schrägstrich","Multiplication sign":"Mal-Zeichen","Latin small letter f with hook":"Lateinischer Kleinbuchstabe f mit Haken","Integral":"Integral-Zeichen","N-ary summation":"Summen-Zeichen","Infinity":"Unendlich-Zeichen","Square root":"Wurzel-Zeichen","Tilde operator":"Tilde-Operator","Approximately equal to":"Ungefähr gleich","Almost equal to":"Gerundet","Not equal to":"Ungleich","Identical to":"Identisch mit","Element of":"Element von","Not an element of":"Kein Element von","Contains as member":"Enthält als Element","N-ary product":"Produkt-Zeichen","Logical and":"Logisches und","Logical or":"Logisches oder","Not sign":"Negations-Zeichen","Intersection":"Schnitt","Union":"Vereinigung","Partial differential":"Partielle Ableitung","For all":"Allquantor","There exists":"Existenzquantor","Empty set":"Leere Menge","Nabla":"Nabla","Asterisk operator":"Hodge-Stern-Operator","Proportional to":"Proportional zu","Angle":"Winkel-Zeichen","Vulgar fraction one quarter":"Gemeiner Bruch ein Viertel","Vulgar fraction one half":"Gemeiner Bruch ein Halb","Vulgar fraction three quarters":"Gemeiner Bruch drei Viertel","Single left-pointing angle quotation mark":"Einfache Guillemets nach links","Single right-pointing angle quotation mark":"Einfache Guillemets nach rechts","Left-pointing double angle quotation mark":"Doppelte Guillemets nach links","Right-pointing double angle quotation mark":"Doppelte Guillemets nach rechts","Left single quotation mark":"Einfache Anführungszeichen links","Right single quotation mark":"Einfache Anführungszeichen rechts","Left double quotation mark":"Doppelte Anführungszeichen links","Right double quotation mark":"Doppelte Anführungszeichen rechts","Single low-9 quotation mark":"Einfache Anführungszeichen links unten","Double low-9 quotation mark":"Doppelte Anführungszeichen links unten","Inverted exclamation mark":"Umgekehrtes Ausrufezeichen","Inverted question mark":"Umgekehrtes Fragezeichen","Two dot leader":"Doppel-Punktlinie","Horizontal ellipsis":"Auslassungspunkte","Double dagger":"Zweibalkenkreuz","Per mille sign":"Promille-Zeichen","Per ten thousand sign":"Pro-Zehntausend-Zeichen","Double exclamation mark":"Doppeltes Ausrufezeichen","Question exclamation mark":"Frage-Ruf-Zeichen","Exclamation question mark":"Ruf-Frage-Zeichen","Double question mark":"Doppeltes Fragezeichen","Copyright sign":"Copyright-Zeichen","Registered sign":"Registered-Trade-Mark-Zeichen","Trade mark sign":"Unregistered-Trade-Mark-Zeichen","Section sign":"Paragraphen-Zeichen","Paragraph sign":"Absatz-Zeichen","Reversed paragraph sign":"Umgedrehtes Absatz-Zeichen","Character categories":"Zeichenkategorien"},getPluralForm(n){return (n != 1);}}};
e[ 'de' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'de' ].dictionary = Object.assign( e[ 'de' ].dictionary, dictionary );
e[ 'de' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
