/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'es' ]: { dictionary, getPluralForm } } = {"es":{"dictionary":{"Special characters":"Caracteres especiales","All":"Todos","Arrows":"Flechas","Currency":"Monedas","Latin":"Latín","Mathematical":"Matemáticas","Text":"Texto","leftwards simple arrow":"flecha simple hacia la izquierda","rightwards simple arrow":"flecha simple hacia la derecha","upwards simple arrow":"flecha simple hacia arriba","downwards simple arrow":"flecha simple hacia abajo","leftwards double arrow":"flecha doble hacia la izquierda","rightwards double arrow":"flecha doble hacia la derecha","upwards double arrow":"flecha doble hacia arriba","downwards double arrow":"flecha doble hacia abajo","leftwards dashed arrow":"flecha punteada hacia la izquierda","rightwards dashed arrow":"flecha punteada hacia la derecha","upwards dashed arrow":"flecha punteada hacia arriba","downwards dashed arrow":"flecha punteada hacia abajo","leftwards arrow to bar":"flecha hacia la izquierda hasta una barra","rightwards arrow to bar":"flecha hacia la derecha hasta una barra","upwards arrow to bar":"flecha hacia arriba hasta una barra","downwards arrow to bar":"flecha hacia abajo hasta una barra","up down arrow with base":"flecha hacia arriba y abajo con una base","back with leftwards arrow above":"«back» con una flecha hacia la izquierda arriba","end with leftwards arrow above":"«end» con una flecha hacia la izquierda arriba","on with exclamation mark with left right arrow above":"«on» seguido de un signo de exclamación y con una flecha hacia la izquierda y derecha arriba","soon with rightwards arrow above":"«soon» con una flecha hacia la derecha arriba","top with upwards arrow above":"«top» con una flecha hacia arriba arriba","Dollar sign":"Signo del dólar","Euro sign":"Signo del euro","Yen sign":"Signo del yen","Pound sign":"Signo de la libra","Cent sign":"Signo del centavo","Euro-currency sign":"Signo de la moneda euro","Colon sign":"Signo del colón","Cruzeiro sign":"Signo del cruceiro","French franc sign":"Signo del franco francés","Lira sign":"Signo de la lira","Currency sign":"Signo monetario","Bitcoin sign":"Signo del bitcóin","Mill sign":"Signo de milésima","Naira sign":"Signo de naira","Peseta sign":"Signo de la peseta","Rupee sign":"Signo de la rupia","Won sign":"Signo del won","New sheqel sign":"Signo del nuevo séquel","Dong sign":"Signo de dong","Kip sign":"Signo de kip","Tugrik sign":"Signo de tugrik","Drachma sign":"Signo de dracma","German penny sign":"Signo de centavo alemán","Peso sign":"Signo del peso","Guarani sign":"Signo del guaraní","Austral sign":"Signo de austral","Hryvnia sign":"Signo de grivna","Cedi sign":"Signo de cedi","Livre tournois sign":"Signo de libra tornesa","Spesmilo sign":"Signo de spesmilo","Tenge sign":"Signo de tenge","Indian rupee sign":"Signo de rupia india","Turkish lira sign":"Signo de lira turca","Nordic mark sign":"Signo de marco nórdico","Manat sign":"Signo de manat","Ruble sign":"Signo del rublo","Latin capital letter a with macron":"Letra latina mayúscula «A» con macrón","Latin small letter a with macron":"Letra latina minúscula «a» con macrón","Latin capital letter a with breve":"Letra latina mayúscula «A» con acento breve","Latin small letter a with breve":"Letra latina minúscula «a» con acento breve","Latin capital letter a with ogonek":"Letra latina mayúscula «A» con ogonek","Latin small letter a with ogonek":"Letra latina minúscula «a» con ogonek","Latin capital letter c with acute":"Letra latina mayúscula «C» con acento agudo","Latin small letter c with acute":"Letra latina minúscula «c» con acento agudo","Latin capital letter c with circumflex":"Letra latina mayúscula «C» con acento circunflejo","Latin small letter c with circumflex":"Letra latina minúscula «c» con acento circunflejo","Latin capital letter c with dot above":"Letra latina mayúscula «C» con punto superior","Latin small letter c with dot above":"Letra latina minúscula «c» con punto superior","Latin capital letter c with caron":"Letra latina mayúscula «C» con acento anticircunflejo","Latin small letter c with caron":"Letra latina minúscula «c» con acento anticircunflejo","Latin capital letter d with caron":"Letra latina mayúscula «D» con acento anticircunflejo","Latin small letter d with caron":"Letra latina minúscula «d» con acento anticircunflejo","Latin capital letter d with stroke":"Letra latina mayúscula «D» con barra horizontal","Latin small letter d with stroke":"Letra latina minúscula «d» con barra horizontal","Latin capital letter e with macron":"Letra latina mayúscula «E» con macrón","Latin small letter e with macron":"Letra latina minúscula «e» con macrón","Latin capital letter e with breve":"Letra latina mayúscula «e» con acento breve","Latin small letter e with breve":"Letra latina minúscula «e» con acento breve","Latin capital letter e with dot above":"Letra latina mayúscula «E» con punto superior","Latin small letter e with dot above":"Letra latina minúscula «e» con punto superior","Latin capital letter e with ogonek":"Letra latina mayúscula «E» con ogonek","Latin small letter e with ogonek":"Letra latina minúscula «e» con ogonek","Latin capital letter e with caron":"Letra latina mayúscula «E» con acento anticircunflejo","Latin small letter e with caron":"Letra latina minúscula «e» con acento anticircunflejo","Latin capital letter g with circumflex":"Letra latina mayúscula «G» con acento circunflejo","Latin small letter g with circumflex":"Letra latina minúscula «g» con acento circunflejo","Latin capital letter g with breve":"Letra latina mayúscula «G» con acento breve","Latin small letter g with breve":"Letra latina minúscula «g» con acento breve","Latin capital letter g with dot above":"Letra latina mayúscula «G» con punto superior","Latin small letter g with dot above":"Letra latina minúscula «g» con punto superior","Latin capital letter g with cedilla":"Letra latina mayúscula «G» con cedilla","Latin small letter g with cedilla":"Letra latina minúscula «g» con cedilla","Latin capital letter h with circumflex":"Letra latina mayúscula «H» con acento circunflejo","Latin small letter h with circumflex":"Letra latina minúscula «h» con acento circunflejo","Latin capital letter h with stroke":"Letra latina mayúscula «H» con barra horizontal","Latin small letter h with stroke":"Letra latina minúscula «h» con barra horizontal","Latin capital letter i with tilde":"Letra latina mayúscula «I» con tilde","Latin small letter i with tilde":"Letra latina minúscula «i» con tilde","Latin capital letter i with macron":"Letra latina mayúscula «I» con macrón","Latin small letter i with macron":"Letra latina minúscula «i» con macrón","Latin capital letter i with breve":"Letra latina mayúscula «I» con acento breve","Latin small letter i with breve":"Letra latina minúscula «i» con acento breve","Latin capital letter i with ogonek":"Letra latina mayúscula «I» con ogonek","Latin small letter i with ogonek":"Letra latina minúscula «i» con ogonek","Latin capital letter i with dot above":"Letra latina mayúscula «I» con punto superior","Latin small letter dotless i":"Letra latina minúscula «i» sin punto","Latin capital ligature ij":"Ligadura latina mayúscula «IJ»","Latin small ligature ij":"Ligadura latina minúscula «ij»","Latin capital letter j with circumflex":"Letra latina mayúscula «J» con acento circunflejo","Latin small letter j with circumflex":"Letra latina minúscula «j» con acento circunflejo","Latin capital letter k with cedilla":"Letra latina mayúscula «K» con cedilla","Latin small letter k with cedilla":"Letra latina minúscula «k» con cedilla","Latin small letter kra":"Letra latina minúscula «kra»","Latin capital letter l with acute":"Letra latina mayúscula «L» con acento agudo","Latin small letter l with acute":"Letra latina minúscula «l» con acento agudo","Latin capital letter l with cedilla":"Letra latina mayúscula «I» con cedilla","Latin small letter l with cedilla":"Letra latina minúscula «l» con cedilla","Latin capital letter l with caron":"Letra latina mayúscula «I» con acento anticircunflejo","Latin small letter l with caron":"Letra latina minúscula «i» con acento anticircunflejo","Latin capital letter l with middle dot":"Letra latina mayúscula «L» con punto medio","Latin small letter l with middle dot":"Letra latina minúscula «l» con punto medio","Latin capital letter l with stroke":"Letra latina mayúscula «L» con barra diagonal","Latin small letter l with stroke":"Letra latina minúscula «l» con barra diagonal","Latin capital letter n with acute":"Letra latina mayúscula «N» con acento agudo","Latin small letter n with acute":"Letra latina minúscula «n» con acento agudo","Latin capital letter n with cedilla":"Letra latina mayúscula «N» con cedilla","Latin small letter n with cedilla":"Letra latina minúscula «n» con cedilla","Latin capital letter n with caron":"Letra latina mayúscula «n» con acento anticircunflejo","Latin small letter n with caron":"Letra latina minúscula «n» con acento anticircunflejo","Latin small letter n preceded by apostrophe":"Letra latina minúscula «n» precedida de apóstrofo","Latin capital letter eng":"Letra latina mayúscula «Eng»","Latin small letter eng":"Letra latina minúscula «eng»","Latin capital letter o with macron":"Letra latina mayúscula «O» con macrón","Latin small letter o with macron":"Letra latina minúscula «o» con macrón","Latin capital letter o with breve":"Letra latina mayúscula «O» con acento breve","Latin small letter o with breve":"Letra latina minúscula «o» con acento breve","Latin capital letter o with double acute":"Letra latina mayúscula «O» con doble acento agudo","Latin small letter o with double acute":"Letra latina minúscula «o» con doble acento agudo","Latin capital ligature oe":"Ligadura latina mayúscula «OE»","Latin small ligature oe":"Ligadura latina minúscula «oe»","Latin capital letter r with acute":"Letra latina mayúscula «R» con acento agudo","Latin small letter r with acute":"Letra latina minúscula «r» con acento agudo","Latin capital letter r with cedilla":"Letra latina mayúscula «R» con cedilla","Latin small letter r with cedilla":"Letra latina minúscula «r» con cedilla","Latin capital letter r with caron":"Letra latina mayúscula «R» con acento anticircunflejo","Latin small letter r with caron":"Letra latina minúscula «r» con acento anticircunflejo","Latin capital letter s with acute":"Letra latina mayúscula «S» con acento agudo","Latin small letter s with acute":"Letra latina minúscula «s» con acento agudo","Latin capital letter s with circumflex":"Letra latina mayúscula «S» con acento circunflejo","Latin small letter s with circumflex":"Letra latina minúscula «s» con acento circunflejo","Latin capital letter s with cedilla":"Letra latina mayúscula «S» con cedilla","Latin small letter s with cedilla":"Letra latina minúscula «s» con cedilla","Latin capital letter s with caron":"Letra latina mayúscula «S» con acento anticircunflejo","Latin small letter s with caron":"Letra latina minúscula «s» con acento anticircunflejo","Latin capital letter t with cedilla":"Letra latina mayúscula «T» con cedilla","Latin small letter t with cedilla":"Letra latina minúscula «t» con cedilla","Latin capital letter t with caron":"Letra latina mayúscula «T» con acento anticircunflejo","Latin small letter t with caron":"Letra latina minúscula «t» con acento anticircunflejo","Latin capital letter t with stroke":"Letra latina mayúscula «T» con barra horizontal","Latin small letter t with stroke":"Letra latina minúscula «t» con barra horizontal","Latin capital letter u with tilde":"Letra latina mayúscula «U» con tilde","Latin small letter u with tilde":"Letra latina minúscula «u» con tilde","Latin capital letter u with macron":"Letra latina mayúscula «U» con macrón","Latin small letter u with macron":"Letra latina minúscula «u» con macrón","Latin capital letter u with breve":"Letra latina mayúscula «U» con acento breve","Latin small letter u with breve":"Letra latina minúscula «u» con acento breve","Latin capital letter u with ring above":"Letra latina mayúscula «U» con anillo superior","Latin small letter u with ring above":"Letra latina minúscula «u» con anillo superior","Latin capital letter u with double acute":"Letra latina mayúscula «U» con doble acento agudo","Latin small letter u with double acute":"Letra latina minúscula «u» con doble acento agudo","Latin capital letter u with ogonek":"Letra latina mayúscula «U» con ogonek","Latin small letter u with ogonek":"Letra latina minúscula «u» con ogonek","Latin capital letter w with circumflex":"Letra latina mayúscula «W» con acento circunflejo","Latin small letter w with circumflex":"Letra latina minúscula «w» con acento circunflejo","Latin capital letter y with circumflex":"Letra latina mayúscula «Y» con acento circunflejo","Latin small letter y with circumflex":"Letra latina minúscula «y» con acento circunflejo","Latin capital letter y with diaeresis":"Letra latina mayúscula «Y» con diéresis","Latin capital letter z with acute":"Letra latina mayúscula «Z» con acento agudo","Latin small letter z with acute":"Letra latina minúscula «z» con acento agudo","Latin capital letter z with dot above":"Letra latina mayúscula «Z» con punto superior","Latin small letter z with dot above":"Letra latina minúscula «z» con punto superior","Latin capital letter z with caron":"Letra latina mayúscula «Z» con acento anticircunflejo","Latin small letter z with caron":"Letra latina minúscula «z» con acento anticircunflejo","Latin small letter long s":"Letra latina minúscula «s» larga","Less-than sign":"Signo de menor que","Greater-than sign":"Signo de mayor que","Less-than or equal to":"Menor que o igual a","Greater-than or equal to":"Mayor que o igual a","En dash":"Semirraya","Em dash":"Raya","Macron":"Macrón","Overline":"Línea alta","Degree sign":"Signo de grado","Minus sign":"Signo de resta","Plus-minus sign":"Signo más-menos","Division sign":"Signo de división","Fraction slash":"Barra fraccionaria","Multiplication sign":"Signo de multiplicación","Latin small letter f with hook":"Letra latina minúscula «f» con gancho","Integral":"Integral","N-ary summation":"Sumatoria","Infinity":"Infinito","Square root":"Raíz cuadrada","Tilde operator":"Operador de tilde","Approximately equal to":"Aproximadamente igual a","Almost equal to":"Casi igual a","Not equal to":"No igual a","Identical to":"Idéntico a","Element of":"Elemento de","Not an element of":"No es un elemento de","Contains as member":"Contiene como miembro","N-ary product":"Productorio","Logical and":"Y lógico","Logical or":"O lógico","Not sign":"Signo de negación","Intersection":"Intersección","Union":"Unión","Partial differential":"Diferencial parcial","For all":"Para todo","There exists":"Existe","Empty set":"Conjunto vacío","Nabla":"Nabla","Asterisk operator":"Operador asterisco","Proportional to":"Proporcional a","Angle":"Ángulo","Vulgar fraction one quarter":"Fracción ordinaria de un cuarto","Vulgar fraction one half":"Fracción ordinaria de un medio","Vulgar fraction three quarters":"Fracción ordinaria de tres cuartos","Single left-pointing angle quotation mark":"Comilla tipográfica simple angular de apertura","Single right-pointing angle quotation mark":"Comilla tipográfica simple angular de cierre","Left-pointing double angle quotation mark":"Comilla tipográfica doble angular de apertura","Right-pointing double angle quotation mark":"Comilla tipográfica dobe angular de cierre","Left single quotation mark":"Comilla tipográfica de apertura","Right single quotation mark":"Comilla tipográfica de cierre","Left double quotation mark":"Comilla tipográfica doble de apertura","Right double quotation mark":"Comilla tipográfica de cierre","Single low-9 quotation mark":"Comilla tipográfica en forma de 9 simple y baja","Double low-9 quotation mark":"Comilla tipográfica en forma de 9 doble y baja","Inverted exclamation mark":"Signo de exclamación de apertura","Inverted question mark":"Signo de interrogación de apertura","Two dot leader":"Punto de inicio doble","Horizontal ellipsis":"Puntos suspensivos horizontales","Double dagger":"Cruz doble","Per mille sign":"Signo de por mil","Per ten thousand sign":"Signo de por diez mil","Double exclamation mark":"Signo de exclamación doble","Question exclamation mark":"Signo de exclamación interrogativa","Exclamation question mark":"Signo de interrogación exclamativa","Double question mark":"Signo de interrogación doble","Copyright sign":"Signo de derechos de autor","Registered sign":"Signo de marca registrada","Trade mark sign":"Signo de marca comercial","Section sign":"Signo de sección","Paragraph sign":"Signo de párrafo","Reversed paragraph sign":"Signo de antígrafo invertido","Character categories":"Categorías de caracteres"},getPluralForm(n){return n == 1 ? 0 : n != 0 && n % 1000000 == 0 ? 1 : 2;}}};
e[ 'es' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'es' ].dictionary = Object.assign( e[ 'es' ].dictionary, dictionary );
e[ 'es' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
