/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'fr' ]: { dictionary, getPluralForm } } = {"fr":{"dictionary":{"Special characters":"Caractères spéciaux","All":"Tous","Arrows":"Flèches","Currency":"Devise","Latin":"Latin","Mathematical":"Mathématique","Text":"Texte","leftwards simple arrow":"flèche simple vers la gauche","rightwards simple arrow":"flèche simple vers la droite","upwards simple arrow":"flèche simple vers le haut","downwards simple arrow":"flèche simple vers le bas","leftwards double arrow":"Double flèche vers la gauche","rightwards double arrow":"Double flèche vers la droite","upwards double arrow":"Double flèche vers le haut","downwards double arrow":"Double flèche vers le bas","leftwards dashed arrow":"Flèche en pointillés vers la gauche","rightwards dashed arrow":"Flèche en pointillés vers la droite","upwards dashed arrow":"Flèche en pointillés vers le haut","downwards dashed arrow":"Flèche en pointillés vers le bas","leftwards arrow to bar":"Flèche vers la gauche avec barre de fin","rightwards arrow to bar":"Flèche vers la droite avec barre de fin","upwards arrow to bar":"Flèche vers le haut avec barre de fin","downwards arrow to bar":"Flèche vers le bas avec barre de fin","up down arrow with base":"Flèche haut et bas avec barre de fin","back with leftwards arrow above":"Précédent avec flèche vers la gauche","end with leftwards arrow above":"Fin avec flèche vers la gauche","on with exclamation mark with left right arrow above":"Allumé avec flèches vers la gauche et la droite","soon with rightwards arrow above":"Bientôt avec flèche vers la droite","top with upwards arrow above":"Haut avec flèche vers le haut","Dollar sign":"Dollar","Euro sign":"Euro","Yen sign":"Yen","Pound sign":"Livre sterling","Cent sign":"Centime","Euro-currency sign":"Symbole monétaire de l'euro","Colon sign":"Deux points","Cruzeiro sign":"Cruzeiro","French franc sign":"Franc français","Lira sign":"Lire","Currency sign":"Symbole monétaire","Bitcoin sign":"Bitcoin","Mill sign":"Moulin","Naira sign":"Naira","Peseta sign":"Peseta","Rupee sign":"Roupie","Won sign":"Won","New sheqel sign":"Shekel","Dong sign":"Dong","Kip sign":"Kip","Tugrik sign":"Tugrik","Drachma sign":"Drachme","German penny sign":"Pfennig","Peso sign":"Peso","Guarani sign":"Guarani","Austral sign":"Austral","Hryvnia sign":"Hryvnia","Cedi sign":"Cédi","Livre tournois sign":"Livre tournois","Spesmilo sign":"Spesmilo","Tenge sign":"Tenge","Indian rupee sign":"Roupie indienne","Turkish lira sign":"Lire turque","Nordic mark sign":"Mark nordique","Manat sign":"Manat","Ruble sign":"Rouble","Latin capital letter a with macron":"A barre majuscule","Latin small letter a with macron":"A barre minuscule","Latin capital letter a with breve":"A bref majuscule","Latin small letter a with breve":"A bref minuscule","Latin capital letter a with ogonek":"A ogonek majuscule","Latin small letter a with ogonek":"A ogonek minuscule","Latin capital letter c with acute":"C accent aigu majuscule","Latin small letter c with acute":"C accent aigu minuscule","Latin capital letter c with circumflex":"C circonflexe majuscule","Latin small letter c with circumflex":"C circonflexe minuscule","Latin capital letter c with dot above":"C point suscrit majuscule","Latin small letter c with dot above":"C point suscrit minuscule","Latin capital letter c with caron":"C caron majuscule","Latin small letter c with caron":"C caron minuscule","Latin capital letter d with caron":"D caron majuscule","Latin small letter d with caron":"C caron minuscule","Latin capital letter d with stroke":"D barré majuscule","Latin small letter d with stroke":"D barré minuscule","Latin capital letter e with macron":"E macron majuscule","Latin small letter e with macron":"E macron minuscule","Latin capital letter e with breve":"E bref majuscule","Latin small letter e with breve":"E bref minuscule","Latin capital letter e with dot above":"E point suscrit majuscule","Latin small letter e with dot above":"E point suscrit minuscule","Latin capital letter e with ogonek":"E ogonek majuscule","Latin small letter e with ogonek":"E ogonek minuscule","Latin capital letter e with caron":"E caron majuscule","Latin small letter e with caron":"E caron minuscule","Latin capital letter g with circumflex":"G accent circonflexe majuscule","Latin small letter g with circumflex":"G accent circonflexe minuscule","Latin capital letter g with breve":"G bref majuscule","Latin small letter g with breve":"G bref minuscule","Latin capital letter g with dot above":"G point suscrit majuscule","Latin small letter g with dot above":"G point suscrit minuscule","Latin capital letter g with cedilla":"G cédille majuscule","Latin small letter g with cedilla":"G cédille minuscule","Latin capital letter h with circumflex":"H accent circonflexe majuscule","Latin small letter h with circumflex":"H accent circonflexe minuscule","Latin capital letter h with stroke":"H barré majuscule","Latin small letter h with stroke":"H barré minuscule","Latin capital letter i with tilde":"I tilde majuscule","Latin small letter i with tilde":"I tilde minuscule","Latin capital letter i with macron":"I macron majuscule","Latin small letter i with macron":"I macron minuscule","Latin capital letter i with breve":"I bref majuscule","Latin small letter i with breve":"I bref minuscule","Latin capital letter i with ogonek":"I ogonek majuscule","Latin small letter i with ogonek":"I ogonek minuscule","Latin capital letter i with dot above":"I point suscrit majuscule","Latin small letter dotless i":"I sans point minuscule","Latin capital ligature ij":"Digramme soudé IJ majuscule","Latin small ligature ij":"Digramme soudé IJ minuscule","Latin capital letter j with circumflex":"J accent circonflexe majuscule","Latin small letter j with circumflex":"J accent circonflexe minuscule","Latin capital letter k with cedilla":"K cédille majuscule","Latin small letter k with cedilla":"K cédille minuscule","Latin small letter kra":"Kra minuscule","Latin capital letter l with acute":"L accent aigu majuscule","Latin small letter l with acute":"L accent aigu minuscule","Latin capital letter l with cedilla":"L cédille majuscule","Latin small letter l with cedilla":"L cédille minuscule","Latin capital letter l with caron":"L caron majuscule","Latin small letter l with caron":"L caron minuscule","Latin capital letter l with middle dot":"L point médian majuscule","Latin small letter l with middle dot":"L point médian minuscule","Latin capital letter l with stroke":"L barré majuscule","Latin small letter l with stroke":"L barré minuscule","Latin capital letter n with acute":"N accent aigu majuscule","Latin small letter n with acute":"N accent aigu minuscule","Latin capital letter n with cedilla":"N cédille majuscule","Latin small letter n with cedilla":"N cédille minuscule","Latin capital letter n with caron":"N caron majuscule","Latin small letter n with caron":"N caron minuscule","Latin small letter n preceded by apostrophe":"Apostrophe N minuscule","Latin capital letter eng":"Eng majuscule","Latin small letter eng":"Eng minuscule","Latin capital letter o with macron":"O macron majuscule","Latin small letter o with macron":"O macron minuscule","Latin capital letter o with breve":"O bref majuscule","Latin small letter o with breve":"O bref minuscule","Latin capital letter o with double acute":"O double accent aigu majuscule","Latin small letter o with double acute":"O double accent aigu minuscule","Latin capital ligature oe":"O-E entrelacé majuscule","Latin small ligature oe":"O-E entrelacé minuscule","Latin capital letter r with acute":"R accent aigu majuscule","Latin small letter r with acute":"R accent aigu minuscule","Latin capital letter r with cedilla":"R cédille majuscule","Latin small letter r with cedilla":"R cédille minuscule","Latin capital letter r with caron":"R caron majuscule","Latin small letter r with caron":"R caron minuscule","Latin capital letter s with acute":"S accent aigu majuscule","Latin small letter s with acute":"S accent aigu minuscule","Latin capital letter s with circumflex":"S circonflexe majuscule","Latin small letter s with circumflex":"S circonflexe minuscule","Latin capital letter s with cedilla":"S cédille majuscule","Latin small letter s with cedilla":"S cédille minuscule","Latin capital letter s with caron":"S caron majuscule","Latin small letter s with caron":"S caron minuscule","Latin capital letter t with cedilla":"T cédille majuscule","Latin small letter t with cedilla":"T cédille minuscule","Latin capital letter t with caron":"T caron majuscule","Latin small letter t with caron":"T caron minuscule","Latin capital letter t with stroke":"T barré majuscule","Latin small letter t with stroke":"T barré minuscule","Latin capital letter u with tilde":"U tilde majuscule","Latin small letter u with tilde":"U tilde minuscule","Latin capital letter u with macron":"U macron majuscule","Latin small letter u with macron":"U macron minuscule","Latin capital letter u with breve":"U bref majuscule","Latin small letter u with breve":"U bref minuscule","Latin capital letter u with ring above":"U rond en chef majuscule","Latin small letter u with ring above":"U rond en chef minuscule","Latin capital letter u with double acute":"U double accent aigu majuscule","Latin small letter u with double acute":"U double accent aigu minuscule","Latin capital letter u with ogonek":"U ogonek majuscule","Latin small letter u with ogonek":"U ogonek minuscule","Latin capital letter w with circumflex":"W circonflexe majuscule","Latin small letter w with circumflex":"W circonflexe minuscule","Latin capital letter y with circumflex":"Y circonflexe majuscule","Latin small letter y with circumflex":"Y circonflexe minuscule","Latin capital letter y with diaeresis":"Y tréma majuscule","Latin capital letter z with acute":"Z accent circonflexe majuscule","Latin small letter z with acute":"Z accent circonflexe minuscule","Latin capital letter z with dot above":"Z point suscrit majuscule","Latin small letter z with dot above":"Z point suscrit minuscule","Latin capital letter z with caron":"Z caron majuscule","Latin small letter z with caron":"Z caron minuscule","Latin small letter long s":"S long minuscule","Less-than sign":"Signe inférieur","Greater-than sign":"Signe supérieur","Less-than or equal to":"Signe inférieur ou égal","Greater-than or equal to":"Signe supérieur ou égal","En dash":"Tiret","Em dash":"Tiret long","Macron":"Macron","Overline":"Macron long","Degree sign":"Degré","Minus sign":"Moins","Plus-minus sign":"Plus ou moins","Division sign":"Division","Fraction slash":"Fraction","Multiplication sign":"Multiplication","Latin small letter f with hook":"Fonction","Integral":"Intégrale","N-ary summation":"Somme","Infinity":"Infini","Square root":"Racine carrée","Tilde operator":"Tilde","Approximately equal to":"Environ égal à","Almost equal to":"Presque égal à","Not equal to":"Différent de","Identical to":"Identique à","Element of":"Appartient à","Not an element of":"N'appartient pas à","Contains as member":"Contient","N-ary product":"Produit","Logical and":"Et logique","Logical or":"Ou logique","Not sign":"Négation logique","Intersection":"Intersection","Union":"Union","Partial differential":"Partiellement différent","For all":"Pour tout","There exists":"Existe","Empty set":"Élément vide","Nabla":"Nabla","Asterisk operator":"Astérisque","Proportional to":"Proportionnel à","Angle":"Angle","Vulgar fraction one quarter":"Un quart","Vulgar fraction one half":"Un demi","Vulgar fraction three quarters":"Trois quarts","Single left-pointing angle quotation mark":"Guillemet simple vers la gauche","Single right-pointing angle quotation mark":"Guillemet simple vers la droite","Left-pointing double angle quotation mark":"Guillemet double vers la gauche","Right-pointing double angle quotation mark":"Guillemet double vers la droite","Left single quotation mark":"Guillemet-apostrophe culbuté","Right single quotation mark":"Guillemet-apostrophe","Left double quotation mark":"Guillemet-apostrophe double culbuté","Right double quotation mark":"Guillemet-apostrophe double","Single low-9 quotation mark":"Guillemet-virgule inférieur","Double low-9 quotation mark":"Guillemet-virgule double inférieur","Inverted exclamation mark":"Point d'exclamation inversé","Inverted question mark":"Point d'interrogation inversé","Two dot leader":"Deux points","Horizontal ellipsis":"Trois points","Double dagger":"Croix de Lorraine","Per mille sign":"Pour mille","Per ten thousand sign":"Pour dix milles","Double exclamation mark":"Double point d'exclamation","Question exclamation mark":"Point d'interrogation et exclamation","Exclamation question mark":"Point exclamation et question","Double question mark":"Double point d'interrogation","Copyright sign":"Copyright","Registered sign":"Registered","Trade mark sign":"Marque déposée","Section sign":"Paragraphe","Paragraph sign":"Fin de paragraphe","Reversed paragraph sign":"Fin de paragraphe inversé","Character categories":"Catégories de caractères"},getPluralForm(n){return (n == 0 || n == 1) ? 0 : n != 0 && n % 1000000 == 0 ? 1 : 2;}}};
e[ 'fr' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'fr' ].dictionary = Object.assign( e[ 'fr' ].dictionary, dictionary );
e[ 'fr' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
