/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'gl' ]: { dictionary, getPluralForm } } = {"gl":{"dictionary":{"Special characters":"Caracteres especiais","All":"Todos","Arrows":"Frechas","Currency":"Moedas","Latin":"Latinos","Mathematical":"Matemáticos","Text":"Texto","leftwards simple arrow":"frecha simple cara a esquerda","rightwards simple arrow":"frecha simple cara a dereita","upwards simple arrow":"frecha simple cara arriba","downwards simple arrow":"frecha simple cara abaixo","leftwards double arrow":"frecha dobre cara a esquerda","rightwards double arrow":"frecha dobre cara a dereita","upwards double arrow":"frecha dobre cara arriba","downwards double arrow":"frecha dobre cara abaixo","leftwards dashed arrow":"frecha de guións cara a esquerda","rightwards dashed arrow":"frecha de guións cara a dereita","upwards dashed arrow":"frecha de guións cara arriba","downwards dashed arrow":"frecha de guións cara abaixo","leftwards arrow to bar":"frecha cara a esquerda con tope","rightwards arrow to bar":"frecha cara a dereita con tope","upwards arrow to bar":"frecha cara arriba con tope","downwards arrow to bar":"frecha cara abaixo con tope","up down arrow with base":"frecha arriba-abaixo con base","back with leftwards arrow above":"cara atrás, coa frecha cara a esquerda enriba","end with leftwards arrow above":"final, coa frecha cara a esquerda enriba","on with exclamation mark with left right arrow above":"activado, con signo de exclamación coa frecha esquerda-dereita enrriba","soon with rightwards arrow above":"logo, coa frecha cara a dereita enriba","top with upwards arrow above":"superior, coa frecha cara arriba enriba","Dollar sign":"Símbolo do dolar","Euro sign":"Símbolo do euro","Yen sign":"Símbolo do yen","Pound sign":"Símbolo da libra","Cent sign":"Símbolo do centavo","Euro-currency sign":"Símbolo da moeda do euro","Colon sign":"Símbolo do colón","Cruzeiro sign":"Símbolo do cruceiro","French franc sign":"Símbolo do franco francés","Lira sign":"Símbolo da lira","Currency sign":"Símbolo de moeda","Bitcoin sign":"Símbolo do Bitcoin","Mill sign":"Símbolo do mill","Naira sign":"Símbolo da naira","Peseta sign":"Símbolo da peseta","Rupee sign":"Símbolo da rupia","Won sign":"Símbolo do won","New sheqel sign":"Símbolo do novo xequel","Dong sign":"Símbolo do dong","Kip sign":"Símbolo do kip","Tugrik sign":"Símbolo do tugrik","Drachma sign":"Símbolo do dracma","German penny sign":"Símbolo do penique alemán","Peso sign":"Símbolo do peso","Guarani sign":"Símbolo do guaraní","Austral sign":"Símbolo do austral","Hryvnia sign":"Símbolo do hryvnia","Cedi sign":"Símbolo do cedi","Livre tournois sign":"Símbolo da libra tournois","Spesmilo sign":"Símbolo do spesmilo","Tenge sign":"Símbolo do tenge","Indian rupee sign":"Símbolo da rupia india","Turkish lira sign":"Símbolo da lira turca","Nordic mark sign":"Símbolo do marco nordico","Manat sign":"Símbolo do manat","Ruble sign":"Símbolo do rublo","Latin capital letter a with macron":"A maiúsculo latino con macron","Latin small letter a with macron":"a minúsculo latino con macron","Latin capital letter a with breve":"A maiúsculo latino con acento breve","Latin small letter a with breve":"a minúsculo latino con acento breve","Latin capital letter a with ogonek":"A maiúsculo latino con ogonek","Latin small letter a with ogonek":"a minúsculo latino con ogonek","Latin capital letter c with acute":"C maiúsculo latino con acento agudo","Latin small letter c with acute":"c minúsculo latino con acento agudo","Latin capital letter c with circumflex":"C maiúsculo latino con acento circunflexo","Latin small letter c with circumflex":"c minúsculo latino con acento circunflexo","Latin capital letter c with dot above":"C maiúsculo latino con punto enriba","Latin small letter c with dot above":"c minúsculo latino con punto enriba","Latin capital letter c with caron":"C maiúsculo latino con caron","Latin small letter c with caron":"cminúsculo latino con caron","Latin capital letter d with caron":"D maiúsculo latino con caron","Latin small letter d with caron":"d minúsculo latino con caron","Latin capital letter d with stroke":"D maiúsculo latino barrado","Latin small letter d with stroke":"d minúsculo latino barrado","Latin capital letter e with macron":"E maiúsculo latino con macron","Latin small letter e with macron":"e minúsculo latino con macron","Latin capital letter e with breve":"E maiúsculo latino con acento breve","Latin small letter e with breve":"e minúsculo latino con acento breve","Latin capital letter e with dot above":"E maiúsculo latino con punto enriba","Latin small letter e with dot above":"e  minúsculo latino con punto enriba","Latin capital letter e with ogonek":"E maiúsculo latino con ogonek","Latin small letter e with ogonek":"e minúsculo latino con ogonek","Latin capital letter e with caron":"E maiúsculo latino con caron","Latin small letter e with caron":"e minúsculo latino con caron","Latin capital letter g with circumflex":"G maiúsculo latino con acento circunflexo","Latin small letter g with circumflex":"g minúsculo latino con acento circunflexo","Latin capital letter g with breve":"G maiúsculo latino con acento breve","Latin small letter g with breve":"g minúsculo latino con acento breve","Latin capital letter g with dot above":"G maiúsculo latino con punto enriba","Latin small letter g with dot above":"g minúsculo latino con punto enriba","Latin capital letter g with cedilla":"G maiúsculo latino con cedilla","Latin small letter g with cedilla":"g minúsculo latino con cedilla","Latin capital letter h with circumflex":"H maiúsculo latino con acento circunflexo","Latin small letter h with circumflex":"h minúsculo latino con acento circunflexo","Latin capital letter h with stroke":"H maiúsculo latino barrado","Latin small letter h with stroke":"h minúsculo latino barrado","Latin capital letter i with tilde":"I maiúsculo latino con til","Latin small letter i with tilde":"i minúsculo latino con til","Latin capital letter i with macron":"I maiúsculo latino con macron","Latin small letter i with macron":"i minúsculo latino con macron","Latin capital letter i with breve":"I maiúsculo latino con acento breve","Latin small letter i with breve":"i minúsculo latino con acento breve","Latin capital letter i with ogonek":"I maiúsculo latino con ogonek","Latin small letter i with ogonek":"i minúsculo latino con ogonek","Latin capital letter i with dot above":"I maiúsculo latino con punto enriba","Latin small letter dotless i":"i minúsculo latino sen punto","Latin capital ligature ij":"Ligadura IJ maiúsculo latino","Latin small ligature ij":"Ligadura ij minúsculo latino","Latin capital letter j with circumflex":"J maiúsculo latino con acento circunflexo","Latin small letter j with circumflex":"j minúsculo latino con acento circunflexo","Latin capital letter k with cedilla":"K maiúsculo latino con cedilla","Latin small letter k with cedilla":"k minúsculo latino con cedilla","Latin small letter kra":"Letra kra minúscula","Latin capital letter l with acute":"L maiúsculo latino con acento agudo","Latin small letter l with acute":"l minúsculo latino con acento agudo","Latin capital letter l with cedilla":"L maiúsculo latino con cedilla","Latin small letter l with cedilla":"l minúsculo latino con cedilla","Latin capital letter l with caron":"L maiúsculo latino con caron","Latin small letter l with caron":"l minúsculo latino con caron","Latin capital letter l with middle dot":"L maiúsculo latino con punto medio","Latin small letter l with middle dot":"l minúsculo latino con punto medio","Latin capital letter l with stroke":"L maiúsculo latino barrado","Latin small letter l with stroke":"l minúsculo latino barrado","Latin capital letter n with acute":"N maiúsculo latino con acento agudo","Latin small letter n with acute":"n minúsculo latino con acento agudo","Latin capital letter n with cedilla":"N maiúsculo latino con cedilla","Latin small letter n with cedilla":"n minúsculo latino con cedilla","Latin capital letter n with caron":"N maiúsculo latino con caron","Latin small letter n with caron":"n minúsculo latino con caron","Latin small letter n preceded by apostrophe":"n minúsculo latino precedido de apostrofe","Latin capital letter eng":"Eng (engma) mziúsculo latino","Latin small letter eng":"Eng (engma) minúsculo latino","Latin capital letter o with macron":"O maiúsculo latino con macron","Latin small letter o with macron":"o minúsculo latino con macron","Latin capital letter o with breve":"O maiúsculo latino con acento breve","Latin small letter o with breve":"o minúsculo latino con acento breve","Latin capital letter o with double acute":"O maiúsculo latino con acento agudo dobre","Latin small letter o with double acute":"o minúsculo latino con acento agudo dobre","Latin capital ligature oe":"Ligadura OE maiúsculo latino","Latin small ligature oe":"Ligadura oe minúsculo latino","Latin capital letter r with acute":"R maiúsculo latino con acento agudo","Latin small letter r with acute":"r minúsculo latino con acento agudo","Latin capital letter r with cedilla":"R maiúsculo latino con cedilla","Latin small letter r with cedilla":"r minúsculo latino con cedilla","Latin capital letter r with caron":"R maiúsculo latino con caron","Latin small letter r with caron":"r minúsculo latino con caron","Latin capital letter s with acute":"S maiúsculo latino con acento agudo","Latin small letter s with acute":"s minúsculo latino con acento agudo","Latin capital letter s with circumflex":"S maiúsculo latino con acento circunflexo","Latin small letter s with circumflex":"s minúsculo latino con acento circunflexo","Latin capital letter s with cedilla":"S maiúsculo latino con cedilla","Latin small letter s with cedilla":"s minúsculo latino con cedilla","Latin capital letter s with caron":"S maiúsculo latino con caron","Latin small letter s with caron":"s minúsculo latino con caron","Latin capital letter t with cedilla":"T maiúsculo latino con cedilla","Latin small letter t with cedilla":"t minúsculo latino con cedilla","Latin capital letter t with caron":"T maiúsculo latino con caron","Latin small letter t with caron":"t minúsculo latino con caron","Latin capital letter t with stroke":"T maiúsculo latino barrado","Latin small letter t with stroke":"t minúsculo latino barrado","Latin capital letter u with tilde":"U maiúsculo latino con til","Latin small letter u with tilde":"u minúsculo latino con til","Latin capital letter u with macron":"U maiúsculo latino con macron","Latin small letter u with macron":"u minúsculo latino con macron","Latin capital letter u with breve":"U maiúsculo latino con acento breve","Latin small letter u with breve":"u minúsculo latino con acento breve","Latin capital letter u with ring above":"U maiúsculo latino con anel enriba","Latin small letter u with ring above":"u minúsculo latino con anel enriba","Latin capital letter u with double acute":"U maiúsculo latino con acento agudo dobre","Latin small letter u with double acute":"u minúsculo latino con acento agudo dobre","Latin capital letter u with ogonek":"U maiúsculo latino con ogonek","Latin small letter u with ogonek":"u minúsculo latino con ogonek","Latin capital letter w with circumflex":"W maiúsculo latino con acento circunflexo","Latin small letter w with circumflex":"w minúsculo latino con acento circunflexo","Latin capital letter y with circumflex":"Y maiúsculo latino con acento circunflexo","Latin small letter y with circumflex":"y minúsculo latino con acento circunflexo","Latin capital letter y with diaeresis":"Y maiúsculo latino con diérese","Latin capital letter z with acute":"Z maiúsculo latino con acento agudo","Latin small letter z with acute":"z minúsculo latino con acento agudo","Latin capital letter z with dot above":"Z maiúsculo latino con punto enriba","Latin small letter z with dot above":"z minúsculo latino con punto enriba","Latin capital letter z with caron":"Z maiúsculo latino con caron","Latin small letter z with caron":"z minúsculo latino con caron","Latin small letter long s":"s minúsculo latino larga","Less-than sign":"Menor que","Greater-than sign":"Maior que","Less-than or equal to":"Menor ou igual que","Greater-than or equal to":"Maior ou igual que","En dash":"Guión curto","Em dash":"Guión longo (raia)","Macron":"Macron","Overline":"Liña superior","Degree sign":"Signo de grao","Minus sign":"Signo menos","Plus-minus sign":"Signo más/menos","Division sign":"Signo de división","Fraction slash":"Barra de fracción","Multiplication sign":"Signo de multiplicación","Latin small letter f with hook":"f minúsculo latino con gancho","Integral":"Integral","N-ary summation":"Suma de n elementos, sumatorio","Infinity":"Infinito","Square root":"Raíz cadrada","Tilde operator":"Operador til","Approximately equal to":"Aproximadamente igual a","Almost equal to":"Case igual a","Not equal to":"Distinto de","Identical to":"Idéntico a","Element of":"Pertenza","Not an element of":"Non pertenza","Contains as member":"Conten a","N-ary product":"Produto de n elementos, produtorio","Logical and":"E lóxico (conxunción)","Logical or":"Ou lóxico (disxunción)","Not sign":"Signo non","Intersection":"Intersección","Union":"Unión","Partial differential":"Derivada parcial","For all":"Para todo","There exists":"Existe","Empty set":"Conxunto baleiro","Nabla":"Nabla (Gradiente)","Asterisk operator":"Operador asterisco","Proportional to":"Proporcional a","Angle":"Ángulo","Vulgar fraction one quarter":"Fracción común dun cuarto","Vulgar fraction one half":"Fracción común dun medio","Vulgar fraction three quarters":"Fracción común de tres cuartos","Single left-pointing angle quotation mark":"Marca de acoutamento ángulo esquerdo sinxelo","Single right-pointing angle quotation mark":"Marca de acoutamento ángulo dereito sinxelo","Left-pointing double angle quotation mark":"Marca de acoutamento ángulo esquerdo dobre","Right-pointing double angle quotation mark":"Marca de acoutamento ángulo dereito dobre","Left single quotation mark":"Marca de acoutamento comiña sinxela esquerda","Right single quotation mark":"Marca de acoutamento comiña sinxela dereita","Left double quotation mark":"Marca de acoutamento comiña dobre esquerda","Right double quotation mark":"Marca de acoutamento comiña dobre dereita","Single low-9 quotation mark":"Marca de acoutamento comiña sinxela baixo-9","Double low-9 quotation mark":"Marca de acoutamento comiña dobre baixo-9","Inverted exclamation mark":"Marca invertida de exclamación","Inverted question mark":"Marca invertida de interrogación","Two dot leader":"Líder de dous puntos","Horizontal ellipsis":"Elipse horizontal","Double dagger":"Daga dobre","Per mille sign":"Signo de por milleiro","Per ten thousand sign":"Signo de por dez mil","Double exclamation mark":"Marca de dobre exclamación","Question exclamation mark":"Marca de interrogación exclamación","Exclamation question mark":"Marca de exclamación interrogación","Double question mark":"Marca de dobre interrogación","Copyright sign":"Símbolo de copyright","Registered sign":"Símbolo de rexistrado","Trade mark sign":"Símbolo de marca de fábrica","Section sign":"Signo de sección","Paragraph sign":"Signo de parágrafo","Reversed paragraph sign":"Signo invertido do parágrafo","Character categories":"Categorías de caracteres"},getPluralForm(n){return (n != 1);}}};
e[ 'gl' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'gl' ].dictionary = Object.assign( e[ 'gl' ].dictionary, dictionary );
e[ 'gl' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
