/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'id' ]: { dictionary, getPluralForm } } = {"id":{"dictionary":{"Special characters":"Karakter spesial","All":"Semua","Arrows":"Panah","Currency":"Mata Uang","Latin":"Latin","Mathematical":"Matematika","Text":"Teks","leftwards simple arrow":"panah kiri sederhana","rightwards simple arrow":"panah kanan sederhana","upwards simple arrow":"panah atas sederhana","downwards simple arrow":"panah bawah sederhana","leftwards double arrow":"Panah ganda ke kiri","rightwards double arrow":"Panah ganda ke kanan","upwards double arrow":"Panah ganda ke atas","downwards double arrow":"Panah ganda ke bawah","leftwards dashed arrow":"Panah putus-putus ke kiri","rightwards dashed arrow":"Panah putus-putus ke kanan","upwards dashed arrow":"Panah putus-putus ke atas","downwards dashed arrow":"Panah putus-putus ke ke bawah","leftwards arrow to bar":"panah kiri ke bar","rightwards arrow to bar":"panah kanan ke bar","upwards arrow to bar":"panah atas ke bar","downwards arrow to bar":"panah bawah ke bar","up down arrow with base":"panah atas bawah dari dasar","back with leftwards arrow above":"belakang dengan panah kiri di atas","end with leftwards arrow above":"akhir dengan panah kiri di atas","on with exclamation mark with left right arrow above":"nyala tanda seru dengan panah kiri kanan di atas","soon with rightwards arrow above":"segera (soon) dengan panah arah kanan di atas","top with upwards arrow above":"puncak (top) dengan panah arah atas di atas","Dollar sign":"Tanda dollar","Euro sign":"Tanda euro","Yen sign":"Tanda yen","Pound sign":"Tanda pound","Cent sign":"Tanda sen","Euro-currency sign":"Tanda mata uang euro","Colon sign":"Tanda titik dua","Cruzeiro sign":"Simbol cruzeiro ","French franc sign":"Simbol franc Prancis","Lira sign":"Simbol lira","Currency sign":"Tanda mata uang","Bitcoin sign":"Tanda bitcoin","Mill sign":"Simbol mill","Naira sign":"Simbol naira","Peseta sign":"Simbol peseta","Rupee sign":"Tanda rupee","Won sign":"Tanda won","New sheqel sign":"Simbol shekel baru","Dong sign":"Simbol dong","Kip sign":"Simbol kip","Tugrik sign":"Simbol tugrik","Drachma sign":"Simbol drakhma","German penny sign":"Simbol penny Jerman","Peso sign":"Tanda peso","Guarani sign":"Simbol guarani","Austral sign":"Simbol austral","Hryvnia sign":"Simbol hryvnia","Cedi sign":"Simbol cedi","Livre tournois sign":"Simbol livre tournois","Spesmilo sign":"Simbol spesmilo","Tenge sign":"Simbol tenge","Indian rupee sign":"Tanda rupee India","Turkish lira sign":"Simbol lira Turki","Nordic mark sign":"Simbol mark Nordik","Manat sign":"Simbol manat","Ruble sign":"Simbol rubel","Latin capital letter a with macron":"Huruf Latin besar a dengan macron","Latin small letter a with macron":"Huruf Latin kecil a dengan macron","Latin capital letter a with breve":"Huruf Latin besar a dengan breve","Latin small letter a with breve":"Huruf Latin kecil a dengan breve","Latin capital letter a with ogonek":"Huruf Latin besar a dengan ogonek","Latin small letter a with ogonek":"Huruf Latin kecil a dengan ogonek","Latin capital letter c with acute":"Huruf Latin besar c dengan akut","Latin small letter c with acute":"Huruf Latin kecil c dengan akut","Latin capital letter c with circumflex":"Huruf Latin besar c dengan sirkumfleks","Latin small letter c with circumflex":"Huruf Latin kecil c dengan sirkumfleks","Latin capital letter c with dot above":"Huruf Latin besar c dengan titik di atas","Latin small letter c with dot above":"Huruf Latin kecil c dengan titik di atas","Latin capital letter c with caron":"Huruf Latin besar c dengan caron","Latin small letter c with caron":"Huruf Latin kecil c dengan caron","Latin capital letter d with caron":"Huruf Latin besar d dengan caron","Latin small letter d with caron":"Huruf Latin kecil d dengan caron","Latin capital letter d with stroke":"Huruf Latin besar d dengan garis","Latin small letter d with stroke":"Huruf Latin kecil d dengan garis","Latin capital letter e with macron":"Huruf Latin besar e dengan macron","Latin small letter e with macron":"Huruf Latin kecil e dengan macron","Latin capital letter e with breve":"Huruf Latin besar e dengan breve","Latin small letter e with breve":"Huruf Latin kecil e dengan breve","Latin capital letter e with dot above":"Huruf Latin besar e dengan titik di atas","Latin small letter e with dot above":"Huruf Latin kecil e dengan titik di atas","Latin capital letter e with ogonek":"Huruf Latin besar e dengan ogonek","Latin small letter e with ogonek":"Huruf Latin kecil e dengan ogonek","Latin capital letter e with caron":"Huruf Latin besar e dengan caron","Latin small letter e with caron":"Huruf Latin kecil e dengan caron","Latin capital letter g with circumflex":"Huruf Latin besar g dengan sirkumfleks","Latin small letter g with circumflex":"Huruf Latin kecil g dengan sirkumfleks","Latin capital letter g with breve":"Huruf Latin besar g dengan breve","Latin small letter g with breve":"Huruf Latin kecil g dengan breve","Latin capital letter g with dot above":"Huruf Latin besar g dengan titik di atas","Latin small letter g with dot above":"Huruf Latin kecil g dengan titik di atas","Latin capital letter g with cedilla":"Huruf Latin besar g dengan cedilla","Latin small letter g with cedilla":"Huruf Latin kecil g dengan cedilla","Latin capital letter h with circumflex":"Huruf Latin besar h dengan sirkumfleks","Latin small letter h with circumflex":"Huruf Latin kecil h dengan sirkumfleks","Latin capital letter h with stroke":"Huruf Latin besar h dengan garis","Latin small letter h with stroke":"Huruf Latin kecil h dengan garis","Latin capital letter i with tilde":"Huruf Latin besar i dengan tilde","Latin small letter i with tilde":"Huruf Latin kecil i dengan tilde","Latin capital letter i with macron":"Huruf Latin besar i dengan macron","Latin small letter i with macron":"Huruf Latin kecil i dengan macron","Latin capital letter i with breve":"Huruf Latin besar i dengan breve","Latin small letter i with breve":"Huruf Latin kecil i dengan breve","Latin capital letter i with ogonek":"Huruf Latin besar i dengan ogonek","Latin small letter i with ogonek":"Huruf Latin kecil i dengan ogonek","Latin capital letter i with dot above":"Huruf Latin besar i dengan titik di atas","Latin small letter dotless i":"Huruf Latin kecil tanpa titik i","Latin capital ligature ij":"Ligatur Latin kapital ij","Latin small ligature ij":"Ligatur Latin kecil ij","Latin capital letter j with circumflex":"Huruf Latin besar j dengan sirkumfleks","Latin small letter j with circumflex":"Huruf Latin kecil j dengan sirkumfleks","Latin capital letter k with cedilla":"Huruf Latin besar k dengan cedilla","Latin small letter k with cedilla":"Huruf Latin kecil k dengan cedilla","Latin small letter kra":"Huruf Latin kecil kra","Latin capital letter l with acute":"Huruf Latin besar l dengan akut","Latin small letter l with acute":"Huruf Latin kecil l dengan akut","Latin capital letter l with cedilla":"Huruf Latin besar l dengan cedilla","Latin small letter l with cedilla":"Huruf Latin kecil l dengan cedilla","Latin capital letter l with caron":"Huruf Latin besar l dengan caron","Latin small letter l with caron":"Huruf Latin kecil l dengan caron","Latin capital letter l with middle dot":"Huruf Latin besar l dengan titik di tengah","Latin small letter l with middle dot":"Huruf Latin kecil l dengan titik di tengah","Latin capital letter l with stroke":"Huruf Latin besar l dengan garis","Latin small letter l with stroke":"Huruf Latin kecil l dengan garis","Latin capital letter n with acute":"Huruf Latin besar n dengan akut","Latin small letter n with acute":"Huruf Latin kecil n dengan akut","Latin capital letter n with cedilla":"Huruf Latin besar n dengan cedilla","Latin small letter n with cedilla":"Huruf Latin kecil n dengan cedilla","Latin capital letter n with caron":"Huruf Latin besar n dengan caron","Latin small letter n with caron":"Huruf Latin kecil n dengan caron","Latin small letter n preceded by apostrophe":"Huruf Latin kecil n yang didahului apostrof ","Latin capital letter eng":"Huruf Latin besar eng","Latin small letter eng":"Huruf Latin kecil eng","Latin capital letter o with macron":"Huruf Latin besar o dengan macron","Latin small letter o with macron":"Huruf Latin kecil o dengan macron","Latin capital letter o with breve":"Huruf Latin besar o dengan breve","Latin small letter o with breve":"Huruf Latin kecil o dengan breve","Latin capital letter o with double acute":"Huruf Latin besar o dengan akut ganda","Latin small letter o with double acute":"Huruf Latin kecil o dengan akut ganda","Latin capital ligature oe":"Ligatur Latin kapital oe","Latin small ligature oe":"Ligatur Latin kecil oe","Latin capital letter r with acute":"Huruf Latin besar r dengan akut","Latin small letter r with acute":"Huruf Latin kecil r dengan akut","Latin capital letter r with cedilla":"Huruf Latin besar r dengan cedilla","Latin small letter r with cedilla":"Huruf Latin kecil r dengan cedilla","Latin capital letter r with caron":"Huruf Latin besar r dengan caron","Latin small letter r with caron":"Huruf Latin kecil r dengan caron","Latin capital letter s with acute":"Huruf Latin besar s dengan akut","Latin small letter s with acute":"Huruf Latin kecil s dengan akut","Latin capital letter s with circumflex":"Huruf Latin besar s dengan sirkumfleks","Latin small letter s with circumflex":"Huruf Latin kecil s dengan sirkumfleks","Latin capital letter s with cedilla":"Huruf Latin besar s dengan cedilla","Latin small letter s with cedilla":"Huruf Latin kecil s dengan cedilla","Latin capital letter s with caron":"Huruf Latin besar s dengan caron","Latin small letter s with caron":"Huruf Latin kecil s dengan caron","Latin capital letter t with cedilla":"Huruf Latin besar t dengan cedilla","Latin small letter t with cedilla":"Huruf Latin kecil t dengan cedilla","Latin capital letter t with caron":"Huruf Latin besar t dengan caron","Latin small letter t with caron":"Huruf Latin kecil t dengan caron","Latin capital letter t with stroke":"Huruf Latin besar t dengan garis","Latin small letter t with stroke":"Huruf Latin kecil t dengan garis","Latin capital letter u with tilde":"Huruf Latin besar u dengan tilde","Latin small letter u with tilde":"Huruf Latin kecil u dengan tilde","Latin capital letter u with macron":"Huruf Latin besar u dengan macron","Latin small letter u with macron":"Huruf Latin kecil u dengan macron","Latin capital letter u with breve":"Huruf Latin besar u dengan breve","Latin small letter u with breve":"Huruf Latin kecil u dengan breve","Latin capital letter u with ring above":"Huruf Latin besar u dengan cincin di atas","Latin small letter u with ring above":"Huruf Latin kecil u dengan cincin di atas","Latin capital letter u with double acute":"Huruf Latin besar u dengan akut ganda","Latin small letter u with double acute":"Huruf Latin kecil u dengan akut ganda","Latin capital letter u with ogonek":"Huruf Latin besar u dengan ogonek","Latin small letter u with ogonek":"Huruf Latin kecil u dengan ogonek","Latin capital letter w with circumflex":"Huruf Latin besar w dengan sirkumfleks","Latin small letter w with circumflex":"Huruf Latin kecil w dengan sirkumfleks","Latin capital letter y with circumflex":"Huruf Latin besar y dengan sirkumfleks","Latin small letter y with circumflex":"Huruf Latin kecil y dengan sirkumfleks","Latin capital letter y with diaeresis":"Huruf Latin besar y dengan diaresis","Latin capital letter z with acute":"Huruf Latin besar z dengan akut","Latin small letter z with acute":"Huruf Latin kecil z dengan akut","Latin capital letter z with dot above":"Huruf Latin besar z dengan titik di atas","Latin small letter z with dot above":"Huruf Latin kecil z dengan titik di atas","Latin capital letter z with caron":"Huruf Latin besar z dengan caron","Latin small letter z with caron":"Huruf Latin kecil z dengan caron","Latin small letter long s":"Huruf Latin kecil s panjang","Less-than sign":"Tanda kurang dari","Greater-than sign":"Tanda lebih besar dari","Less-than or equal to":"Kurang dari atau sama dengan","Greater-than or equal to":"Lebih dari atau sama dengan","En dash":"Tanda pisah en","Em dash":"Tanda pisah em","Macron":"Macron","Overline":"Garis atas","Degree sign":"Tanda derajat","Minus sign":"Tanda negatif","Plus-minus sign":"Tanda lebih kurang","Division sign":"Tanda pembagian","Fraction slash":"Garis bagi pecahan","Multiplication sign":"Tanda perkalian","Latin small letter f with hook":"Huruf Latin kecil f dengan kait","Integral":"Integral","N-ary summation":"Penjumlahan N-Ary","Infinity":"Tak hingga","Square root":"Akar kuadrat","Tilde operator":"Operator tilde","Approximately equal to":"Kira-kira sama dengan","Almost equal to":"Hampir sama dengan","Not equal to":"Tidak sama dengan","Identical to":"Identik dengan","Element of":"Elemen dari","Not an element of":"Bukan sebuah elemen dari","Contains as member":"Berisi sebagai anggota","N-ary product":"Produk N-ary","Logical and":"\"Dan\" logis","Logical or":"\"Atau\" logis","Not sign":"Tanda \"bukan\"","Intersection":"Irisan","Union":"Himpunan","Partial differential":"Turunan parsial","For all":"Untuk semua","There exists":"Ada","Empty set":"Himpunan kosong","Nabla":"Nabla","Asterisk operator":"Operator asteris","Proportional to":"Proporsional dengan","Angle":"Sudut","Vulgar fraction one quarter":"Pecahan vulgar satu perempat","Vulgar fraction one half":"Pecahan vulgar satu perdua","Vulgar fraction three quarters":"Pecahan vulgar tiga perempat","Single left-pointing angle quotation mark":"Tanda kutip bersudut mengarah ke kiri tunggal","Single right-pointing angle quotation mark":"Tanda kutip bersudut mengarah ke kanan tunggal","Left-pointing double angle quotation mark":"Tanda kutip bersudut ganda mengarah ke kiri","Right-pointing double angle quotation mark":"Tanda kutip bersudut ganda mengarah ke kanan","Left single quotation mark":"Tanda kutip tunggal kiri","Right single quotation mark":"Tanda kutip tunggal kanan","Left double quotation mark":"Tanda kutip ganda kiri","Right double quotation mark":"Tanda kutip ganda kanan","Single low-9 quotation mark":"Tanda kutip 9 bawah tunggal","Double low-9 quotation mark":"Tanda kutip 9 bawah ganda","Inverted exclamation mark":"Tanda seru terbalik","Inverted question mark":"Tanda tanya terbalik","Two dot leader":"Dua titik utama","Horizontal ellipsis":"Elipsis horizontal","Double dagger":"Diesis","Per mille sign":"Tanda permil","Per ten thousand sign":"Tanda persepuluh ribu","Double exclamation mark":"Tanda seru ganda","Question exclamation mark":"Tanda tanya dan seru","Exclamation question mark":"Tanda seru dan tanya","Double question mark":"Tanda tanya ganda","Copyright sign":"Simbol hak cipta","Registered sign":"Simbol merek dagang terdaftar","Trade mark sign":"Simbol merek dagang","Section sign":"Simbol bagian","Paragraph sign":"Simbol paragraf","Reversed paragraph sign":"Simbol paragraf terbalik","Character categories":"Kategori karakter"},getPluralForm(n){return 0;}}};
e[ 'id' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'id' ].dictionary = Object.assign( e[ 'id' ].dictionary, dictionary );
e[ 'id' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
