/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'it' ]: { dictionary, getPluralForm } } = {"it":{"dictionary":{"Special characters":"Caratteri speciali","All":"Tutti","Arrows":"Frecce","Currency":"Valuta","Latin":"Latini","Mathematical":"Matematici","Text":"Testo","leftwards simple arrow":"freccia semplice verso sinistra","rightwards simple arrow":"freccia semplice verso destra","upwards simple arrow":"freccia semplice verso l'alto","downwards simple arrow":"freccia semplice verso il basso","leftwards double arrow":"Freccia doppia verso sinistra","rightwards double arrow":"Freccia doppia verso destra","upwards double arrow":"Freccia doppia verso l'alto","downwards double arrow":"Freccia doppia verso il basso","leftwards dashed arrow":"Freccia tratteggiata verso sinistra","rightwards dashed arrow":"Freccia tratteggiata verso destra","upwards dashed arrow":"Freccia tratteggiata verso l'alto","downwards dashed arrow":"Freccia tratteggiata verso il basso","leftwards arrow to bar":"Freccia verso barra a sinistra","rightwards arrow to bar":"Freccia verso barra a destra","upwards arrow to bar":"Freccia verso barra in alto","downwards arrow to bar":"Freccia verso barra in basso","up down arrow with base":"Doppia freccia verticale con base","back with leftwards arrow above":"back con sopra freccia verso sinistra","end with leftwards arrow above":"end con sopra freccia verso sinistra","on with exclamation mark with left right arrow above":"on! con sopra freccia verso sinistra","soon with rightwards arrow above":"soon con sopra freccia verso destra","top with upwards arrow above":"top con sopra freccia verso l'alto","Dollar sign":"Simbolo dollaro","Euro sign":"Simbolo euro","Yen sign":"Simbolo yen","Pound sign":"Simbolo sterlina","Cent sign":"Simbolo centesimo","Euro-currency sign":"Simbolo valuta euro","Colon sign":"Simbolo colon","Cruzeiro sign":"Simbolo cruzeiro","French franc sign":"Simbolo franco francese","Lira sign":"Simbolo lira","Currency sign":"Simbolo valuta","Bitcoin sign":"Simbolo bitcoin","Mill sign":"Simbolo millesimo","Naira sign":"Simbolo naira","Peseta sign":"Simbolo peseta","Rupee sign":"Simbolo rupia","Won sign":"Simbolo won","New sheqel sign":"Simbolo nuovo shekel","Dong sign":"Simbolo dong","Kip sign":"Simbolo kip","Tugrik sign":"Simbolo tugrik","Drachma sign":"Simbolo dracma","German penny sign":"Simbolo pfennig tedesco","Peso sign":"Simbolo peso","Guarani sign":"Simbolo guaraní","Austral sign":"Simbolo austral","Hryvnia sign":"Simbolo grivnia","Cedi sign":"Simbolo cedi","Livre tournois sign":"Simbolo livre tournois","Spesmilo sign":"Simbolo spesmilo","Tenge sign":"Simbolo tenge","Indian rupee sign":"Simbolo rupia indiana","Turkish lira sign":"Simbolo lira turca","Nordic mark sign":"Simbolo marco nordico","Manat sign":"Simbolo manat","Ruble sign":"Simbolo rublo","Latin capital letter a with macron":"Lettera A latina maiuscola con macron","Latin small letter a with macron":"Lettera A latina minuscola con macron","Latin capital letter a with breve":"Lettera A latina maiuscola con breve","Latin small letter a with breve":"Lettera A latina minuscola con breve","Latin capital letter a with ogonek":"Lettera A latina maiuscola con codetta","Latin small letter a with ogonek":"Lettera A latina minuscola con codetta","Latin capital letter c with acute":"Lettera C latina maiuscola con accento acuto","Latin small letter c with acute":"Lettera C latina minuscola con accento acuto","Latin capital letter c with circumflex":"Lettera C latina maiuscola con accento circonflesso","Latin small letter c with circumflex":"Lettera C latina minuscola con accento circonflesso","Latin capital letter c with dot above":"Lettera C latina maiuscola con punto sovrascritto","Latin small letter c with dot above":"Lettera C latina minuscola con punto sovrascritto","Latin capital letter c with caron":"Lettera C latina maiuscola con pipa","Latin small letter c with caron":"Lettera C latina minuscola con pipa","Latin capital letter d with caron":"Lettera D latina maiuscola con pipa","Latin small letter d with caron":"Lettera D latina minuscola con pipa","Latin capital letter d with stroke":"Lettera D latina maiuscola con barra","Latin small letter d with stroke":"Lettera D latina minuscola con barra","Latin capital letter e with macron":"Lettera E latina maiuscola con macron","Latin small letter e with macron":"Lettera E latina minuscola con macron","Latin capital letter e with breve":"Lettera E latina maiuscola con accento breve","Latin small letter e with breve":"Lettera E latina minuscola con accento breve","Latin capital letter e with dot above":"Lettera E latina maiuscola con punto sovrascritto","Latin small letter e with dot above":"Lettera E latina minuscola con punto sovrascritto","Latin capital letter e with ogonek":"Lettera E latina maiuscola con codetta","Latin small letter e with ogonek":"Lettera E latina minuscola con codetta","Latin capital letter e with caron":"Lettera E latina maiuscola con pipa","Latin small letter e with caron":"Lettera E latina minuscola con pipa","Latin capital letter g with circumflex":"Lettera G latina maiuscola con accento circonflesso","Latin small letter g with circumflex":"Lettera G latina minuscola con accento circonflesso","Latin capital letter g with breve":"Lettera G latina maiuscola con breve","Latin small letter g with breve":"Lettera G latina minuscola con breve","Latin capital letter g with dot above":"Lettera G latina maiuscola con punto sovrascritto","Latin small letter g with dot above":"Lettera G latina minuscola con punto sovrascritto","Latin capital letter g with cedilla":"Lettera G latina maiuscola con cediglia","Latin small letter g with cedilla":"Lettera G latina minuscola con cediglia","Latin capital letter h with circumflex":"Lettera H latina maiuscola con accento circonflesso","Latin small letter h with circumflex":"Lettera H latina minuscola con accento circonflesso","Latin capital letter h with stroke":"Lettera H latina maiuscola con barra","Latin small letter h with stroke":"Lettera H latina minuscola con barra","Latin capital letter i with tilde":"Lettera I latina maiuscola con tilde","Latin small letter i with tilde":"Lettera I latina minuscola con tilde","Latin capital letter i with macron":"Lettera I latina maiuscola con macron","Latin small letter i with macron":"Lettera I latina minuscola con macron","Latin capital letter i with breve":"Lettera I latina maiuscola con breve","Latin small letter i with breve":"Lettera I latina minuscola con breve","Latin capital letter i with ogonek":"Lettera I latina maiuscola con codetta","Latin small letter i with ogonek":"Lettera I latina minuscola con codetta","Latin capital letter i with dot above":"Lettera I latina maiuscola con punto sovrascritto","Latin small letter dotless i":"Lettera I latina minuscola senza punto","Latin capital ligature ij":"Legatura IJ latina maiuscola","Latin small ligature ij":"Legatura IJ latina minuscola","Latin capital letter j with circumflex":"Lettera J latina maiuscola con accento circonflesso","Latin small letter j with circumflex":"Lettera J latina minuscola con accento circonflesso","Latin capital letter k with cedilla":"Lettera K latina maiuscola con cediglia","Latin small letter k with cedilla":"Lettera K latina minuscola con cediglia","Latin small letter kra":"Lettera Kra latina minuscola","Latin capital letter l with acute":"Lettera L latina maiuscola con accento acuto","Latin small letter l with acute":"Lettera L latina minuscola con accento acuto","Latin capital letter l with cedilla":"Lettera L latina maiuscola con cediglia","Latin small letter l with cedilla":"Lettera L latina minuscola con cediglia","Latin capital letter l with caron":"Lettera L latina maiuscola con pipa","Latin small letter l with caron":"Lettera L latina minuscola con pipa","Latin capital letter l with middle dot":"Lettera L latina maiuscola con punto in mezzo","Latin small letter l with middle dot":"Lettera L latina minuscola con punto in mezzo","Latin capital letter l with stroke":"Lettera L latina maiuscola con barra","Latin small letter l with stroke":"Lettera L latina minuscola con barra","Latin capital letter n with acute":"Lettera N latina maiuscola con accento acuto","Latin small letter n with acute":"Lettera N latina minuscola con accento acuto","Latin capital letter n with cedilla":"Lettera N latina maiuscola con cediglia","Latin small letter n with cedilla":"Lettera N latina minuscola con cediglia","Latin capital letter n with caron":"Lettera N latina maiuscola con pipa","Latin small letter n with caron":"Lettera N latina minuscola con pipa","Latin small letter n preceded by apostrophe":"Lettera N latina minuscola preceduta da apostrofo","Latin capital letter eng":"Nasale velare maiuscola","Latin small letter eng":"Nasale velare minuscola","Latin capital letter o with macron":"Lettera O latina maiuscola con macron","Latin small letter o with macron":"Lettera O latina minuscola con macron","Latin capital letter o with breve":"Lettera O latina maiuscola con breve","Latin small letter o with breve":"Lettera O latina minuscola con breve","Latin capital letter o with double acute":"Lettera O latina maiuscola con doppio accento acuto","Latin small letter o with double acute":"Lettera O latina minuscola con doppio accento acuto","Latin capital ligature oe":"Legatura OE latina maiuscola","Latin small ligature oe":"Legatura OE latina minuscola","Latin capital letter r with acute":"Lettera R latina maiuscola con accento acuto","Latin small letter r with acute":"Lettera R latina minuscola con accento acuto","Latin capital letter r with cedilla":"Lettera R latina maiuscola con cediglia","Latin small letter r with cedilla":"Lettera R latina minuscola con cediglia","Latin capital letter r with caron":"Lettera R latina maiuscola con pipa","Latin small letter r with caron":"Lettera R latina minuscola con pipa","Latin capital letter s with acute":"Lettera S latina maiuscola con accento acuto","Latin small letter s with acute":"Lettera S latina minuscola con accento acuto","Latin capital letter s with circumflex":"Lettera S latina maiuscola con accento circonflesso","Latin small letter s with circumflex":"Lettera S latina minuscola con accento circonflesso","Latin capital letter s with cedilla":"Lettera S latina maiuscola con cediglia","Latin small letter s with cedilla":"Lettera S latina minuscola con cediglia","Latin capital letter s with caron":"Lettera S latina maiuscola con pipa","Latin small letter s with caron":"Lettera S latina minuscola con pipa","Latin capital letter t with cedilla":"Lettera T latina maiuscola con cediglia","Latin small letter t with cedilla":"Lettera T latina minuscola con cediglia","Latin capital letter t with caron":"Lettera T latina maiuscola con pipa","Latin small letter t with caron":"Lettera T latina minuscola con pipa","Latin capital letter t with stroke":"Lettera T latina maiuscola con barra","Latin small letter t with stroke":"Lettera T latina minuscola con barra","Latin capital letter u with tilde":"Lettera U latina maiuscola con tilde","Latin small letter u with tilde":"Lettera U latina minuscola con tilde","Latin capital letter u with macron":"Lettera U latina maiuscola con macron","Latin small letter u with macron":"Lettera U latina minuscola con macron","Latin capital letter u with breve":"Lettera U latina maiuscola con breve","Latin small letter u with breve":"Lettera U latina minuscola con breve","Latin capital letter u with ring above":"Lettera U latina maiuscola con anello in alto","Latin small letter u with ring above":"Lettera U latina minuscola con cerchio in alto","Latin capital letter u with double acute":"Lettera U latina maiuscola con doppio accento acuto","Latin small letter u with double acute":"Lettera U latina minuscola con doppio accento acuto","Latin capital letter u with ogonek":"Lettera U latina maiuscola con codetta","Latin small letter u with ogonek":"Lettera U latina minuscola con codetta","Latin capital letter w with circumflex":"Lettera W latina maiuscola con accento circonflesso","Latin small letter w with circumflex":"Lettera W latina minuscola con accento circonflesso","Latin capital letter y with circumflex":"Lettera Y latina maiuscola con accento circonflesso","Latin small letter y with circumflex":"Lettera Y latina minuscola con accento circonflesso","Latin capital letter y with diaeresis":"Lettera Y latina maiuscola con dieresi","Latin capital letter z with acute":"Lettera Z latina maiuscola con accento acuto","Latin small letter z with acute":"Lettera Z latina minuscola con accento acuto","Latin capital letter z with dot above":"Lettera Z latina maiuscola con punto sovrascritto","Latin small letter z with dot above":"Lettera Z latina minuscola con punto sovrascritto","Latin capital letter z with caron":"Lettera Z latina maiuscola con pipa","Latin small letter z with caron":"Lettera Z latina minuscola con pipa","Latin small letter long s":"Lettera S latina lunga minuscola","Less-than sign":"Simbolo minore di","Greater-than sign":"Simbolo maggiore di","Less-than or equal to":"Minore o uguale a","Greater-than or equal to":"Maggiore o uguale a","En dash":"Trattino medio (en)","Em dash":"Trattino lungo (em)","Macron":"Macron","Overline":"Linea alta","Degree sign":"Simbolo gradi","Minus sign":"Segno di sottrazione","Plus-minus sign":"Segno più o meno","Division sign":"Segno di divisione","Fraction slash":"Barra di frazione","Multiplication sign":"Segno di moltiplicazione","Latin small letter f with hook":"Lettera f latina minuscola con gancio","Integral":"Integrale","N-ary summation":"Sommatoria","Infinity":"Infinito","Square root":"Radice quadrata","Tilde operator":"Operatore tilde","Approximately equal to":"Approssimativamente uguale a","Almost equal to":"Quasi uguale a","Not equal to":"Non uguale a","Identical to":"Identico a","Element of":"Elemento di","Not an element of":"Non parte di","Contains as member":"Contiene","N-ary product":"Prodotto ennesimo","Logical and":"E logico","Logical or":"O logico","Not sign":"Simbolo Not","Intersection":"Intersezione","Union":"Unione","Partial differential":"Derivata parziale","For all":"Per ogni","There exists":"Esiste","Empty set":"Insieme vuoto","Nabla":"Nabla","Asterisk operator":"Operatore asterisco","Proportional to":"Proporzionale a","Angle":"Angolo","Vulgar fraction one quarter":"Frazione semplice un quarto","Vulgar fraction one half":"Frazione semplice un mezzo","Vulgar fraction three quarters":"Frazione semplice tre quarti","Single left-pointing angle quotation mark":"Virgoletta angolare a sinistra","Single right-pointing angle quotation mark":"Virgoletta angolare a destra","Left-pointing double angle quotation mark":"Virgolette doppie angolari a sinistra","Right-pointing double angle quotation mark":"Virgolette doppie angolari a destra","Left single quotation mark":"Virgoletta a sinistra","Right single quotation mark":"Virgoletta a destra","Left double quotation mark":"Doppie virgolette a sinistra","Right double quotation mark":"Doppie virgolette a destra","Single low-9 quotation mark":"Virgoletta bassa","Double low-9 quotation mark":"Doppie virgolette basse","Inverted exclamation mark":"Punto esclamativo invertito","Inverted question mark":"Punto interrogativo invertito","Two dot leader":"Due punti iniziali","Horizontal ellipsis":"Puntini di sospensione orizzontali","Double dagger":"Doppio obelisco","Per mille sign":"Simbolo per mille","Per ten thousand sign":"Simbolo per diecimila","Double exclamation mark":"Doppio punto esclamativo","Question exclamation mark":"Punti interrogativo ed esclamativo","Exclamation question mark":"Punti esclamativo e interrogativo","Double question mark":"Doppio punto interrogativo","Copyright sign":"Simbolo copyright","Registered sign":"Simbolo marchio registrato","Trade mark sign":"Simbolo trademark","Section sign":"Simbolo sezione","Paragraph sign":"Simbolo paragrafo","Reversed paragraph sign":"Simbolo paragrafo invertito","Character categories":"Categorie di caratteri"},getPluralForm(n){return n == 1 ? 0 : n != 0 && n % 1000000 == 0 ? 1 : 2;}}};
e[ 'it' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'it' ].dictionary = Object.assign( e[ 'it' ].dictionary, dictionary );
e[ 'it' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
