/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'ms' ]: { dictionary, getPluralForm } } = {"ms":{"dictionary":{"Special characters":"Aksara istimewa","All":"Semua","Arrows":"Anak Panah","Currency":"Mata Wang","Latin":"Bahasa Latin","Mathematical":"Matematik","Text":"Teks","leftwards simple arrow":"anak panah mudah ke kiri","rightwards simple arrow":"anak panah mudah ke kanan","upwards simple arrow":"anak panah mudah ke atas","downwards simple arrow":"anak panah mudah ke bawah","leftwards double arrow":"anak panah berkembar arah kiri","rightwards double arrow":"anak panah berkembar arah kanan","upwards double arrow":"anak panah berkembar arah atas","downwards double arrow":"anak panah berkembar arah bawah","leftwards dashed arrow":"anak panah bersengkang arah kiri","rightwards dashed arrow":"anak panah bersengkang arah kanan","upwards dashed arrow":"anak panah bersengkang arah atas","downwards dashed arrow":"anak panah bersengkang arah bawah","leftwards arrow to bar":"anak panah arah kiri ke bar","rightwards arrow to bar":"anak panah arah kanan ke bar","upwards arrow to bar":"anak panah arah atas ke bar","downwards arrow to bar":"anak panah arah bawah ke bar","up down arrow with base":"anak panah atas bawah dengan dasar","back with leftwards arrow above":"kembali dengan anak panah arah kiri di atas","end with leftwards arrow above":"tamatkan dengan anak panah arah kiri di atas","on with exclamation mark with left right arrow above":"pada dengan tanda seru dengan anak panah kiri kanan di atas","soon with rightwards arrow above":"tidak lama lagi dengan anak panah arah kanan di atas","top with upwards arrow above":"atas dengan anak panah arah atas di atas","Dollar sign":"Simbol Dolar","Euro sign":"Simbol Euro","Yen sign":"Simbol Yen","Pound sign":"Simbol Paun","Cent sign":"Simbol sen","Euro-currency sign":"Simbol mata wang Euro","Colon sign":"Tanda titik bertindih","Cruzeiro sign":"Simbol Cruzeiro","French franc sign":"Simbol Franc Perancis","Lira sign":"Simbol Lira","Currency sign":"Simbol mata wang","Bitcoin sign":"Simbol Bitcoin","Mill sign":"Simbol Mill","Naira sign":"Simbol Naira","Peseta sign":"Simbol Peseta","Rupee sign":"Simbol Rupee","Won sign":"Simbol Won","New sheqel sign":"Simbol Sheqel baru","Dong sign":"Simbol Dong","Kip sign":"Simbol Kip","Tugrik sign":"Simbol Tugrik","Drachma sign":"Simbol Drachma","German penny sign":"Simbol Peni Jerman","Peso sign":"Simbol Peso","Guarani sign":"Simbol Guarani","Austral sign":"Simbol Austral","Hryvnia sign":"Simbol Hryvnia","Cedi sign":"Simbol Cedi","Livre tournois sign":"Simbol Livre Tournois","Spesmilo sign":"Simbol Spesmilo","Tenge sign":"Simbol Tenge","Indian rupee sign":"Simbol Rupee India","Turkish lira sign":"Simbol Lira Turki","Nordic mark sign":"Simbol lambang Nordik","Manat sign":"Simbol Manat","Ruble sign":"Simbol Ruble","Latin capital letter a with macron":"Huruf Latin a besar dengan tanda makron","Latin small letter a with macron":"Huruf Latin a kecil dengan tanda makron","Latin capital letter a with breve":"Huruf Latin a besar dengan tanda singkat","Latin small letter a with breve":"Huruf Latin a kecil dengan tanda singkat","Latin capital letter a with ogonek":"Huruf Latin a besar dengan tanda ogonek","Latin small letter a with ogonek":"Huruf Latin a kecil dengan tanda ogonek","Latin capital letter c with acute":"Huruf Latin c besar dengan tanda tirus","Latin small letter c with acute":"Huruf Latin c kecil dengan tanda tirus","Latin capital letter c with circumflex":"Huruf Latin c besar dengan tanda sirkumfleks","Latin small letter c with circumflex":"Huruf Latin c kecil dengan tanda Sirkumfleks","Latin capital letter c with dot above":"Huruf Latin c besar dengan titik di atas","Latin small letter c with dot above":"Huruf Latin c kecil dengan titik di atas","Latin capital letter c with caron":"Huruf Latin c besar dengan tanda caron","Latin small letter c with caron":"Huruf Latin c kecil dengan tanda caron","Latin capital letter d with caron":"Huruf Latin d besar dengan tanda caron","Latin small letter d with caron":"Huruf Latin d kecil dengan tanda caron","Latin capital letter d with stroke":"Huruf Latin d besar dengan garis miring","Latin small letter d with stroke":"Huruf Latin d kecil dengan garis miring","Latin capital letter e with macron":"Huruf Latin e besar dengan tanda makron","Latin small letter e with macron":"Huruf Latin e kecil dengan tanda makron","Latin capital letter e with breve":"Huruf Latin e besar dengan tanda singkat","Latin small letter e with breve":"Huruf Latin e kecil dengan tanda singkat","Latin capital letter e with dot above":"Huruf Latin e besar dengan titik di atas","Latin small letter e with dot above":"Huruf Latin e kecil dengan titik di atas","Latin capital letter e with ogonek":"Huruf Latin e besar dengan tanda ogonek","Latin small letter e with ogonek":"Huruf Latin e kecil dengan tanda ogonek","Latin capital letter e with caron":"Huruf Latin e besar dengan tanda caron","Latin small letter e with caron":"Huruf Latin e kecil dengan tanda caron","Latin capital letter g with circumflex":"Huruf Latin g besar dengan tanda sirkumfleks","Latin small letter g with circumflex":"Huruf Latin g kecil dengan tanda sirkumfleks","Latin capital letter g with breve":"Huruf Latin g besar dengan tanda singkat","Latin small letter g with breve":"Huruf Latin g kecil dengan tanda singkat","Latin capital letter g with dot above":"Huruf Latin g besar dengan titik di atas","Latin small letter g with dot above":"Huruf Latin g kecil dengan titik di atas","Latin capital letter g with cedilla":"Huruf Latin g besar dengan tanda sedila","Latin small letter g with cedilla":"Huruf Latin g kecil dengan tanda sedila","Latin capital letter h with circumflex":"Huruf Latin h besar dengan tanda sirkumfleks","Latin small letter h with circumflex":"Huruf Latin h kecil dengan tanda sirkumfleks","Latin capital letter h with stroke":"Huruf Latin h besar dengan garis miring","Latin small letter h with stroke":"Huruf Latin h kecil dengan garis miring","Latin capital letter i with tilde":"Huruf Latin i besar dengan tanda tilde","Latin small letter i with tilde":"Huruf Latin i kecil dengan tanda tilde","Latin capital letter i with macron":"Huruf Latin i besar dengan tanda makron","Latin small letter i with macron":"Huruf Latin i kecil dengan tanda makron","Latin capital letter i with breve":"Huruf Latin i besar dengan tanda singkat","Latin small letter i with breve":"Huruf Latin i kecil dengan tanda singkat","Latin capital letter i with ogonek":"Huruf Latin i besar dengan tanda ogonek","Latin small letter i with ogonek":"Huruf Latin i kecil dengan tanda ogonek","Latin capital letter i with dot above":"Huruf Latin i besar dengan titik di atas","Latin small letter dotless i":"Huruf Latin i kecil tanpa titik","Latin capital ligature ij":"Huruf kembar Latin ij besar","Latin small ligature ij":"Huruf kembar Latin ij kecil","Latin capital letter j with circumflex":"Huruf Latin j besar dengan tanda sirkumfleks","Latin small letter j with circumflex":"Huruf Latin j kecil dengan tanda sirkumfleks","Latin capital letter k with cedilla":"Huruf Latin k besar dengan tanda sedila","Latin small letter k with cedilla":"Huruf Latin k kecil dengan tanda sedila","Latin small letter kra":"Huruf Latin kra kecil","Latin capital letter l with acute":"Huruf Latin l besar dengan tanda tirus","Latin small letter l with acute":"Huruf Latin l kecil dengan tanda tirus","Latin capital letter l with cedilla":"Huruf Latin l besar dengan tanda sedila","Latin small letter l with cedilla":"Huruf Latin l kecil dengan tanda sedila","Latin capital letter l with caron":"Huruf Latin l besar dengan tanda caron","Latin small letter l with caron":"Huruf Latin l kecil dengan tanda caron","Latin capital letter l with middle dot":"Huruf Latin l besar dengan titik tengah","Latin small letter l with middle dot":"Huruf Latin l kecil dengan titik tengah","Latin capital letter l with stroke":"Huruf Latin l besar dengan garis miring","Latin small letter l with stroke":"Huruf Latin l kecil dengan garis miring","Latin capital letter n with acute":"Huruf Latin n besar dengan tanda tirus","Latin small letter n with acute":"Huruf Latin n kecil dengan tanda tirus","Latin capital letter n with cedilla":"Huruf Latin n besar dengan tanda sedila","Latin small letter n with cedilla":"Huruf Latin n kecil dengan tanda sedila","Latin capital letter n with caron":"Huruf Latin n besar dengan tanda caron","Latin small letter n with caron":"Huruf Latin n kecil dengan tanda caron","Latin small letter n preceded by apostrophe":"Huruf Latin n kecil didahului dengan koma atas","Latin capital letter eng":"Huruf Latin eng besar","Latin small letter eng":"Huruf Latin eng kecil","Latin capital letter o with macron":"Huruf Latin o besar dengan tanda makron","Latin small letter o with macron":"Huruf Latin o kecil dengan tanda makron","Latin capital letter o with breve":"Huruf Latin o besar dengan tanda singkat","Latin small letter o with breve":"Huruf Latin o kecil dengan tanda singkat","Latin capital letter o with double acute":"Huruf Latin o besar dengan tanda tirus berkembar","Latin small letter o with double acute":"Huruf Latin o kecil dengan tanda tirus berkembar","Latin capital ligature oe":"Huruf kembar Latin oe besar","Latin small ligature oe":"Huruf kembar Latin oe kecil","Latin capital letter r with acute":"Huruf Latin r besar dengan tanda tirus","Latin small letter r with acute":"Huruf Latin r kecil dengan tanda tirus","Latin capital letter r with cedilla":"Huruf Latin r besar dengan tanda sedila","Latin small letter r with cedilla":"Huruf Latin r kecil dengan tanda sedila","Latin capital letter r with caron":"Huruf Latin r besar dengan tanda caron","Latin small letter r with caron":"Huruf Latin r kecil dengan tanda caron","Latin capital letter s with acute":"Huruf Latin s besar dengan tanda tirus","Latin small letter s with acute":"Huruf Latin s kecil dengan tanda tirus","Latin capital letter s with circumflex":"Huruf Latin s besar dengan tanda sirkumfleks","Latin small letter s with circumflex":"Huruf Latin s kecil dengan tanda sirkumfleks","Latin capital letter s with cedilla":"Huruf Latin s besar dengan tanda sedila","Latin small letter s with cedilla":"Huruf Latin s kecil dengan tanda sedila","Latin capital letter s with caron":"Huruf Latin s besar dengan tanda caron","Latin small letter s with caron":"Huruf Latin s kecil dengan tanda caron","Latin capital letter t with cedilla":"Huruf Latin t besar dengan tanda sedila","Latin small letter t with cedilla":"Huruf Latin t kecil dengan tanda sedila","Latin capital letter t with caron":"Huruf Latin t besar dengan tanda caron","Latin small letter t with caron":"Huruf Latin t kecil dengan tanda caron","Latin capital letter t with stroke":"Huruf Latin t besar dengan garis miring","Latin small letter t with stroke":"Huruf Latin t kecil dengan garis miring","Latin capital letter u with tilde":"Huruf Latin u besar dengan tanda tilde","Latin small letter u with tilde":"Huruf Latin u kecil dengan tanda tilde","Latin capital letter u with macron":"Huruf Latin u besar dengan tanda makron","Latin small letter u with macron":"Huruf Latin u kecil dengan tanda makron","Latin capital letter u with breve":"Huruf Latin u besar dengan tanda singkat","Latin small letter u with breve":"Huruf Latin u kecil dengan tanda singkat","Latin capital letter u with ring above":"Huruf Latin u besar dengan bulatan di atas","Latin small letter u with ring above":"Huruf Latin u kecil dengan bulatan di atas","Latin capital letter u with double acute":"Huruf Latin u besar dengan tanda tirus berkembar","Latin small letter u with double acute":"Huruf Latin u kecil dengan tanda tirus berkembar","Latin capital letter u with ogonek":"Huruf Latin u besar dengan tanda ogonek","Latin small letter u with ogonek":"Huruf Latin u kecil dengan tanda ogonek","Latin capital letter w with circumflex":"Huruf Latin w besar dengan tanda sirkumfleks","Latin small letter w with circumflex":"Huruf Latin w kecil dengan tanda sirkumfleks","Latin capital letter y with circumflex":"Huruf Latin y besar dengan tanda sirkumfleks","Latin small letter y with circumflex":"Huruf Latin y kecil dengan tanda sirkumfleks","Latin capital letter y with diaeresis":"Huruf Latin y besar dengan tanda diaresis","Latin capital letter z with acute":"Huruf Latin z besar dengan tanda tirus","Latin small letter z with acute":"Huruf Latin z kecil dengan tanda tirus","Latin capital letter z with dot above":"Huruf Latin z besar dengan titik di atas","Latin small letter z with dot above":"Huruf Latin z kecil dengan titik di atas","Latin capital letter z with caron":"Huruf Latin z besar dengan tanda caron","Latin small letter z with caron":"Huruf Latin z kecil dengan tanda caron","Latin small letter long s":"Huruf latin s panjang kecil","Less-than sign":"Simbol kurang daripada","Greater-than sign":"Simbol lebih besar daripada","Less-than or equal to":"Kurang daripada atau sama dengan","Greater-than or equal to":"Lebih besar daripada atau sama dengan","En dash":"Sengkang en","Em dash":"Sengkang em","Macron":"Tanda makron","Overline":"Garisan atas","Degree sign":"Simbol darjah","Minus sign":"Simbol tolak","Plus-minus sign":"Simbol tambah tolak","Division sign":"Simbol bahagi","Fraction slash":"Garis condong pecahan","Multiplication sign":"Simbol darab","Latin small letter f with hook":"Huruf Latin f kecil dengan cangkuk","Integral":"Integral","N-ary summation":"Penghasiltambahan per - n - an","Infinity":"Infiniti","Square root":"Punca kuasa","Tilde operator":"Pengoperasi tilde","Approximately equal to":"Kira-kira sama dengan","Almost equal to":"Hampir sama dengan","Not equal to":"Tidak sama dengan","Identical to":"Serupa dengan","Element of":"Unsur bagi","Not an element of":"Bukan unsur bagi","Contains as member":"Terkandung sebagai anggota","N-ary product":"Hasil per - n - an","Logical and":"Logik dan","Logical or":"Logik atau","Not sign":"Bukan simbol","Intersection":"Persilangan","Union":"Penyatuan","Partial differential":"Pembezaan separa","For all":"Untuk semua","There exists":"Wujud","Empty set":"Set kosong","Nabla":"Nabla","Asterisk operator":"Pengoperasi asterisk","Proportional to":"Berkadaran dengan","Angle":"Sudut","Vulgar fraction one quarter":"Pecahan kasar satu per empat","Vulgar fraction one half":"Pecahan kasar satu per dua","Vulgar fraction three quarters":"Pecahan kasar tiga per empat","Single left-pointing angle quotation mark":"Tanda petikan sudut ke kiri tunggal","Single right-pointing angle quotation mark":"Tanda petikan sudut ke kanan tunggal","Left-pointing double angle quotation mark":"Tanda petikan sudut ke kiri berkembar","Right-pointing double angle quotation mark":"Tanda petikan sudut ke kanan berkembar","Left single quotation mark":"Tanda petikan tunggal kiri","Right single quotation mark":"Tanda petikan tunggal kanan","Left double quotation mark":"Tanda petikan berkembar kiri","Right double quotation mark":"Tanda petikan berkembar kanan","Single low-9 quotation mark":"Tanda petikan rendah 9 tunggal","Double low-9 quotation mark":"Tanda petikan rendah 9 berkembar","Inverted exclamation mark":"Tanda seru terbalik","Inverted question mark":"Tanda soal terbalik","Two dot leader":"Pendahulu dua titik","Horizontal ellipsis":"Elipsis Mendatar","Double dagger":"Tanda rujuk kembar","Per mille sign":"Simbol per mille","Per ten thousand sign":"Simbol per sepuluh ribu","Double exclamation mark":"Tanda seru berkembar","Question exclamation mark":"Tanda seru soal","Exclamation question mark":"Tanda soal seru","Double question mark":"Tanda soal berkembar","Copyright sign":"Simbol hak cipta","Registered sign":"Simbol berdaftar","Trade mark sign":"Simbol tanda dagangan","Section sign":"Simbol seksyen","Paragraph sign":"Tanda perenggan","Reversed paragraph sign":"Tanda perenggan terbalik","Character categories":"Kategori aksara"},getPluralForm(n){return 0;}}};
e[ 'ms' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'ms' ].dictionary = Object.assign( e[ 'ms' ].dictionary, dictionary );
e[ 'ms' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
