/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'no' ]: { dictionary, getPluralForm } } = {"no":{"dictionary":{"Special characters":"Spesialtegn","All":"Alle","Arrows":"Piltaster","Currency":"Valuta","Latin":"Latin","Mathematical":"Matematisk","Text":"Tekst","leftwards simple arrow":"venstre enkel pil","rightwards simple arrow":"høyre enkel pil","upwards simple arrow":"opp enkel pil","downwards simple arrow":"ned enkel pil","leftwards double arrow":"Dobbel pil mot venstre","rightwards double arrow":"Dobbel pil mot høyre","upwards double arrow":"Dobbel pil opp","downwards double arrow":"Dobbel pil nedover","leftwards dashed arrow":"Stiplet pil mot venstre ","rightwards dashed arrow":"Stiplet pil mot høyre","upwards dashed arrow":"Stiplet pil oppover","downwards dashed arrow":"Stiplet pil nedover","leftwards arrow to bar":"Pil mot venstre til strek","rightwards arrow to bar":"Pil mot høyre til strek","upwards arrow to bar":"Pil oppover til strek ","downwards arrow to bar":"Pil nedover til strek","up down arrow with base":"Pil oppover med base","back with leftwards arrow above":"Tilbake med pil mot venstre over","end with leftwards arrow above":"Avslutt med pil mot venstre over","on with exclamation mark with left right arrow above":"På med utropstegn og venstre-høyre-pil over.","soon with rightwards arrow above":"Snart med pil mot høyre over","top with upwards arrow above":"Topp med pil oppover over","Dollar sign":"Dollartegn","Euro sign":"Eurotegn","Yen sign":"Yentegn","Pound sign":"Pundtegn","Cent sign":"Cent-tegn","Euro-currency sign":"Valutasymbol for Euro","Colon sign":"Kolon","Cruzeiro sign":"Cruzeirotegn","French franc sign":"Valutasymbol for franske franc","Lira sign":"Liretegn","Currency sign":"Valutasymbol","Bitcoin sign":"Bitcoinsymbol","Mill sign":"Milltegn","Naira sign":"Nairategn","Peseta sign":"Pesetategn","Rupee sign":"Riupitegn","Won sign":"Wontegn","New sheqel sign":"Nytt shekeltegn","Dong sign":"Dongtegn","Kip sign":"Kiptegn","Tugrik sign":"Tugriktegn","Drachma sign":"Drakmetegn","German penny sign":"Tysk øretegn","Peso sign":"Pesotegn","Guarani sign":"Guaranitegn","Austral sign":"Australtegn","Hryvnia sign":"Hryvniategn","Cedi sign":"Ceditegn","Livre tournois sign":"Livre tournoistegn","Spesmilo sign":"Spesmilotegn","Tenge sign":"Tengetegn","Indian rupee sign":"Indisk rupitegn","Turkish lira sign":"Tyrkisk liretegn","Nordic mark sign":"Nordisk marktegn","Manat sign":"Manattegn","Ruble sign":"Rubeltegn","Latin capital letter a with macron":"Latinsk stor a med makron ","Latin small letter a with macron":"Latinsk liten a med makron ","Latin capital letter a with breve":"Latinsk stor a med breve","Latin small letter a with breve":"Latinsk liten a med breve","Latin capital letter a with ogonek":"Latinsk stor a med kvist","Latin small letter a with ogonek":"Latinsk liten a med kvist","Latin capital letter c with acute":"Latinsk stor c med akutt aksent","Latin small letter c with acute":"Latinsk liten c med akutt aksent ","Latin capital letter c with circumflex":"Latinsk stor c med cirkumfleks","Latin small letter c with circumflex":"Latinsk liten c med cirkumfleks","Latin capital letter c with dot above":"Latinsk stor c med prikk over","Latin small letter c with dot above":"Latinsk liten c med prikk over","Latin capital letter c with caron":"Latinsk stor c med caron","Latin small letter c with caron":"Latinsk liten c med caron","Latin capital letter d with caron":"Latinsk stor d med caron","Latin small letter d with caron":"Latinsk liten d med caron","Latin capital letter d with stroke":"Latinsk stor d med strek","Latin small letter d with stroke":"Latinsk liten d med strek","Latin capital letter e with macron":"Latinsk stor e med makron","Latin small letter e with macron":"Latinsk liten e med makron","Latin capital letter e with breve":"Latinsk stor e med breve","Latin small letter e with breve":"Latinsk liten e med breve","Latin capital letter e with dot above":"Latinsk stor e med prikk over","Latin small letter e with dot above":"Latinsk liten e med prikk over","Latin capital letter e with ogonek":"Latinsk stor e med kvist","Latin small letter e with ogonek":"Latinsk liten e med kvist","Latin capital letter e with caron":"Latinsk stor e med caron","Latin small letter e with caron":"Latinsk liten e med caron","Latin capital letter g with circumflex":"Latinsk stor g med cirkumfleks","Latin small letter g with circumflex":"Latinsk liten g med cirkumfleks","Latin capital letter g with breve":"Latinsk stor g med breve","Latin small letter g with breve":"Latinsk liten g med breve","Latin capital letter g with dot above":"Latinsk stor g med prikk over","Latin small letter g with dot above":"Latinsk liten g med prikk over","Latin capital letter g with cedilla":"Latinsk stor g med cedille","Latin small letter g with cedilla":"Latinsk liten g med cedille ","Latin capital letter h with circumflex":"Latinsk stor h med cirkumfleks","Latin small letter h with circumflex":"Latinsk liten h med cirkumfleks","Latin capital letter h with stroke":"\nLatinsk stor h med stek","Latin small letter h with stroke":"Latinsk liten h med strek","Latin capital letter i with tilde":"Latinsk stor i med tilde","Latin small letter i with tilde":"Latinsk liten i med tilde","Latin capital letter i with macron":"Latinsk stor i med makron","Latin small letter i with macron":"Latinsk liten i med makron","Latin capital letter i with breve":"Latinsk stor i med breve","Latin small letter i with breve":"Latinsk liten i med breve","Latin capital letter i with ogonek":"Latinsk stor i med kvist","Latin small letter i with ogonek":"Latinsk liten i med kvist","Latin capital letter i with dot above":"Latinsk stor i med prikk over ","Latin small letter dotless i":"Latinsk liten i uten prikk","Latin capital ligature ij":"Latinsk stor digraf ij","Latin small ligature ij":"Latinsk liten digraf ik","Latin capital letter j with circumflex":"Latinsk stor j med cirkumfleks","Latin small letter j with circumflex":"Latinsk liten j med cirkumfleks","Latin capital letter k with cedilla":"Latinsk stor k med cedille","Latin small letter k with cedilla":"Latinsk liten k med cedille","Latin small letter kra":"Latinsk liten kra","Latin capital letter l with acute":"Latinsk stor l med akutt aksent","Latin small letter l with acute":"Latinsk liten l med akutt aksent","Latin capital letter l with cedilla":"Latinsk stor l med cedille","Latin small letter l with cedilla":"Latinsk liten l med cedille","Latin capital letter l with caron":"Latinsk stor l med caron","Latin small letter l with caron":"Latinsk liten l med caron","Latin capital letter l with middle dot":"Latinsk stor l med prikk midt på","Latin small letter l with middle dot":"Latinsk liten l med midtprikk","Latin capital letter l with stroke":"Latinsk stor l med strek","Latin small letter l with stroke":"Latinsk liten l med strek","Latin capital letter n with acute":"Latinsk stor n med akutt aksent","Latin small letter n with acute":"Latinsk liten n med akutt aksent ","Latin capital letter n with cedilla":"Latinsk stor n med cedille","Latin small letter n with cedilla":"Latinsk liten n med cedille","Latin capital letter n with caron":"Latinsk stor n med caron","Latin small letter n with caron":"Latinsk liten n med caron","Latin small letter n preceded by apostrophe":"Latinsk liten n med apostroff foran","Latin capital letter eng":"Latinsk stor eng","Latin small letter eng":"Latinsk liten eng","Latin capital letter o with macron":"Latinsk stor o med makron","Latin small letter o with macron":"Latinsk liten o med makron","Latin capital letter o with breve":"Latinsk stor o med breve","Latin small letter o with breve":"Latinsk liten o med breve","Latin capital letter o with double acute":"Latinsk stor o med dobbel akutt aksent","Latin small letter o with double acute":"Latinsk liten o med dobbel akutt aksent","Latin capital ligature oe":"Latinsk stor difraf oe","Latin small ligature oe":"Latinsk liten digraf oe","Latin capital letter r with acute":"Latinsk stor r med akutt aksent","Latin small letter r with acute":"Latinsk liten r med akutt aksent","Latin capital letter r with cedilla":"Latinsk stor r med cedille","Latin small letter r with cedilla":"Latinsk liten r med ceille","Latin capital letter r with caron":"Latinsk stor r med caron","Latin small letter r with caron":"Latinsk liten r med caron","Latin capital letter s with acute":"Latinsk stor s med akutt aksent","Latin small letter s with acute":"Latinsk liten s med akutt aksent","Latin capital letter s with circumflex":"Latinsk stor s med cirkumfleks","Latin small letter s with circumflex":"Latinsk liten s med cirkumfleks","Latin capital letter s with cedilla":"Latinsk stor s med cedille","Latin small letter s with cedilla":"Latinsk liten s med cedille","Latin capital letter s with caron":"Latinsk stor s med caron","Latin small letter s with caron":"Latinsk liten s med caron","Latin capital letter t with cedilla":"Latinsk stor t med cedille","Latin small letter t with cedilla":"Latinsk liten t med cedille","Latin capital letter t with caron":"Latinsk stor t med caron","Latin small letter t with caron":"Latinsk liten t med caron","Latin capital letter t with stroke":"Latinsk stor t med strek","Latin small letter t with stroke":"Latinsk liten t med strek","Latin capital letter u with tilde":"Latinsk stor u med tilde","Latin small letter u with tilde":"Latinsk liten u med tilde","Latin capital letter u with macron":"Latinsk stor u med makron","Latin small letter u with macron":"Latinsk liten u med makron","Latin capital letter u with breve":"Latinsk stor u med breve","Latin small letter u with breve":"Latinsk liten u med breve","Latin capital letter u with ring above":"Latinsk stor u med ring over","Latin small letter u with ring above":"Latinsk liten u med ring over","Latin capital letter u with double acute":"Latinsk stor u med dobbel akutt aksent","Latin small letter u with double acute":"Latinsk liten u med dobbel akutt aksent","Latin capital letter u with ogonek":"Latinsk stor u med kvist","Latin small letter u with ogonek":"Latinsk liten u med kvist","Latin capital letter w with circumflex":"Latings stor w med cirkumfleks","Latin small letter w with circumflex":"Latinsk liten w med cirkumfleks","Latin capital letter y with circumflex":"Latinsk stor y med cirkumfleks","Latin small letter y with circumflex":"Latinsk liten y med cirkumfleks","Latin capital letter y with diaeresis":"Latinsk stor y med trema","Latin capital letter z with acute":"Latinsk stor z med akutt aksent","Latin small letter z with acute":"Latinsk liten z med akutt aksent","Latin capital letter z with dot above":"Latings stor z med prikk over","Latin small letter z with dot above":"Latinsk liten z med prikk over","Latin capital letter z with caron":"Latinsk stor z med caron","Latin small letter z with caron":"Latinsk liten z med caron","Latin small letter long s":"Latinsk liten lang s","Less-than sign":"Mindre enn-tegn","Greater-than sign":"Mer enn-tegn","Less-than or equal to":"Mindre eller lik","Greater-than or equal to":"Stø","En dash":"En-strek","Em dash":"Em-strek","Macron":"Macr","Overline":"Linje over","Degree sign":"Grade","Minus sign":"Minustegn","Plus-minus sign":"Pluss","Division sign":"Deletegn","Fraction slash":"Brøkstrek","Multiplication sign":"Gangetegn","Latin small letter f with hook":"Latinsk liten f med krok","Integral":"Integrert","N-ary summation":"N-ary-summering","Infinity":"Uendelig","Square root":"Kvadratrot","Tilde operator":"Tildeoperatør","Approximately equal to":"Omtrent ik","Almost equal to":"Nesten lik","Not equal to":"Ikke lik","Identical to":"Identisk til","Element of":"Element av","Not an element of":"Ikke et element av","Contains as member":"Inneholder som medlem","N-ary product":"N-ary-produkt","Logical and":"Logisk og","Logical or":"Logisk eller","Not sign":"Ikketegn","Intersection":"Kryss","Union":"Union","Partial differential":"Delvis forskjell","For all":"For alle","There exists":"Det eksisterer","Empty set":"Tomt sett","Nabla":"Nabla","Asterisk operator":"Asteriskoperatør","Proportional to":"Proporsjonell til","Angle":"Vinkel","Vulgar fraction one quarter":"Vulgær brøkdel en kvart","Vulgar fraction one half":"Vulgær brøkdel en halv","Vulgar fraction three quarters":"Vulgær brøkdel tre kvarte","Single left-pointing angle quotation mark":"Enkelt anførselstegn mot venstre","Single right-pointing angle quotation mark":"Enkelt anførselstegn mot høyre","Left-pointing double angle quotation mark":"Venstrepekende dobbelvinklede anførselstegn","Right-pointing double angle quotation mark":"Høyrepekende dobbelvinklede anførselstegn","Left single quotation mark":"Venstre enkelt anførselstegn","Right single quotation mark":"Høyre enkelt anførselstegn","Left double quotation mark":"Venstre dobbelt anførselstegn","Right double quotation mark":"Høyre dobbelt anførselstegn","Single low-9 quotation mark":"Enkelt lav-9-anførselstegn","Double low-9 quotation mark":"Dobbelt lav-9-anførselstegn","Inverted exclamation mark":"Invertert utropstegn","Inverted question mark":"Invertert spørsmålstegn","Two dot leader":"To prikker leder","Horizontal ellipsis":"Horisontal ellipse","Double dagger":"Dobbel dolk","Per mille sign":"Per mille-tegn","Per ten thousand sign":"Per ti tusen-tegn","Double exclamation mark":"Dobbelt utropstegn","Question exclamation mark":"Spørmål-utropstegn","Exclamation question mark":"Utrops-spørsmålstegn","Double question mark":"Dobbelt spørsmålstegn","Copyright sign":"Opphavsrettstegn","Registered sign":"Registrert-tegn","Trade mark sign":"Varemerketegn","Section sign":"Seksjontegn","Paragraph sign":"avsnittstegn","Reversed paragraph sign":"Reversert avsnittstegn","Character categories":"Karakterkategorier"},getPluralForm(n){return (n != 1);}}};
e[ 'no' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'no' ].dictionary = Object.assign( e[ 'no' ].dictionary, dictionary );
e[ 'no' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
