/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'ru' ]: { dictionary, getPluralForm } } = {"ru":{"dictionary":{"Special characters":"Спецсимволы","All":"Все","Arrows":"Стрелки","Currency":"Валюта","Latin":"Латинские","Mathematical":"Математические","Text":"Текст","leftwards simple arrow":"простая стрелка влево","rightwards simple arrow":"простая стрелка вправо","upwards simple arrow":"простая стрелка вверх","downwards simple arrow":"простая стрелка вниз","leftwards double arrow":"Двойная стрелка влево","rightwards double arrow":"Двойная стрелка вправо","upwards double arrow":"Двойная стрелка вверх","downwards double arrow":"Двойная стрелка вниз","leftwards dashed arrow":"Пунктирная стрелка влево","rightwards dashed arrow":"Пунктирная стрелка вправо","upwards dashed arrow":"Пунктирная стрелка вверх","downwards dashed arrow":"Пунктирная стрелка вниз","leftwards arrow to bar":"Стрелка влево, упирающаяся в планку","rightwards arrow to bar":"Стрелка вправо, упирающаяся в планку","upwards arrow to bar":"Стрелка вверх, упирающаяся в планку","downwards arrow to bar":"Стрелка вниз, упирающаяся в планку","up down arrow with base":"Стрелка вверх и вниз от планки внизу","back with leftwards arrow above":"Стрелка влево над словом BACK (назад)","end with leftwards arrow above":"Стрелка влево над словом END (конец)","on with exclamation mark with left right arrow above":"Стрелка влево и вправо над словом ON! (включить)","soon with rightwards arrow above":"Стрелка вправо над словом SOON (скоро)","top with upwards arrow above":"Стрелка вверх над словом TOP (верх)","Dollar sign":"Символ доллара","Euro sign":"Символ евро","Yen sign":"Символ иены","Pound sign":"Символ фунта стерлингов","Cent sign":"Символ цента","Euro-currency sign":"Символ евровалюты","Colon sign":"Символ двоеточия","Cruzeiro sign":"Символ бразильского крузейро","French franc sign":"Символ французского франка","Lira sign":"Символ лиры","Currency sign":"Символ валюты","Bitcoin sign":"Символ биткоина","Mill sign":"Символ милль","Naira sign":"Символ найры","Peseta sign":"Символ песеты","Rupee sign":"Символ рупии","Won sign":"Символ воны","New sheqel sign":"Символ нового шекеля","Dong sign":"Символ донга","Kip sign":"Символ кипа","Tugrik sign":"Символ тугрика","Drachma sign":"Символ драхмы","German penny sign":"Символ немецкого пенни","Peso sign":"Символ песо","Guarani sign":"Символ гуарани","Austral sign":"Символ аргентинского аустраля","Hryvnia sign":"Символ гривны","Cedi sign":"Символ ганского седи","Livre tournois sign":"Символ турского ливра","Spesmilo sign":"Символ спесмило","Tenge sign":"Символ тенге","Indian rupee sign":"Символ индийской рупии","Turkish lira sign":"Символ турецкой лиры","Nordic mark sign":"Символ скандинавской марки","Manat sign":"Символ маната","Ruble sign":"Символ рубля","Latin capital letter a with macron":"Латинская заглавная буква «A» с макроном","Latin small letter a with macron":"Латинская строчная буква «a» с макроном","Latin capital letter a with breve":"Латинская заглавная буква «A» с бревисом","Latin small letter a with breve":"Латинская строчная буква «a» с бревисом","Latin capital letter a with ogonek":"Латинская заглавная буква «A» с огонеком","Latin small letter a with ogonek":"Латинская строчная буква «a» с огонеком","Latin capital letter c with acute":"Латинская заглавная буква «C» с акутом","Latin small letter c with acute":"Латинская строчная буква «c» с акутом","Latin capital letter c with circumflex":"Латинская заглавная буква «C» с циркумфлексом","Latin small letter c with circumflex":"Латинская строчная буква «c» с циркумфлексом","Latin capital letter c with dot above":"Латинская заглавная буква «C» с точкой сверху","Latin small letter c with dot above":"Латинская строчная буква «c» с точкой сверху","Latin capital letter c with caron":"Латинская заглавная буква «C» с гачеком","Latin small letter c with caron":"Латинская строчная буква «c» с гачеком","Latin capital letter d with caron":"Латинская заглавная буква «D» с гачеком","Latin small letter d with caron":"Латинская строчная буква «d» с гачеком","Latin capital letter d with stroke":"Латинская заглавная буква «D» со штрихом","Latin small letter d with stroke":"Латинская строчная буква «d» со штрихом","Latin capital letter e with macron":"Латинская заглавная буква «E» с макроном","Latin small letter e with macron":"Латинская строчная буква «e» с макроном","Latin capital letter e with breve":"Латинская заглавная буква «E» с бревисом","Latin small letter e with breve":"Латинская строчная буква «e» с бревисом","Latin capital letter e with dot above":"Латинская заглавная буква «E» с точкой сверху","Latin small letter e with dot above":"Латинская строчная буква «e» с точкой сверху","Latin capital letter e with ogonek":"Латинская заглавная буква «E» с огонеком","Latin small letter e with ogonek":"Латинская строчная буква «e» с огонеком","Latin capital letter e with caron":"Латинская заглавная буква «E» с гачеком","Latin small letter e with caron":"Латинская строчная буква «e» с гачеком","Latin capital letter g with circumflex":"Латинская заглавная буква «G» с циркумфлексом","Latin small letter g with circumflex":"Латинская строчная буква «g» с циркумфлексом","Latin capital letter g with breve":"Латинская заглавная буква «G» с бревисом","Latin small letter g with breve":"Латинская строчная буква «g» с бревисом","Latin capital letter g with dot above":"Латинская заглавная буква «G» с точкой сверху","Latin small letter g with dot above":"Латинская строчная буква «g» с точкой сверху","Latin capital letter g with cedilla":"Латинская заглавная буква «G» с седилью","Latin small letter g with cedilla":"Латинская строчная буква «g» с седилью","Latin capital letter h with circumflex":"Латинская заглавная буква «H» с циркумфлексом","Latin small letter h with circumflex":"Латинская строчная буква «h» с циркумфлексом","Latin capital letter h with stroke":"Латинская заглавная буква «H» со штрихом","Latin small letter h with stroke":"Латинская строчная буква «h» со штрихом","Latin capital letter i with tilde":"Латинская заглавная буква «I» с тильдой","Latin small letter i with tilde":"Латинская строчная буква «i» с тильдой","Latin capital letter i with macron":"Латинская заглавная буква «I» с макроном","Latin small letter i with macron":"Латинская строчная буква «i» с макроном","Latin capital letter i with breve":"Латинская заглавная буква «I» с бревисом","Latin small letter i with breve":"Латинская строчная буква «i» с бревисом","Latin capital letter i with ogonek":"Латинская заглавная буква «I» с огонеком","Latin small letter i with ogonek":"Латинская строчная буква «i» с огонеком","Latin capital letter i with dot above":"Латинская заглавная буква «I» с точкой сверху","Latin small letter dotless i":"Латинская строчная буква «i» без точки","Latin capital ligature ij":"Латинская заглавная лигатура «IJ»","Latin small ligature ij":"Латинская строчная лигатура «ij»","Latin capital letter j with circumflex":"Латинская заглавная буква «J» с циркумфлексом","Latin small letter j with circumflex":"Латинская строчная буква «j» с циркумфлексом","Latin capital letter k with cedilla":"Латинская заглавная буква «K» с седилью","Latin small letter k with cedilla":"Латинская строчная буква «k» с седилью","Latin small letter kra":"Латинская строчная буква кра","Latin capital letter l with acute":"Латинская заглавная буква «L» с акутом","Latin small letter l with acute":"Латинская строчная буква «l» с акутом","Latin capital letter l with cedilla":"Латинская заглавная буква «L» с седилью","Latin small letter l with cedilla":"Латинская строчная буква «l» с седилью","Latin capital letter l with caron":"Латинская заглавная буква «L» с гачеком","Latin small letter l with caron":"Латинская строчная буква «l» с гачеком","Latin capital letter l with middle dot":"Латинская заглавная буква «L» с внутристрочной точкой","Latin small letter l with middle dot":"Латинская строчная буква «l» с внутристрочной точкой","Latin capital letter l with stroke":"Латинская заглавная буква «L» со штрихом","Latin small letter l with stroke":"Латинская строчная буква «l» со штрихом","Latin capital letter n with acute":"Латинская заглавная буква «N» с акутом","Latin small letter n with acute":"Латинская строчная буква «n» с акутом","Latin capital letter n with cedilla":"Латинская заглавная буква «N» с седилью","Latin small letter n with cedilla":"Латинская строчная буква «n» с седилью","Latin capital letter n with caron":"Латинская заглавная буква «N» с гачеком","Latin small letter n with caron":"Латинская строчная буква «n» с гачеком","Latin small letter n preceded by apostrophe":"Латинская строчная буква «n» с предшествующим апострофом","Latin capital letter eng":"Латинская заглавная буква энг","Latin small letter eng":"Латинская строчная буква энг","Latin capital letter o with macron":"Латинская заглавная буква «O» с макроном","Latin small letter o with macron":"Латинская строчная буква «o» с макроном","Latin capital letter o with breve":"Латинская заглавная буква «O» с бревисом","Latin small letter o with breve":"Латинская строчная буква «o» с бревисом","Latin capital letter o with double acute":"Латинская заглавная буква «O» с двойным акутом","Latin small letter o with double acute":"Латинская строчная буква «o» с двойным акутом","Latin capital ligature oe":"Латинская заглавная лигатура OE","Latin small ligature oe":"Латинская строчная лигатура oe","Latin capital letter r with acute":"Латинская заглавная буква «R» с акутом","Latin small letter r with acute":"Латинская строчная буква «r» с акутом","Latin capital letter r with cedilla":"Латинская заглавная буква «R» с седилью","Latin small letter r with cedilla":"Латинская строчная буква «r» с седилью","Latin capital letter r with caron":"Латинская заглавная буква «R» с гачеком","Latin small letter r with caron":"Латинская строчная буква «r» с гачеком","Latin capital letter s with acute":"Латинская заглавная буква «S» с акутом","Latin small letter s with acute":"Латинская строчная буква «s» с акутом","Latin capital letter s with circumflex":"Латинская заглавная буква «S» с циркумфлексом","Latin small letter s with circumflex":"Латинская строчная буква «s» с циркумфлексом","Latin capital letter s with cedilla":"Латинская заглавная буква «S» с седилью","Latin small letter s with cedilla":"Латинская строчная буква «s» с седилью","Latin capital letter s with caron":"Латинская заглавная буква «S» с гачеком","Latin small letter s with caron":"Латинская строчная буква «s» с гачеком","Latin capital letter t with cedilla":"Латинская заглавная буква «T» с седилью","Latin small letter t with cedilla":"Латинская строчная буква «t» с седилью","Latin capital letter t with caron":"Латинская заглавная буква «T» с гачеком","Latin small letter t with caron":"Латинская строчная буква «t» с гачеком","Latin capital letter t with stroke":"Латинская заглавная буква «T» со штрихом","Latin small letter t with stroke":"Латинская строчная буква «t» со штрихом","Latin capital letter u with tilde":"Латинская заглавная буква «U» с тильдой","Latin small letter u with tilde":"Латинская строчная буква «u» с тильдой","Latin capital letter u with macron":"Латинская заглавная буква «U» с макроном","Latin small letter u with macron":"Латинская строчная буква «u» с макроном","Latin capital letter u with breve":"Латинская заглавная буква «U» с бревисом","Latin small letter u with breve":"Латинская строчная буква «u» с бревисом","Latin capital letter u with ring above":"Латинская заглавная буква «U» с кружком сверху","Latin small letter u with ring above":"Латинская строчная буква «u» с кружком сверху","Latin capital letter u with double acute":"Латинская заглавная буква «U» с двойным акутом","Latin small letter u with double acute":"Латинская строчная буква «u» с двойным акутом","Latin capital letter u with ogonek":"Латинская заглавная буква «U» с огонеком","Latin small letter u with ogonek":"Латинская строчная буква «u» с огонеком","Latin capital letter w with circumflex":"Латинская заглавная буква «W» с циркумфлексом","Latin small letter w with circumflex":"Латинская строчная буква «w» с циркумфлексом","Latin capital letter y with circumflex":"Латинская заглавная буква «Y» с циркумфлексом","Latin small letter y with circumflex":"Латинская строчная буква «y» с циркумфлексом","Latin capital letter y with diaeresis":"Латинская заглавная буква «Y» с диэрезисом","Latin capital letter z with acute":"Латинская заглавная буква «Z» с акутом","Latin small letter z with acute":"Латинская строчная буква «z» с акутом","Latin capital letter z with dot above":"Латинская заглавная буква «Z» с точкой сверху","Latin small letter z with dot above":"Латинская строчная буква «z» с точкой сверху","Latin capital letter z with caron":"Латинская заглавная буква «Z» с гачеком","Latin small letter z with caron":"Латинская строчная буква «z» с гачеком","Latin small letter long s":"Латинская строчная буква длинная «s»","Less-than sign":"Знак меньше","Greater-than sign":"Знак больше","Less-than or equal to":"Меньше либо равно","Greater-than or equal to":"Больше либо равно","En dash":"Среднее тире","Em dash":"Длинное тире","Macron":"Макрон","Overline":"Надчёркивание","Degree sign":"Знак градуса","Minus sign":"Знак минус","Plus-minus sign":"Знак плюс-минус","Division sign":"Знак деления","Fraction slash":"Дробная наклонная черта","Multiplication sign":"Знак умножения","Latin small letter f with hook":"Латинская строчная буква «f» с хвостиком","Integral":"Интеграл","N-ary summation":"N-арная сумма","Infinity":"Бесконечность","Square root":"Квадратный корень","Tilde operator":"Оператор тильда","Approximately equal to":"Конгруэнтность (геометрическое равенство)","Almost equal to":"Почти равный","Not equal to":"Не равно","Identical to":"Тождественно равно","Element of":"Принадлежит","Not an element of":"Не принадлежит","Contains as member":"Содержит как член","N-ary product":"N-арное произведение","Logical and":"Логическое И","Logical or":"Логическое ИЛИ","Not sign":"Знак отрицания","Intersection":"Пересечение","Union":"Объединение","Partial differential":"Частичный дифференциал","For all":"Для всех","There exists":"Существует","Empty set":"Пустое множество","Nabla":"Набла","Asterisk operator":"Оператор звездочка","Proportional to":"Пропорционально","Angle":"Угол","Vulgar fraction one quarter":"Дробь – одна четверть","Vulgar fraction one half":"Дробь – одна вторая","Vulgar fraction three quarters":"Дробь – три четверти","Single left-pointing angle quotation mark":"Одинарная открывающая (левая) французская угловая кавычка","Single right-pointing angle quotation mark":"Одинарная закрывающая (правая) французская угловая кавычка","Left-pointing double angle quotation mark":"Открывающая левая кавычка «ёлочка»","Right-pointing double angle quotation mark":"Закрывающая правая кавычка «ёлочка»","Left single quotation mark":"Открывающая одинарная кавычка","Right single quotation mark":"Закрывающая одинарная кавычка","Left double quotation mark":"Открывающая двойная кавычка","Right double quotation mark":"Закрывающая двойная кавычка","Single low-9 quotation mark":"Нижняя одинарная открывающая кавычка","Double low-9 quotation mark":"Нижняя двойная открывающая кавычка","Inverted exclamation mark":"Перевернутый восклицательный знак","Inverted question mark":"Перевернутый вопросительный знак","Two dot leader":"Двухточечный пунктир","Horizontal ellipsis":"Многоточие","Double dagger":"Двойной крестик","Per mille sign":"Знак промилле","Per ten thousand sign":"Знак на десять тысяч","Double exclamation mark":"Двойной восклицательный знак","Question exclamation mark":"Вопросительный восклицательный знак","Exclamation question mark":"Восклицательный вопросительный знак","Double question mark":"Двойной вопросительный знак","Copyright sign":"Знак авторского права","Registered sign":"Зарегистрированный товарный знак","Trade mark sign":"Знак торговой марки","Section sign":"Параграф","Paragraph sign":"Знак абзаца","Reversed paragraph sign":"Обратный знак абзаца","Character categories":"Категории"},getPluralForm(n){return (n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<12 || n%100>14) ? 1 : n%10==0 || (n%10>=5 && n%10<=9) || (n%100>=11 && n%100<=14)? 2 : 3);}}};
e[ 'ru' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'ru' ].dictionary = Object.assign( e[ 'ru' ].dictionary, dictionary );
e[ 'ru' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
