/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'sr-latn' ]: { dictionary, getPluralForm } } = {"sr-latn":{"dictionary":{"Special characters":"Specijalni karakteri","All":"Svi","Arrows":"Strelica","Currency":"Valute","Latin":"Latinični","Mathematical":"Matematički","Text":"Tekst","leftwards simple arrow":"jednostavna strelica nalevo","rightwards simple arrow":"jednostavna strelica udesno","upwards simple arrow":"jednostavna strelica nagore","downwards simple arrow":"jednostavna strelica nadole","leftwards double arrow":"Dupla strlica levo","rightwards double arrow":"Dupla strelica desno","upwards double arrow":"Dupla strelica prema gore","downwards double arrow":"Dupla strelica prema dole","leftwards dashed arrow":"Prekidana strelica levo","rightwards dashed arrow":"Prekidana strelica desno","upwards dashed arrow":"Prekidana strelica prema gore","downwards dashed arrow":"Prekidana strelica prema dole","leftwards arrow to bar":"Strelica nalevo ka traci","rightwards arrow to bar":"Strelica nadesno ka traci","upwards arrow to bar":"Strelica prema gore ka traci","downwards arrow to bar":"Strelica prema dole ka traci","up down arrow with base":"Strelica nadole sa bazom","back with leftwards arrow above":"Nazad sa strelicom levo","end with leftwards arrow above":"Završite strelicom levo","on with exclamation mark with left right arrow above":"Uključeno sa uzvičnikom sa strelicom levo desno","soon with rightwards arrow above":"Uskoro sa strelicom nadesno","top with upwards arrow above":"Na vrhu sa strelicom prema gore","Dollar sign":"Znak dolara","Euro sign":"Znak eura","Yen sign":"Znak jena","Pound sign":"Znak funti","Cent sign":"Znak centа","Euro-currency sign":"Znak valute eura","Colon sign":"Dvotačka","Cruzeiro sign":"Znak cruzeiro","French franc sign":"Znak francuskog franaka","Lira sign":"Znak lire","Currency sign":"Znak valute","Bitcoin sign":"Znak bitcoina","Mill sign":"Znak mlina","Naira sign":"Znak naira","Peseta sign":"Znak pezeta","Rupee sign":"Znak rupia","Won sign":"Znak von","New sheqel sign":"Znak novi šekel","Dong sign":"Znak dong","Kip sign":"Znak kip","Tugrik sign":"Znak tugrik","Drachma sign":"Znak drahma","German penny sign":"Znak nemački peni","Peso sign":"Znak peso","Guarani sign":"Znak guarani","Austral sign":"Australni znak","Hryvnia sign":"Znak grivna","Cedi sign":"Znak cedi","Livre tournois sign":"Znak livre tournois","Spesmilo sign":"Znak spesmilio","Tenge sign":"Znak tenge","Indian rupee sign":"Znak indijske rupije","Turkish lira sign":"Znak turskih lira","Nordic mark sign":"Nordijski znak","Manat sign":"Znak manat","Ruble sign":"Znak ruble","Latin capital letter a with macron":"Latinsko veliko slovo a sa makronom","Latin small letter a with macron":"Latinsko malo slovo a sa makronom","Latin capital letter a with breve":"Latinsko veliko slovo a sa brevom","Latin small letter a with breve":"Latinsko malo slovo a sa  brevom","Latin capital letter a with ogonek":"Latinsko veliko slovo a sa ogonek","Latin small letter a with ogonek":"Latinsko malo slovo a sa ogonek","Latin capital letter c with acute":"Latinsko veliko slovo c sa akutom","Latin small letter c with acute":"Latinsko malo slovo c sa akutom","Latin capital letter c with circumflex":"Latinsko veliko slovo c sa circumflex","Latin small letter c with circumflex":"Latino malo slovo c sa circumflex","Latin capital letter c with dot above":"Latinsko veliko slovo c sa tačkom iznad","Latin small letter c with dot above":"Latinsko malo slovo c sa tačkom iznad","Latin capital letter c with caron":"Latinsko veliko slovo c sa caronom","Latin small letter c with caron":"Latinsko malo slovo c sa caronom","Latin capital letter d with caron":"Latinsko veliko slovo d sa caronom","Latin small letter d with caron":"Latinsko malo slovo d sa caronom","Latin capital letter d with stroke":"Latinsko veliko slovo d sa stroke","Latin small letter d with stroke":"Latinsko malo slovo d sa stroke","Latin capital letter e with macron":"Latinsko veliko slovo e sa macron","Latin small letter e with macron":"Latinsko malo slovo e sa macron","Latin capital letter e with breve":"Latinsko veliko slovo e sa breve","Latin small letter e with breve":"Latinsko malo slovo e sa breve","Latin capital letter e with dot above":"Latinsko veliko slovo e sa tačkom iznad","Latin small letter e with dot above":"Latinsko malo slovo e sa tačkom iznad","Latin capital letter e with ogonek":"Latinsko veliko slovo e sa ogonek","Latin small letter e with ogonek":"Latinsko malo slovo e sa ogonek","Latin capital letter e with caron":"Latinsko veliko slovo e sa caron","Latin small letter e with caron":"Latinsko malo slovo e sa caron","Latin capital letter g with circumflex":"Latinsko veliko slovo g sa circumflex","Latin small letter g with circumflex":"Latinsko malo slovo g sa circumflex","Latin capital letter g with breve":"Latinsko veliko slovo g sa breve","Latin small letter g with breve":"Latinsko malo slovo g sa breve","Latin capital letter g with dot above":"Latinsko veliko slovo g sa tačkom iznad","Latin small letter g with dot above":"Latinsko malo slovo g sa tačkom iznad","Latin capital letter g with cedilla":"Latinsko veliko slovo g sa cedillom","Latin small letter g with cedilla":"Latinsko malo slovo g sa cedillom","Latin capital letter h with circumflex":"Latinsko veliko slovo h sa circumflex","Latin small letter h with circumflex":"Latinsko malo slovo h sa circumflex","Latin capital letter h with stroke":"Latinsko veliko slovo h sa stroke","Latin small letter h with stroke":"Latinsko malo slovo h sa stroke","Latin capital letter i with tilde":"Latinsko veliko slovo i sa tildom","Latin small letter i with tilde":"Latinsko malo slovo i sa tildom","Latin capital letter i with macron":"Latinsko veliko slovo i sa macron","Latin small letter i with macron":"Latinsko malo slovo i sa macron","Latin capital letter i with breve":"Latinsko veloko slovo i sa breve","Latin small letter i with breve":"Latinsko malo slovo i sa breve","Latin capital letter i with ogonek":"Latinsko veliko slovo i sa ogonek","Latin small letter i with ogonek":"Latinsko malo slovo i sa ogonek","Latin capital letter i with dot above":"Latinsko veliko slovo i sa tackom iznad","Latin small letter dotless i":"Latinsko malo slovo i bez tačke","Latin capital ligature ij":"Latinska velika ligatura ij","Latin small ligature ij":"Latinska mala ligatura ij","Latin capital letter j with circumflex":"Latinsko veliko slovo j sa circumflex","Latin small letter j with circumflex":"Latinsko malo slovo j sa circumflex","Latin capital letter k with cedilla":"Latinsko veliko slovo k sa cedila","Latin small letter k with cedilla":"Latinsko malo slovo k sa cedila","Latin small letter kra":"Latinsko malo slovo kra","Latin capital letter l with acute":"Latinsko veloko slovo l sa akutom","Latin small letter l with acute":"Latinsko malo slovo l sa akutom","Latin capital letter l with cedilla":"Latinsko veliko slovo l sa cedila","Latin small letter l with cedilla":"Latinsko malo slovo l sa cedila","Latin capital letter l with caron":"Latinsko veliko slovo l sa caron","Latin small letter l with caron":"Latinsko malo slovo l sa caron","Latin capital letter l with middle dot":"Latinsko veliko slovo l sa srednjom tačkom","Latin small letter l with middle dot":"Latinsko malo slovo l sa srednjom tačkom","Latin capital letter l with stroke":"Latinsko veliko slovo l sa stroke","Latin small letter l with stroke":"Latinsko malo slovo l sa stroke","Latin capital letter n with acute":"Latinsko veliko slovo n sa akutom ","Latin small letter n with acute":"Latinsko malo slovo n sa akutom ","Latin capital letter n with cedilla":"Latinsko veliko slovo n sa cedilom","Latin small letter n with cedilla":"Latinsko malo slovo n sa cedilom","Latin capital letter n with caron":"Latinsko veliko slovo n sa caron","Latin small letter n with caron":"Latinsko malo slovo n sa caron ","Latin small letter n preceded by apostrophe":"Latinsko malo slovo n koje prethodi apostrof","Latin capital letter eng":"Latinsko veliko slovo eng","Latin small letter eng":"Latinsko malo slovo eng","Latin capital letter o with macron":"Latinsko veliko slovo o sa macron","Latin small letter o with macron":"Latinsko malo slovo o sa macron","Latin capital letter o with breve":"Latinsko veliko slovo o sa breve","Latin small letter o with breve":"Latinsko malo slovo o sa breve","Latin capital letter o with double acute":"Latinsko veliko slovo o sa dvostrukom akutom","Latin small letter o with double acute":"Latinsko malo slovo o sa dvostrukom akutom","Latin capital ligature oe":"Latinska velika ligatura oe","Latin small ligature oe":"Latinska mala ligatura oe","Latin capital letter r with acute":"Latinsko veliko slovo r sa akutom","Latin small letter r with acute":"Latinsko malo slovo r sa akutom","Latin capital letter r with cedilla":"Latinsko veliko slovo r sa cedila","Latin small letter r with cedilla":"Latinsko malo slovo r sa cedila","Latin capital letter r with caron":"Latinsko veliko slovo r sa caron","Latin small letter r with caron":"Latinsko malo slovo r sa caron","Latin capital letter s with acute":"Latinsko veliko slovo s sa akutom","Latin small letter s with acute":"Latinsko malo slovo s sa akutom","Latin capital letter s with circumflex":"Latinsko veliko slovo s sa circumflex","Latin small letter s with circumflex":"Latinsko malo slovo s sa circumflex","Latin capital letter s with cedilla":"Latinsko veliko slovo s sa cedila","Latin small letter s with cedilla":"Latinsko malo slovo s sa cedila","Latin capital letter s with caron":"Latinsko veliko slovo s sa caron","Latin small letter s with caron":"Latinsko malo slovo s sa caron","Latin capital letter t with cedilla":"Latinsko veliko slovo t sa cedila","Latin small letter t with cedilla":"Latinsko malo slovo t sa cedila","Latin capital letter t with caron":"Latinsko veliko slovo t sa caron","Latin small letter t with caron":"Latinsko malo slovo t sa caron","Latin capital letter t with stroke":"Latinsko veliko slovo t sa stroke","Latin small letter t with stroke":"Latinsko malo slovo t sa stroke","Latin capital letter u with tilde":"Latinsko veliko slovo u sa tildom","Latin small letter u with tilde":"Latinsko malo slovo u sa tildom","Latin capital letter u with macron":"Latinsko veliko slovo u sa macron","Latin small letter u with macron":"Latinsko malo slovo u sa macron","Latin capital letter u with breve":"Latinsko veliko slovo u sa breve","Latin small letter u with breve":"Latinsko malo slovo u sa breve","Latin capital letter u with ring above":"Latinsko veliko slovo u s prstenom iznad","Latin small letter u with ring above":"Latinsko malo slovo u s prstenom iznad","Latin capital letter u with double acute":"Latinsko veliko slovo u s dvostrukom akutom","Latin small letter u with double acute":"Latinsko malo slovo u s dvostrukom akutom","Latin capital letter u with ogonek":"Latinsko veliko slovo u sa ogonek","Latin small letter u with ogonek":"Latinsko malo slovo u sa ogonek","Latin capital letter w with circumflex":"Latinsko veliko slovo w sa circumflex","Latin small letter w with circumflex":"Latinsko malo slovo w sa circumflex","Latin capital letter y with circumflex":"Latinsko veliko slovo y sa circumflex","Latin small letter y with circumflex":"Latinsko malo slovo y sa circumflex","Latin capital letter y with diaeresis":"Latinsko veliko slovo y sa dijarezom","Latin capital letter z with acute":"Latinsko veliko slovo z sa akutom","Latin small letter z with acute":"Latinsko malo slovo z sa akutom","Latin capital letter z with dot above":"Latinsko veliko slovo z sa tačkom iznad","Latin small letter z with dot above":"Latinsko malo slovo z sa tačkom iznad","Latin capital letter z with caron":"Latinsko veliko slovo z sa caron","Latin small letter z with caron":"Latinsko malo slovo z sa caron","Latin small letter long s":"Latinsko malo slovo dugačko s","Less-than sign":"Znak manje od","Greater-than sign":"Znak veće od","Less-than or equal to":"Znak manje od ili jednako","Greater-than or equal to":"Znak veće od ili jednako","En dash":"En crtica","Em dash":"Em crtica","Macron":"Macron","Overline":"Overline","Degree sign":"Znak stepena","Minus sign":"Znak minus","Plus-minus sign":"Znak plus-minus","Division sign":"Znak divizije","Fraction slash":"Crta frakcije","Multiplication sign":"Znak množenja","Latin small letter f with hook":"Latinsko malo slovo f sa kukom","Integral":"Integral","N-ary summation":"N-ari zbir","Infinity":"Beskonačnost","Square root":"Kvadratni koren","Tilde operator":"Tilde operator","Approximately equal to":"Otprilike jednako","Almost equal to":"Skoro jednako","Not equal to":"Nejednako sa","Identical to":"Identičan","Element of":"Element od","Not an element of":"Nije element","Contains as member":"Sadrži kao član","N-ary product":"N-ari proizvod","Logical and":"Logički i","Logical or":"Logički ili","Not sign":"Nije znak","Intersection":"Raskrsnica","Union":"Unija","Partial differential":"Delimični diferencijal","For all":"Za sve","There exists":"Postoji","Empty set":"Prazan set","Nabla":"Nabla","Asterisk operator":"Asterisk operator","Proportional to":"Srazmerno","Angle":"Ugao","Vulgar fraction one quarter":"Vulgarna frakcija jedna četvrtina","Vulgar fraction one half":"Vulgarna frakcija jedna polovina","Vulgar fraction three quarters":"Vulgarna frakcija tri četvrtine","Single left-pointing angle quotation mark":"Pojedinačni navodnik ugla levog pokazivanja","Single right-pointing angle quotation mark":"Pojedinačni navodnik ugla desnog pokazivanja","Left-pointing double angle quotation mark":"Levi dvostrani navodnik dvostrukog ugla","Right-pointing double angle quotation mark":"Desni dvostrani navodnik dvostrukog ugla","Left single quotation mark":"Levi pojedinačni navodnik","Right single quotation mark":"Desni pojedinačni navodnik","Left double quotation mark":"Levi dvostruki navodnik","Right double quotation mark":"Desni dvostruki navodnik","Single low-9 quotation mark":"Jedan niski-9 navodnik","Double low-9 quotation mark":"Dvostruki niski-9 navodnik","Inverted exclamation mark":"Obrnuti uzvičnik","Inverted question mark":"Obrnuti upitnik","Two dot leader":"Vodja sa dve tačke","Horizontal ellipsis":"Horizontalna elipsa","Double dagger":"Dvostruki bodež","Per mille sign":"Znak per mile","Per ten thousand sign":"Znak za deset hiljada","Double exclamation mark":"Dvosrtuki uzvičnik","Question exclamation mark":"Znak upitnika uzvičnika","Exclamation question mark":"Znak uzvičnika upitnika","Double question mark":"Dvostruki upitnik","Copyright sign":"Simbol autorskog prava","Registered sign":"Registrovani znak","Trade mark sign":"Znak brenda","Section sign":"Znak sekcija","Paragraph sign":"Znak paragraf","Reversed paragraph sign":"Obrnuti znak paragrafa","Character categories":"Kategorija karaktera"},getPluralForm(n){return (n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);}}};
e[ 'sr-latn' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'sr-latn' ].dictionary = Object.assign( e[ 'sr-latn' ].dictionary, dictionary );
e[ 'sr-latn' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
