/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'tr' ]: { dictionary, getPluralForm } } = {"tr":{"dictionary":{"Special characters":"Özel karakterler","All":"Tümü","Arrows":"Oklar","Currency":"Para Birimi","Latin":"Latince","Mathematical":"Matematiksel","Text":"Metin","leftwards simple arrow":"sola doğru basit ok","rightwards simple arrow":"sağa doğru basit ok","upwards simple arrow":"yukarı doğru basit ok","downwards simple arrow":"aşağı doğru basit ok","leftwards double arrow":"sola çift ok","rightwards double arrow":"sağa çift ok","upwards double arrow":"yukarı çift ok","downwards double arrow":"aşağı çift ok","leftwards dashed arrow":"sola kesik çizgili ok","rightwards dashed arrow":"sağa kesik çizgili ok","upwards dashed arrow":"yukarı doğru kesik ok","downwards dashed arrow":"aşağı doğru kesik ok","leftwards arrow to bar":"sola ok çubuğu","rightwards arrow to bar":"sağa ok çubuğu","upwards arrow to bar":"yukarı ok çubuğu","downwards arrow to bar":"aşağı ok çubuğu","up down arrow with base":"taban ile yukarı aşağı ok","back with leftwards arrow above":"geri sol ok yukarıda","end with leftwards arrow above":"sona sol ok yukarıda","on with exclamation mark with left right arrow above":"üzerinde sol sağ ok bulunan ünlem işaretiyle","soon with rightwards arrow above":"yakında sağ ok ile","top with upwards arrow above":"en üst yukarı oku","Dollar sign":"Dolar işareti","Euro sign":"Avro işareti","Yen sign":"Yen işareti","Pound sign":"Sterlin işareti","Cent sign":"Kuruş işareti","Euro-currency sign":"Avro para birimi simgesi","Colon sign":"İki nokta üst üste işareti","Cruzeiro sign":"Cruzeiro işareti","French franc sign":"Fransız Frangı işareti","Lira sign":"Lira işareti","Currency sign":"Para birimi işareti","Bitcoin sign":"Bitcoin işareti","Mill sign":"Mill işareti","Naira sign":"Naira işareti","Peseta sign":"Peseta işareti","Rupee sign":"Rupi işareti","Won sign":"Kazanılan işaret","New sheqel sign":"Yeni şekel işareti","Dong sign":"Dong işareti","Kip sign":"Kip işareti","Tugrik sign":"Tugrik işareti","Drachma sign":"Drahmisi işareti","German penny sign":"Alman kuruş işareti","Peso sign":"Peso işareti","Guarani sign":"Guarani işareti","Austral sign":"Austral işareti","Hryvnia sign":"Grivnası işareti","Cedi sign":"Cedi işareti","Livre tournois sign":"Livre tournois işareti","Spesmilo sign":"Spesmilo işareti","Tenge sign":"Tenge işareti","Indian rupee sign":"Hint Rupisi işareti","Turkish lira sign":"Türk Lirası işareti","Nordic mark sign":"İskandinav işareti","Manat sign":"Manat işareti","Ruble sign":"Ruble işareti","Latin capital letter a with macron":"Üstü çizili büyük a harfi","Latin small letter a with macron":"Üstü çizili küçük a harfi","Latin capital letter a with breve":"Üstü yuvarlak büyük a harfi","Latin small letter a with breve":"Üstü yuvarlak küçük a harfi","Latin capital letter a with ogonek":"Altı kuyruklu işaretli büyük a harfi","Latin small letter a with ogonek":"Altı kuyruklu işaretli küçük a harfi","Latin capital letter c with acute":"Üzeri tırnaklı büyük c harfi","Latin small letter c with acute":"Üzeri tırnaklı küçük c harfi","Latin capital letter c with circumflex":"Üzeri şapkalı büyük c harfi","Latin small letter c with circumflex":"Üzeri şapkalı küçük c harfi","Latin capital letter c with dot above":"Üstü noktalı büyük c harfi","Latin small letter c with dot above":"Üstü noktalı küçük c harfi","Latin capital letter c with caron":"Üstü ters şapkalı büyük c harfi","Latin small letter c with caron":"Üstü ters şapkalı küçük c harfi","Latin capital letter d with caron":"Üstü ters şapkalı büyük d harfi","Latin small letter d with caron":"Üstü ters şapkalı küçük d harfi","Latin capital letter d with stroke":"Ortası çizgili büyük d harfi","Latin small letter d with stroke":"Ortası çizgili küçük d harfi","Latin capital letter e with macron":"Üstü çizili büyük e harfi","Latin small letter e with macron":"Üstü çizili küçük e harfi","Latin capital letter e with breve":"Üstü ters şapkalı büyük e harfi","Latin small letter e with breve":"Üstü ters şapkalı küçük e harfi","Latin capital letter e with dot above":"Üstü noktalı büyük e harfi","Latin small letter e with dot above":"Üstü noktalı küçük e harfi","Latin capital letter e with ogonek":"Altı kuyruklu büyük e harfi","Latin small letter e with ogonek":"Altı kuyruklu küçük e harfi","Latin capital letter e with caron":"Üstü ters şapkalı büyük e harfi","Latin small letter e with caron":"Üstü ters şapkalı küçük e harfi","Latin capital letter g with circumflex":"Üzeri şapkalı büyük g harfi","Latin small letter g with circumflex":"Üzeri şapkalı küçük g harfi","Latin capital letter g with breve":"Üstü ters şapkalı büyük g harfi","Latin small letter g with breve":"Üstü ters şapkalı küçük g harfi","Latin capital letter g with dot above":"Üstü noktalı büyük g harfi","Latin small letter g with dot above":"Üstü noktalı küçük g harfi","Latin capital letter g with cedilla":"Altı kuyruklu büyük g harfi","Latin small letter g with cedilla":"Altı kuyruklu küçük g harfi","Latin capital letter h with circumflex":"Üzeri şapkalı büyük h harfi","Latin small letter h with circumflex":"Üzeri şapkalı küçük g harfi","Latin capital letter h with stroke":"Üst kısmı çizgili büyük h harfi","Latin small letter h with stroke":"Üst kısmı çizgili küçük h harfi","Latin capital letter i with tilde":"Üstü tilda işaretli büyük i harfi","Latin small letter i with tilde":"Üstü tilda işaretli küçük i harfi","Latin capital letter i with macron":"Üstü çizili büyük i harfi","Latin small letter i with macron":"Üstü çizili küçük i harfi","Latin capital letter i with breve":"Üstü ters şapkalı büyük i harfi","Latin small letter i with breve":"Üstü ters şapkalı küçük i harfi","Latin capital letter i with ogonek":"Altı kuyruklu büyük i harfi","Latin small letter i with ogonek":"Altı kuyruklu küçük i harfi","Latin capital letter i with dot above":"Üstü noktalı büyük i harfi","Latin small letter dotless i":"Noktası küçük i harfi","Latin capital ligature ij":"Büyük ij harfi","Latin small ligature ij":"Küçük ij harfi","Latin capital letter j with circumflex":"Üzeri şapkalı büyük j harfi","Latin small letter j with circumflex":"Üzeri şapkalı küçük j harfi","Latin capital letter k with cedilla":"Altı kuyruklu büyük k harfi","Latin small letter k with cedilla":"Altı kuyruklu küçük k harfi","Latin small letter kra":"Küçük küt k harfi","Latin capital letter l with acute":"Üzeri tırnaklı büyük L harfi","Latin small letter l with acute":"Üzeri tırnaklı küçük L harfi","Latin capital letter l with cedilla":"Altı kuyruklu büyük L harfi","Latin small letter l with cedilla":"Altı kuyruklu küçük L harfi","Latin capital letter l with caron":"Üstü ters şapkalı büyük L harfi","Latin small letter l with caron":"Üstü ters şapkalı küçük L harfi","Latin capital letter l with middle dot":"Ortası noktalı büyük L harfi","Latin small letter l with middle dot":"Ortası noktalı küçük L harfi","Latin capital letter l with stroke":"Üst kısmı çizgili büyük L harfi","Latin small letter l with stroke":"Üst kısmı çizgili küçük L harfi","Latin capital letter n with acute":"Üzeri tırnaklı büyük n harfi","Latin small letter n with acute":"Üzeri tırnaklı küçük n harfi","Latin capital letter n with cedilla":"Altı kuyruklu büyük n harfi","Latin small letter n with cedilla":"Altı kuyruklu küçük n harfi","Latin capital letter n with caron":"Üstü ters şapkalı büyük n harfi","Latin small letter n with caron":"Üstü ters şapkalı küçük n harfi","Latin small letter n preceded by apostrophe":"Önden apostrof küçük n harfi","Latin capital letter eng":"Alttan kuyruklu büyük n harfi","Latin small letter eng":"Alttan kuyruklu küçük n harfi","Latin capital letter o with macron":"Üstü çizili büyük o harfi","Latin small letter o with macron":"Üstü çizili küçük o harfi","Latin capital letter o with breve":"Üstü ters şapkalı büyük o harfi","Latin small letter o with breve":"Üstü ters şapkalı küçük o harfi","Latin capital letter o with double acute":"Üstü çift tırnaklı büyük o harfi","Latin small letter o with double acute":"Üstü çift tırnaklı küçük o harfi","Latin capital ligature oe":"Büyük yunan OE harfi","Latin small ligature oe":"Küçük yunan OE harfi","Latin capital letter r with acute":"Üzeri tırnaklı büyük r harfi","Latin small letter r with acute":"Üzeri tırnaklı küçük r harfi","Latin capital letter r with cedilla":"Altı kuyruklu büyük r harfi","Latin small letter r with cedilla":"Altı kuyruklu küçük r harfi","Latin capital letter r with caron":"Üstü ters şapkalı büyük r harfi","Latin small letter r with caron":"Üstü ters şapkalı küçük r harfi","Latin capital letter s with acute":"Üzeri tırnaklı büyük s harfi","Latin small letter s with acute":"Üzeri tırnaklı küçük s harfi","Latin capital letter s with circumflex":"Üzeri şapkalı büyük s harfi","Latin small letter s with circumflex":"Üzeri şapkalı küçük s harfi","Latin capital letter s with cedilla":"Altı kuyruklu büyük s harfi","Latin small letter s with cedilla":"Altı kuyruklu küçük s harfi","Latin capital letter s with caron":"Üstü ters şapkalı büyük s harfi","Latin small letter s with caron":"Üstü ters şapkalı küçük s harfi","Latin capital letter t with cedilla":"Altı kuyruklu büyük t harfi","Latin small letter t with cedilla":"Altı kuyruklu küçük t harfi","Latin capital letter t with caron":"Üstü ters şapkalı büyük t harfi","Latin small letter t with caron":"Üstü ters şapkalı küçük t harfi","Latin capital letter t with stroke":"Üst kısmı çizgili büyük t harfi","Latin small letter t with stroke":"Üst kısmı çizgili küçük t harfi","Latin capital letter u with tilde":"Üstü tildalı büyük u harfi","Latin small letter u with tilde":"Üstü tildalı küçük u harfi","Latin capital letter u with macron":"Üstü çizili büyük u harfi","Latin small letter u with macron":"Üstü çizili küçük u harfi","Latin capital letter u with breve":"Üstü ters şapkalı büyük u harfi","Latin small letter u with breve":"Üstü ters şapkalı küçük u harfi","Latin capital letter u with ring above":"Üstü derece işaretli büyük u harfi","Latin small letter u with ring above":"Üstü derece işaretli küçük u harfi","Latin capital letter u with double acute":"Üstü çift tırnaklı büyük u harfi","Latin small letter u with double acute":"Üstü çift tırnaklı küçük u harfi","Latin capital letter u with ogonek":"Altı kuyruklu büyük u harfi","Latin small letter u with ogonek":"Altı kuyruklu küçük u harfi","Latin capital letter w with circumflex":"Üzeri şapkalı büyük w harfi","Latin small letter w with circumflex":"Üzeri şapkalı küçük w harfi","Latin capital letter y with circumflex":"Üzeri şapkalı büyük y harfi","Latin small letter y with circumflex":"Üzeri şapkalı küçük y harfi","Latin capital letter y with diaeresis":"Üstü çift noktalı büyük y harfi","Latin capital letter z with acute":"Üzeri tırnaklı büyük z harfi","Latin small letter z with acute":"Üzeri tırnaklı küçük z harfi","Latin capital letter z with dot above":"Üstü noktalı büyük z harfi","Latin small letter z with dot above":"Üstü noktalı küçük z harfi","Latin capital letter z with caron":"Üstü ters şapkalı büyük z harfi","Latin small letter z with caron":"Üstü ters şapkalı küçük z harfi","Latin small letter long s":"Uzun küçük s harfi","Less-than sign":"Küçüktür işareti","Greater-than sign":"Büyüktür işareti","Less-than or equal to":"Küçük veya eşit","Greater-than or equal to":"Büyük veya eşit","En dash":"Çizgi","Em dash":"Uzun çizgi","Macron":"Uzatma işareti","Overline":"Üstü çizili","Degree sign":"Derece işareti","Minus sign":"Eksi işareti","Plus-minus sign":"Artı eksi işareti","Division sign":"Bölme işareti","Fraction slash":"Kesir eğik çizgi","Multiplication sign":"Çarpma işareti","Latin small letter f with hook":"Latince küçük f harfi","Integral":"İntegral","N-ary summation":"N-ary toplamı","Infinity":"Sonsuzluk","Square root":"Kare kök","Tilde operator":"Tilde operatörü","Approximately equal to":"Yaklaşık olarak eşit","Almost equal to":"Neredeyse eşit","Not equal to":"Eşit değil","Identical to":"Benzeri","Element of":"Öğesi","Not an element of":"Onun öğesi değil","Contains as member":"Üye olarak içerir","N-ary product":"N-ary ürünü","Logical and":"Mantıksal VE","Logical or":"Mantıksal VEYA","Not sign":"İmzalanmamış","Intersection":"Kesişim","Union":"Birleşik","Partial differential":"Kısmi diferansiyel","For all":"Hepsi için","There exists":"Var","Empty set":"Boş küme","Nabla":"Nabla","Asterisk operator":"Yıldız operatörü","Proportional to":"Orantılı","Angle":"Açı","Vulgar fraction one quarter":"Kaba kesir bir çeyrek","Vulgar fraction one half":"Kaba kesir bir buçuk","Vulgar fraction three quarters":"Kaba bölüm dörtte üç","Single left-pointing angle quotation mark":"Tek sola dönük açı tırnak işareti","Single right-pointing angle quotation mark":"Sağa bakan tek açılı tırnak işareti","Left-pointing double angle quotation mark":"Sola dönük çift açılı tırnak işareti","Right-pointing double angle quotation mark":"Sağa bakan çift açılı tırnak işareti","Left single quotation mark":"Sol tek tırnak işareti","Right single quotation mark":"Sağ tek tırnak işareti","Left double quotation mark":"Sol çift tırnak işareti","Right double quotation mark":"Sağ çift tırnak işareti","Single low-9 quotation mark":"Tek düşük 9 tırnak işareti","Double low-9 quotation mark":"Çift düşük 9 tırnak işareti","Inverted exclamation mark":"Ters ünlem işareti","Inverted question mark":"Ters soru işareti","Two dot leader":"Öncelikli iki nokta","Horizontal ellipsis":"Yatay elips","Double dagger":"Çift hançer","Per mille sign":"Bin işareti için","Per ten thousand sign":"Her on bine göre işareti","Double exclamation mark":"Çift ünlem işareti","Question exclamation mark":"Soru ünlem işareti","Exclamation question mark":"Ünlem soru işareti","Double question mark":"Çift soru işareti","Copyright sign":"Telif hakkı işareti","Registered sign":"Kayıtlı işareti","Trade mark sign":"Ticari marka işareti","Section sign":"Bölüm işareti","Paragraph sign":"Paragraf işareti","Reversed paragraph sign":"Ters paragraf işareti","Character categories":"Karakter kategorileri"},getPluralForm(n){return (n > 1);}}};
e[ 'tr' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'tr' ].dictionary = Object.assign( e[ 'tr' ].dictionary, dictionary );
e[ 'tr' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
